commit acpid for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package acpid for openSUSE:Factory checked 
in at 2011-12-25 17:32:46

Comparing /work/SRC/openSUSE:Factory/acpid (Old)
 and  /work/SRC/openSUSE:Factory/.acpid.new (New)


Package is acpid, Maintainer is hma...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/acpid/acpid.changes  2011-09-28 
14:02:14.0 +0200
+++ /work/SRC/openSUSE:Factory/.acpid.new/acpid.changes 2011-12-25 
17:32:48.0 +0100
@@ -1,0 +2,5 @@
+Fri Dec 16 02:03:44 UTC 2011 - crrodrig...@opensuse.org
+
+- Update to acpid 2.0.13 
+
+---

Old:

  acpid-2.0.10.tar.gz

New:

  acpid-2.0.13.tar.gz



Other differences:
--
++ acpid.spec ++
--- /var/tmp/diff_new_pack.wvbEKJ/_old  2011-12-25 17:32:50.0 +0100
+++ /var/tmp/diff_new_pack.wvbEKJ/_new  2011-12-25 17:32:50.0 +0100
@@ -19,7 +19,7 @@
 
 Name:   acpid
 Url:http://tedfelix.com/linux/acpid-netlink.html
-Version:2.0.10
+Version:2.0.13
 Release:5
 License:GPL-2.0+
 Group:  System/Daemons

++ acpid-2.0.10.tar.gz - acpid-2.0.13.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/acpid-2.0.10/Changelog new/acpid-2.0.13/Changelog
--- old/acpid-2.0.10/Changelog  2011-05-17 19:05:33.0 +0200
+++ new/acpid-2.0.13/Changelog  2011-10-18 01:19:35.0 +0200
@@ -1,3 +1,21 @@
+* Tue Nov 15 2011  Ted Felix http://www.tedfelix.com
+  - 2.0.13 release
+  - Fix for socket name buffer overflow.  (ud_socket.c)  (Ted Felix)
+  - Moved acpid_log() out of acpid.h/.c and into log.h/.c to make it easier
+for all parts of acpid to use.  (Makefile acpid.h acpid.c connection_list.c
+event.c inotify_handler.c input_layer.c log.h log.c netlink.c proc.c 
+sock.c ud_socket.c)  (Ted Felix)
+  - Cleaned up #includes and comment style.  (libnetlink.c libnetlink.h)
+(Ted Felix)
+
+* Mon Aug 15 2011  Ted Felix http://www.tedfelix.com
+  - 2.0.12 release
+  - Changed exit() to _exit() if execl() fails.  (event.c)  (Ted Felix)
+
+* Sat Jul 30 2011  Ted Felix http://www.tedfelix.com
+  - 2.0.11 release
+  - Set umask to 0077 for scripts run by acpid.  (event.c)  (Ted Felix)
+
 * Tue May 17 2011  Ted Felix http://www.tedfelix.com
   - 2.0.10 release
   - Fixed compiler warnings in kacpimon.  (kacpimon/libnetlink.c)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/acpid-2.0.10/Makefile new/acpid-2.0.13/Makefile
--- old/acpid-2.0.10/Makefile   2011-04-27 01:56:59.0 +0200
+++ new/acpid-2.0.13/Makefile   2011-10-18 01:12:24.0 +0200
@@ -1,7 +1,7 @@
 # Makefile for ACPI daemon
 
 # update these numbers for new releases
-VERSION = 2.0.10
+VERSION = 2.0.13
 
 OPT = -O2
 
@@ -18,10 +18,10 @@
 PROGS = $(SBIN_PROGS) $(BIN_PROGS)
 
 acpid_SRCS = acpid.c acpi_ids.c connection_list.c event.c input_layer.c \
-inotify_handler.c libnetlink.c netlink.c proc.c sock.c ud_socket.c
+inotify_handler.c libnetlink.c log.c netlink.c proc.c sock.c ud_socket.c
 acpid_OBJS = $(acpid_SRCS:.c=.o)
 
-acpi_listen_SRCS = acpi_listen.c ud_socket.c
+acpi_listen_SRCS = acpi_listen.c log.c ud_socket.c
 acpi_listen_OBJS = $(acpi_listen_SRCS:.c=.o)
 
 all_SRCS = $(acpid_SRCS) $(acpi_listen_SRCS)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/acpid-2.0.10/TESTPLAN new/acpid-2.0.13/TESTPLAN
--- old/acpid-2.0.10/TESTPLAN   2011-05-02 23:54:40.0 +0200
+++ new/acpid-2.0.13/TESTPLAN   2011-06-23 18:56:33.0 +0200
@@ -6,7 +6,7 @@
 - It's best to test without a window manager running (such as GNOME or KDE) as 
they tend to handle acpi events on their own and override acpid.  To bring down 
X on a system that is configured with a graphical login, there's usually an 
init script you can run.  As an example, with Debian/GNOME, log off of your 
X/GNOME session, switch to another tty (e.g. Alt-Ctrl-F1), login, and do this:
 sudo /etc/init.d/gdm stop
   It's different if you are using upstart:
-sudo initctl gdm stop
+sudo initctl stop gdm
   And systemd requires a different incantation:
 [anyone care to enlighten me?]
   Now X is out of the way and you can test from the console.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/acpid-2.0.10/acpid.c new/acpid-2.0.13/acpid.c
--- old/acpid-2.0.10/acpid.c2011-05-07 03:32:07.0 +0200
+++ new/acpid-2.0.13/acpid.c2011-10-18 01:06:54.0 +0200
@@ -30,9 +30,9 @@
 #include stdlib.h
 #include errno.h
 #include getopt.h
-#include stdarg.h
 
 #include acpid.h
+#include log.h
 #include 

commit alsa-firmware for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package alsa-firmware for openSUSE:Factory 
checked in at 2011-12-25 17:32:51

Comparing /work/SRC/openSUSE:Factory/alsa-firmware (Old)
 and  /work/SRC/openSUSE:Factory/.alsa-firmware.new (New)


Package is alsa-firmware, Maintainer is ti...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/alsa-firmware/alsa-firmware.changes  
2011-12-08 11:27:17.0 +0100
+++ /work/SRC/openSUSE:Factory/.alsa-firmware.new/alsa-firmware.changes 
2011-12-25 17:32:52.0 +0100
@@ -1,0 +2,5 @@
+Thu Dec 22 18:31:48 UTC 2011 - crrodrig...@opensuse.org
+
+- alsa firmware is of no use without alsa 
+
+---



Other differences:
--
++ alsa-firmware.spec ++
--- /var/tmp/diff_new_pack.5NNVRk/_old  2011-12-25 17:32:53.0 +0100
+++ /var/tmp/diff_new_pack.5NNVRk/_new  2011-12-25 17:32:53.0 +0100
@@ -15,6 +15,8 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
+
 Name:   alsa-firmware
 %define package_version1.0.24.1
 Url:http://www.alsa-project.org/
@@ -29,6 +31,7 @@
 Source2:usx2yaudio-old.rules
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
+Requires:   alsa
 
 %description
 Various firmware data files for ALSA drivers.

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit alsa-utils for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package alsa-utils for openSUSE:Factory 
checked in at 2011-12-25 17:32:54

Comparing /work/SRC/openSUSE:Factory/alsa-utils (Old)
 and  /work/SRC/openSUSE:Factory/.alsa-utils.new (New)


Package is alsa-utils, Maintainer is ti...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/alsa-utils/alsa-utils.changes2011-12-08 
11:27:22.0 +0100
+++ /work/SRC/openSUSE:Factory/.alsa-utils.new/alsa-utils.changes   
2011-12-25 17:33:00.0 +0100
@@ -1,0 +2,5 @@
+Thu Dec 22 16:22:19 UTC 2011 - crrodrig...@opensuse.org
+
+- alsa-utils is of no use without alsa, add requires 
+
+---



Other differences:
--
++ alsa-utils.spec ++
--- /var/tmp/diff_new_pack.7tT9ZP/_old  2011-12-25 17:33:01.0 +0100
+++ /var/tmp/diff_new_pack.7tT9ZP/_new  2011-12-25 17:33:01.0 +0100
@@ -14,6 +14,8 @@
 
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
+
+
 #
 %if %suse_version  1130
 %define use_systemd1
@@ -33,7 +35,7 @@
 License:GPL-2.0+
 Group:  Productivity/Multimedia/Sound/Players
 Provides:   alsa-conf
-Requires:   dialog pciutils
+Requires:   dialog pciutils alsa
 Summary:Advanced Linux Sound Architecture Utilities
 Version:1.0.24.2
 Release:0

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit apcupsd for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package apcupsd for openSUSE:Factory checked 
in at 2011-12-25 17:32:58

Comparing /work/SRC/openSUSE:Factory/apcupsd (Old)
 and  /work/SRC/openSUSE:Factory/.apcupsd.new (New)


Package is apcupsd, Maintainer is sbra...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/apcupsd/apcupsd.changes  2011-10-18 
14:08:56.0 +0200
+++ /work/SRC/openSUSE:Factory/.apcupsd.new/apcupsd.changes 2011-12-25 
17:33:01.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 11:26:20 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ apcupsd.spec ++
--- /var/tmp/diff_new_pack.pMrokp/_old  2011-12-25 17:33:02.0 +0100
+++ /var/tmp/diff_new_pack.pMrokp/_new  2011-12-25 17:33:02.0 +0100
@@ -15,20 +15,31 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
-
 Name:   apcupsd
-BuildRequires:  apache2-devel distribution-release dos2unix gcc-c++ 
gconf2-devel gd-devel gnome-vfs2-devel gtk2-devel mailx ncurses-devel 
net-snmp-devel pm-utils tcpd-devel update-desktop-files
+BuildRequires:  apache2-devel
+BuildRequires:  distribution-release
+BuildRequires:  dos2unix
+BuildRequires:  gcc-c++
+BuildRequires:  gconf2-devel
+BuildRequires:  gd-devel
+BuildRequires:  gnome-vfs2-devel
+BuildRequires:  gtk2-devel
+BuildRequires:  mailx
+BuildRequires:  ncurses-devel
+BuildRequires:  net-snmp-devel
+BuildRequires:  pm-utils
+BuildRequires:  tcpd-devel
+BuildRequires:  update-desktop-files
 %if 0%{?suse_version}  1210
 BuildRequires:  sysvinit
 %else
 BuildRequires:  sysvinit-init
 %endif
-Group:  Hardware/UPS
-License:GPL-2.0+
 Summary:APC UPS Daemon (Powerful Daemon for APC UPSs)
+License:GPL-2.0+
+Group:  Hardware/UPS
 Version:3.14.8
-Release:5
+Release:0
 Url:http://www.apcupsd.com/
 Source: apcupsd-%{version}.tar.bz2
 Source1:apcupsd.init
@@ -66,8 +77,6 @@
 http://www.apc.com/tools/download/.
 
 %package gui
-License:GPL-2.0+
-Group:  Hardware/UPS
 Summary:APC UPS Monitor GUI (for APC UPSs)
 Requires:   %{name} = %{version}
 
@@ -101,7 +110,6 @@
 %patch11
 
 %build
-%{suse_update_config autoconf}
 # Incomplete:
 #cd autoconf
 #aclocal

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit arpwatch-ethercodes for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package arpwatch-ethercodes for 
openSUSE:Factory checked in at 2011-12-25 17:33:01

Comparing /work/SRC/openSUSE:Factory/arpwatch-ethercodes (Old)
 and  /work/SRC/openSUSE:Factory/.arpwatch-ethercodes.new (New)


Package is arpwatch-ethercodes, Maintainer is dr...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/arpwatch-ethercodes/arpwatch-ethercodes.changes  
2011-12-13 11:48:14.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.arpwatch-ethercodes.new/arpwatch-ethercodes.changes 
2011-12-25 17:33:03.0 +0100
@@ -2 +2 @@
-Tue Dec 13 07:40:04 CET 2011 - autobu...@suse.de
+Sat Dec 24 07:40:04 CET 2011 - autobu...@suse.de
@@ -4 +4 @@
-- automated update on 2011-12-13
+- automated update on 2011-12-24



Other differences:
--
++ arpwatch-ethercodes.spec ++
--- /var/tmp/diff_new_pack.Be8uLQ/_old  2011-12-25 17:33:04.0 +0100
+++ /var/tmp/diff_new_pack.Be8uLQ/_new  2011-12-25 17:33:04.0 +0100
@@ -23,7 +23,7 @@
 License:BSD-3-Clause
 Group:  Productivity/Networking/Diagnostic
 Summary:Ethercodes Data for arpwatch
-Version:2011.12.13
+Version:2011.12.24
 Release:1
 Source0:http://standards.ieee.org/regauth/oui/oui.txt
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ oui.txt ++
 1216 lines (skipped)
 between /work/SRC/openSUSE:Factory/arpwatch-ethercodes/oui.txt
 and /work/SRC/openSUSE:Factory/.arpwatch-ethercodes.new/oui.txt

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit autoconf213 for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package autoconf213 for openSUSE:Factory 
checked in at 2011-12-25 17:33:06

Comparing /work/SRC/openSUSE:Factory/autoconf213 (Old)
 and  /work/SRC/openSUSE:Factory/.autoconf213.new (New)


Package is autoconf213, Maintainer is p...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/autoconf213/autoconf213.changes  2011-09-23 
01:52:12.0 +0200
+++ /work/SRC/openSUSE:Factory/.autoconf213.new/autoconf213.changes 
2011-12-25 17:33:08.0 +0100
@@ -1,0 +2,11 @@
+Tue Dec 20 11:27:37 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---
+Sat Sep 17 13:42:44 UTC 2011 - jeng...@medozas.de
+
+- Remove redundant tags/sections from specfile
+- Use %_smp_mflags for parallel build
+
+---



Other differences:
--
++ autoconf213.spec ++
--- /var/tmp/diff_new_pack.Z7mLXk/_old  2011-12-25 17:33:09.0 +0100
+++ /var/tmp/diff_new_pack.Z7mLXk/_new  2011-12-25 17:33:09.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package autoconf213 (Version 2.13)
+# spec file for package autoconf213
 #
-# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,18 +15,15 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
-
 Name:   autoconf213
-License:GPLv2+
-Group:  Development/Tools/Building
 Url:http://www.gnu.org/software/autoconf
-AutoReqProv:on
 Requires:   gawk, m4 = 1.1, mktemp, perl
 PreReq: %{install_info_prereq}
 Version:2.13
-Release:3
+Release:0
 Summary:A GNU Tool for Automatically Configuring Source Code
+License:GPL-2.0+
+Group:  Development/Tools/Building
 BuildArch:  noarch
 Source: autoconf-%{version}.tar.bz2
 Patch0: autoconf-2.12-race.patch
@@ -56,13 +53,6 @@
 be configuring software with an autoconf-generated script; autoconf is
 only required for the generation of the scripts, not their use.
 
-
-
-Authors:
-
-Ben Elliston  b...@cygnus.com
-David J MacKenzie  d...@catapult.va.pubnix.com
-
 %prep
 %setup -n autoconf-%{version} -q
 %patch0 -p1
@@ -81,10 +71,9 @@
 rm -f autoconf.info
 
 %build
-%{suse_update_config -f config}
 ./configure --prefix=%{_prefix} --infodir=%{_infodir} --mandir=%{_mandir} \
 --program-suffix=-2.13
-make %{?jobs:-j%jobs}
+make %{?_smp_mflags}
 
 %install
 %makeinstall
@@ -98,9 +87,6 @@
 %postun
 %install_info_delete --info-dir=%{_infodir} %{_infodir}/autoconf2.13.info.gz
 
-%clean
-rm -rf $RPM_BUILD_ROOT
-
 %files
 %defattr(-,root,root)
 %doc AUTHORS COPYING NEWS README TODO

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit bdfresize for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package bdfresize for openSUSE:Factory 
checked in at 2011-12-25 17:33:10

Comparing /work/SRC/openSUSE:Factory/bdfresize (Old)
 and  /work/SRC/openSUSE:Factory/.bdfresize.new (New)


Package is bdfresize, Maintainer is r...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/bdfresize/bdfresize.changes  2011-09-23 
01:52:26.0 +0200
+++ /work/SRC/openSUSE:Factory/.bdfresize.new/bdfresize.changes 2011-12-25 
17:33:11.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 20:02:21 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ bdfresize.spec ++
--- /var/tmp/diff_new_pack.yHXY5D/_old  2011-12-25 17:33:12.0 +0100
+++ /var/tmp/diff_new_pack.yHXY5D/_new  2011-12-25 17:33:12.0 +0100
@@ -15,19 +15,17 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
-
 Name:   bdfresize
-License:GPL-2.0+
-Group:  System/X11/Utilities
 Version:1.5
-Release:548
+Release:0
 Url:http://openlab.ring.gr.jp/efont/dist/tools/bdfresize/
 #Original source: 
http://openlab.ring.gr.jp/efont/dist/tools/bdfresize/bdfresize-1.5.tar.gz
 Source0:
http://openlab.ring.gr.jp/efont/dist/tools/bdfresize/bdfresize-%{version}.tar.bz2
 Patch:  bdfresize-gcc4.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:A Tool for Resizing BDF Format Fonts
+License:GPL-2.0+
+Group:  System/X11/Utilities
 
 %description
 bdfresize is a command for magnifying or shrinking fonts described in
@@ -39,8 +37,6 @@
 
 %build
 rm -f config.cache
-# update config.{guess,sub}
-%{?suse_update_config}
 %configure
 make %{?_smp_mflags}
 

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit biosdevname for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package biosdevname for openSUSE:Factory 
checked in at 2011-12-25 17:33:14

Comparing /work/SRC/openSUSE:Factory/biosdevname (Old)
 and  /work/SRC/openSUSE:Factory/.biosdevname.new (New)


Package is biosdevname, Maintainer is d...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/biosdevname/biosdevname.changes  2011-09-23 
01:52:33.0 +0200
+++ /work/SRC/openSUSE:Factory/.biosdevname.new/biosdevname.changes 
2011-12-25 17:33:16.0 +0100
@@ -1,0 +2,15 @@
+Wed Dec 21 09:04:06 UTC 2011 - a...@suse.de
+
+- Fix download URL.
+
+---
+Wed Nov 30 09:43:41 UTC 2011 - co...@suse.com
+
+- add automake as buildrequire to avoid implicit dependency
+
+---
+Fri Sep 23 12:02:44 UTC 2011 - d...@suse.com
+
+- fix bnc#706505
+
+---
@@ -4,0 +20,36 @@
+
+---
+Wed Sep  7 14:50:24 UTC 2011 - d...@suse.com
+
+- Verify length of VPD on network device (bnc#711172)
+
+---
+Wed Aug  3 16:11:21 UTC 2011 - d...@novell.com
+
+- Enable on all Dell machines (bnc#705109)
+
+---
+Mon Aug  1 13:17:24 UTC 2011 - d...@novell.com
+
+- pull patch to restrict SMBIOS version and to disable PIRQ usage
+  from upstream.
+- use the above to fix bnc#705162
+
+---
+Tue Jul 19 10:45:45 UTC 2011 - d...@novell.com
+
+- version 0.3.8 contains unconditional asm inline, making it
+  x86-only (bnc#706622)
+
+---
+Thu Jul  7 18:38:07 UTC 2011 - d...@novell.com
+
+- fix bnc#704182
+
+---
+Thu Jun 16 13:54:58 CEST 2011 - d...@suse.de
+
+- update to 0.3.8, disable rule by default (FATE#312154)
+- remove now obsolete patches biosdevname-delete-unused-function.diff,
+  biosdevname-policy-all_names.diff and
+  biosdevname-0.2.4-wronglinking.patch.

Old:

  biosdevname-0.2.4-wronglinking.patch
  biosdevname-0.2.4.tar.bz2
  biosdevname-delete-unused-function.diff
  biosdevname-policy-all_names.diff

New:

  biosdevname-0.3.8.tar.gz
  bug-706505
  ignore-broken-BIOSes
  more-cmdline-args
  verify-network-VPD
  whitelist-dell



Other differences:
--
++ biosdevname.spec ++
--- /var/tmp/diff_new_pack.SloWSx/_old  2011-12-25 17:33:17.0 +0100
+++ /var/tmp/diff_new_pack.SloWSx/_new  2011-12-25 17:33:17.0 +0100
@@ -18,30 +18,34 @@
 
 
 Name:   biosdevname
-Version:0.2.4
-Release:70
+Version:0.3.8
+Release:0
 Summary:Udev helper for naming devices per BIOS names
 Group:  System/Base
-License:GPLv2
+License:GPL-2.0
 Url:http://linux.dell.com/files/biosdevname/
 # SMBIOS and PCI IRQ Routing Tables only exist on these arches.  It's
 # also likely that other arches don't expect the PCI bus to be sorted
 # breadth-first, or of so, there haven't been any comments about that
 # on LKML.
-ExclusiveArch:  %{ix86} x86_64 ia64
-Source0:http://linux.dell.com/files/%{name}/%{name}-%{version}.tar.bz2
+ExclusiveArch:  %{ix86} x86_64
+Source0:
http://linux.dell.com/files/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
 Source1:setup-biosdevname.sh
+Patch1: more-cmdline-args
+Patch2: ignore-broken-BIOSes
+Patch3: whitelist-dell
+Patch4: verify-network-VPD
+Patch5: bug-706505
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  pciutils-devel zlib-devel
+BuildRequires:  automake
+BuildRequires:  pciutils-devel
+BuildRequires:  zlib-devel
 # to figure out how to name the rules file
 BuildRequires:  udev
 # because of mkinitrd_setup in %post and %postun
 PreReq: mkinitrd
-# for ownership of /etc/udev/rules.d
+# for ownership of /lib/udev/rules.d
 Requires:   udev
-Patch0: %{name}-delete-unused-function.diff
-Patch1: %{name}-policy-all_names.diff
-Patch2: biosdevname-0.2.4-wronglinking.patch
 
 %description
 biosdevname in its simplest form takes an kernel name name as an
@@ -50,14 +54,19 @@
 label on the chassis is Gb1) doesn't map directly and obviously to
 the kernel name (e.g. eth0).
 
+You can enable/disable usage of biosdevname with boot option
+biosdevname=[0|1]
+
 %prep
 %setup -q
-%patch0 -p1
 %patch1 -p1
-%patch2
+%patch2 -p1
+%patch3 -p1
+%patch4 -p1
+%patch5 -p1
 
 %build

commit bogofilter for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package bogofilter for openSUSE:Factory 
checked in at 2011-12-25 17:33:20

Comparing /work/SRC/openSUSE:Factory/bogofilter (Old)
 and  /work/SRC/openSUSE:Factory/.bogofilter.new (New)


Package is bogofilter, Maintainer is lmue...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/bogofilter/bogofilter.changes2011-09-23 
01:52:41.0 +0200
+++ /work/SRC/openSUSE:Factory/.bogofilter.new/bogofilter.changes   
2011-12-25 17:33:22.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 20:13:52 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ bogofilter.spec ++
--- /var/tmp/diff_new_pack.KrPwLl/_old  2011-12-25 17:33:22.0 +0100
+++ /var/tmp/diff_new_pack.KrPwLl/_new  2011-12-25 17:33:22.0 +0100
@@ -15,19 +15,18 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
-
 Name:   bogofilter
 Version:1.2.1
-Release:7
-License:GPL-2.0+
-Group:  Productivity/Networking/Email/Utilities
+Release:0
 Url:http://bogofilter.sourceforge.net/
 Source: 
http://downloads.sourceforge.net/bogofilter/bogofilter-%{version}.tar.bz2
 Patch:  bogofilter-SA-2010-01.diff
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  db-devel sharutils
+BuildRequires:  db-devel
+BuildRequires:  sharutils
 Summary:Fast Anti-Spam Filtering by Bayesian Statistical Analysis
+License:GPL-2.0+
+Group:  Productivity/Networking/Email/Utilities
 
 %description
 Bogofilter is a Bayesian spam filter.  In normal operation, it takes an
@@ -43,7 +42,6 @@
 %patch -p1
 
 %build
-%{?suse_update_config:%{suse_update_config -f}}
 %configure \
 %ifarch %arm
--disable-dbshared-test \

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit canna for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package canna for openSUSE:Factory checked 
in at 2011-12-25 17:33:24

Comparing /work/SRC/openSUSE:Factory/canna (Old)
 and  /work/SRC/openSUSE:Factory/.canna.new (New)


Package is canna, Maintainer is lzw...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/canna/canna.changes  2011-09-23 
01:53:11.0 +0200
+++ /work/SRC/openSUSE:Factory/.canna.new/canna.changes 2011-12-25 
17:33:25.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 20:14:05 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ canna.spec ++
--- /var/tmp/diff_new_pack.RPYjww/_old  2011-12-25 17:33:26.0 +0100
+++ /var/tmp/diff_new_pack.RPYjww/_new  2011-12-25 17:33:26.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package canna (Version 3.7p3)
+# spec file for package canna
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,25 +15,24 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   canna
-BuildRequires:  ncurses-devel pwdutils termcap xorg-x11-devel
-License:BSD-3-Clause
-Group:  System/I18n/Japanese
+BuildRequires:  ncurses-devel
+BuildRequires:  pwdutils
+BuildRequires:  termcap
+BuildRequires:  xorg-x11-devel
 PreReq: /usr/sbin/useradd /bin/rm %insserv_prereq %fillup_prereq
 PreReq: sysvinit(network)
 #BuildPrereq:  termcap
 Recommends: cannadic
-AutoReqProv:on
 Provides:   locale(ja)
 Version:3.7p3
-Release:211
+Release:0
 # http://canna.sourceforge.jp/
 Url:http://www.nec.co.jp/japanese/product/computer/soft/canna/
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:Kana and Kanji Conversion System
+License:BSD-3-Clause
+Group:  System/I18n/Japanese
 Source: http://downloads.sourceforge.jp/canna/9565/Canna37p3.tar.bz2
 Source1:candoc.tar.bz2
 Source2:rccanna
@@ -99,7 +98,6 @@
 Osamu Hata h...@d1.bs2.mt.nec.co.jp
 
 %package -n canna-libs
-License:BSD-3-Clause
 Summary:Canna Libraries
 Group:  System/I18n/Japanese
 Provides:   canna:/usr/lib/libcanna.so.1.1
@@ -117,7 +115,6 @@
 Osamu Hata h...@d1.bs2.mt.nec.co.jp
 
 %package -n canna-devel
-License:BSD-3-Clause
 Summary:Libraries of Canna
 Group:  Development/Libraries/C and C++
 Requires:   %{name} = %{version}, %{name}-libs = %{version}
@@ -161,7 +158,6 @@
 %patch26 -p1
 
 %build
-%{suse_update_config -f canuum}
 xmkmf 
 make Makefile
 make CDEBUGFLAGS=$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing 
CXXDEBUGFLAGS=$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing canna 

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit capi4hylafax for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package capi4hylafax for openSUSE:Factory 
checked in at 2011-12-25 17:33:27

Comparing /work/SRC/openSUSE:Factory/capi4hylafax (Old)
 and  /work/SRC/openSUSE:Factory/.capi4hylafax.new (New)


Package is capi4hylafax, Maintainer is kk...@novell.com

Changes:

--- /work/SRC/openSUSE:Factory/capi4hylafax/capi4hylafax.changes
2011-09-23 01:53:16.0 +0200
+++ /work/SRC/openSUSE:Factory/.capi4hylafax.new/capi4hylafax.changes   
2011-12-25 17:33:29.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 20:14:21 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ capi4hylafax.spec ++
--- /var/tmp/diff_new_pack.DqQbTu/_old  2011-12-25 17:33:30.0 +0100
+++ /var/tmp/diff_new_pack.DqQbTu/_new  2011-12-25 17:33:30.0 +0100
@@ -15,15 +15,18 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
-
 Name:   capi4hylafax
-BuildRequires:  capi4linux capi4linux-devel gcc-c++ ghostscript-library 
libpng-devel libtiff-devel pwdutils
+BuildRequires:  capi4linux
+BuildRequires:  capi4linux-devel
+BuildRequires:  gcc-c++
+BuildRequires:  ghostscript-library
+BuildRequires:  libpng-devel
+BuildRequires:  libtiff-devel
+BuildRequires:  pwdutils
 ExcludeArch:s390 s390x
-Group:  Hardware/Fax
 Requires:   hylafax tiff gs_lib smtp_daemon a2ps hylafax-client
 Version:01.03.00
-Release:155
+Release:0
 Source: %{name}-%{version}.tar.bz2
 Patch0: capi4hylafax-suse.diff
 Patch1: capi4hylafax-secfix.diff
@@ -31,8 +34,9 @@
 Patch3: capi4hylafax-configure.diff
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:Adds a faxcapi modem for hylafax
-PreReq: sh-utils fileutils %insserv_prereq %fillup_prereq 
/usr/sbin/useradd /usr/sbin/usermod
 License:GPL-2.0+
+Group:  Hardware/Fax
+PreReq: sh-utils fileutils %insserv_prereq %fillup_prereq 
/usr/sbin/useradd /usr/sbin/usermod
 Url:http://www.avm.de
 Summary:Adds a faxcapi modem for hylafax
 
@@ -50,7 +54,6 @@
 find ../ -name .cvsignore -exec rm {} \;
 
 %build
-%{?suse_update_config:%{suse_update_config -f}}
 %configure --prefix=/usr \
--with-hylafax-spooldir=/var/spool/fax
 #  --enable-debug 

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit clisp for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package clisp for openSUSE:Factory checked 
in at 2011-12-25 17:33:32

Comparing /work/SRC/openSUSE:Factory/clisp (Old)
 and  /work/SRC/openSUSE:Factory/.clisp.new (New)


Package is clisp, Maintainer is wer...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/clisp/clisp.changes  2011-12-08 
11:48:19.0 +0100
+++ /work/SRC/openSUSE:Factory/.clisp.new/clisp.changes 2011-12-25 
17:33:34.0 +0100
@@ -1,0 +2,8 @@
+Sun Dec 18 15:49:35 UTC 2011 - sweet_...@gmx.de
+
+- minor portability fixes:
+  * don't call autoreconf for libsigsegv (not needed since sigsegv patch
+has been removed in lately)
+  * require fdupes, dbus-1-devel and xorg-x11-devel only on recent suse
+
+---



Other differences:
--
++ clisp.spec ++
--- /var/tmp/diff_new_pack.1Akagn/_old  2011-12-25 17:33:35.0 +0100
+++ /var/tmp/diff_new_pack.1Akagn/_new  2011-12-25 17:33:35.0 +0100
@@ -15,11 +15,13 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
+# minimum suse version where the full featured package builds
+%define min_suse_ver 1030
+
 Name:   clisp
 BuildRequires:  automake
 BuildRequires:  db-devel
-BuildRequires:  dbus-1-devel
-BuildRequires:  fdupes
 BuildRequires:  gdbm-devel
 BuildRequires:  gtk2-devel
 BuildRequires:  libglade2-devel
@@ -27,7 +29,11 @@
 BuildRequires:  pcre-devel
 BuildRequires:  postgresql-devel
 BuildRequires:  readline-devel
+%if 0%{?suse_version} = %min_suse_ver
+BuildRequires:  dbus-1-devel
+BuildRequires:  fdupes
 BuildRequires:  xorg-x11-devel
+%endif
 #
 # If set to yes do not forget to add
 #   gcc-c++
@@ -186,7 +192,6 @@
 #
 SEGV=${PWD}/libsigsegv
 pushd libsigsegv-*/
-  autoreconf
   ./configure --build ${SYSTEM} ${DEBUG}\
--prefix=%{_prefix} \
--libdir=%{_libdir}
@@ -236,7 +241,9 @@
 %endif
--with-dynamic-modules  \
--with-gettext  \
+%if 0%{?suse_version} = %min_suse_ver
--with-module=dbus  \
+%endif
--with-module=queens\
--with-module=gdbm  \
--with-module=gtk2  \
@@ -307,7 +314,9 @@
 rm -f %{buildroot}${CLXDOC}/demos/*.orig
 find  %{buildroot}${LSPLIB}/ -name '*.dvi' | xargs -r rm -f
 find  %{buildroot}${LSPLIB}/ -name '*.run' | xargs -r chmod 0755
+%if 0%{?suse_version} = %min_suse_ver
 %fdupes %{buildroot}${LSPLIB}/
+%endif
 %find_lang clisp
 %find_lang clisplow clisp.lang
 


-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit cluster-glue for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package cluster-glue for openSUSE:Factory 
checked in at 2011-12-25 17:33:36

Comparing /work/SRC/openSUSE:Factory/cluster-glue (Old)
 and  /work/SRC/openSUSE:Factory/.cluster-glue.new (New)


Package is cluster-glue, Maintainer is dmuhameda...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/cluster-glue/cluster-glue.changes
2011-09-23 01:53:40.0 +0200
+++ /work/SRC/openSUSE:Factory/.cluster-glue.new/cluster-glue.changes   
2011-12-25 17:33:38.0 +0100
@@ -1,0 +2,55 @@
+Mon Dec 12 13:24:22 UTC 2011 - dmuhameda...@suse.com
+
+- hb_report: set back the default destination to current directory
+- stonith: don't complain if rhcs plugins are not installed
+- update release to 1.0.9
+- Upstream version cs: ce78649ed7ea
+
+---
+Fri Nov 25 11:46:50 UTC 2011 - dmuhameda...@suse.com
+
+- LRM: lrmd: set op status to cancelled for running monitor operations
+- stonith: add CRM stonith resource name to log messages
+- stonith: external/ipmi: add the priv parameter (ipmitool -L)
+- stonith: external/ipmi: add missing double quote
+- ha_log: increase MAXENTITY size to accommodate long stonith strings
+- Upstream version cs: 7583026c6ace
+
+---
+Mon Nov  7 13:48:37 UTC 2011 - dmuhameda...@suse.com
+
+- hb_report: improve destination directory handling (bnc#727295)
+- Upstream version cs: 4b08977bece3
+
+---
+Mon Oct 24 13:12:38 UTC 2011 - dmuhameda...@suse.com
+
+- hb_report: add StrictHostKeyChecking=no to ssh options
+- hb_report: better handling of corrupt logs
+- hb_report: don't ssh to nodes which are unreachable
+- Upstream version cs: 3b800f73ba59
+
+---
+Thu Oct 20 11:19:31 UTC 2011 - dmuhameda...@suse.com
+
+- stonith: load libplumb symbols manually (fixes ipmilan) (bnc#694243)
+- hb_report: use absolute path when invoking slaves (bnc#662816)
+- clplumbing: fix for cl_times() wraparound and subsequent crash
+  with 32bit clock_t on 64bit systems (lf#2596)
+- set release to 1.0.8
+- Upstream version cs: 5ea7e344a633 (1.0.8)
+
+---
+Mon Oct 10 13:42:55 UTC 2011 - dmuhameda...@suse.com
+
+- Upstream version cs: f1d722d9cef1
+
+---
+Mon Oct 10 13:28:50 UTC 2011 - dmuhameda...@suse.com
+
+- LRM: cibsecret: add StrictHostKeyChecking=no to ssh options
+- LRM: cibsecret: allow set if the parameter is already stashed
+- LRM: cibsecret: better handling of ssh failures
+- stonith: external/ipmi: add parameter to specify ipmitool location
+
+---

Old:

  cluster-glue-1.0.7.tar.bz2

New:

  bnc662816_cluster-glue_hb_report_abspath.patch
  bug-694243_cluster-glue_symbol-conflict.patch
  bug-728579_glue-stonith-dev-id.patch
  cluster-glue-1.0.9.tar.bz2



Other differences:
--
++ cluster-glue.spec ++
--- /var/tmp/diff_new_pack.JUAEnD/_old  2011-12-25 17:33:39.0 +0100
+++ /var/tmp/diff_new_pack.JUAEnD/_new  2011-12-25 17:33:39.0 +0100
@@ -35,19 +35,33 @@
 
 Name:   cluster-glue
 Summary:The Heartbeat Subsystem for High-Availability Linux
-Version:1.0.7
-Release:8
 License:GPL-2.0 ; LGPL-2.1+
-Url:http://linux-ha.org/
 Group:  Productivity/Clustering/HA
+Version:1.0.9
+Release:0
+Url:http://linux-ha.org/
 Source: cluster-glue-%{version}.tar.bz2
 Source2:baselibs.conf
 Patch0: fix-runlevels.diff
+Patch1: bug-694243_cluster-glue_symbol-conflict.patch
+Patch2: bnc662816_cluster-glue_hb_report_abspath.patch
+Patch4: bug-728579_glue-stonith-dev-id.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  autoconf automake e2fsprogs-devel glib2-devel libtool 
libxml2-devel pkgconfig python-devel
-BuildRequires:  OpenIPMI-devel net-snmp-devel openhpi-devel
-BuildRequires:  docbook-xsl-stylesheets docbook_4 libxslt
+BuildRequires:  OpenIPMI-devel
+BuildRequires:  autoconf
+BuildRequires:  automake
+BuildRequires:  docbook-xsl-stylesheets
+BuildRequires:  docbook_4
+BuildRequires:  e2fsprogs-devel
+BuildRequires:  glib2-devel
 BuildRequires:  help2man
+BuildRequires:  libtool
+BuildRequires:  libxml2-devel
+BuildRequires:  libxslt
+BuildRequires:  net-snmp-devel
+BuildRequires:  openhpi-devel
+BuildRequires:  pkgconfig
+BuildRequires:  python-devel
 %if 0%{?suse_version}  1130
 BuildRequires:  

commit compat-readline4 for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package compat-readline4 for 
openSUSE:Factory checked in at 2011-12-25 17:33:41

Comparing /work/SRC/openSUSE:Factory/compat-readline4 (Old)
 and  /work/SRC/openSUSE:Factory/.compat-readline4.new (New)


Package is compat-readline4, Maintainer is wer...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/compat-readline4/compat-readline4.changes
2011-10-21 16:27:48.0 +0200
+++ /work/SRC/openSUSE:Factory/.compat-readline4.new/compat-readline4.changes   
2011-12-25 17:33:43.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 20:14:44 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ compat-readline4.spec ++
--- /var/tmp/diff_new_pack.o8jusU/_old  2011-12-25 17:33:43.0 +0100
+++ /var/tmp/diff_new_pack.o8jusU/_new  2011-12-25 17:33:43.0 +0100
@@ -15,20 +15,18 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
-
 Name:   compat-readline4
+BuildRequires:  autoconf
 BuildRequires:  ncurses-devel
-License:GPL-2.0+
-Group:  System/Libraries
 # bug437293
 %ifarch ppc64
 Obsoletes:  compat-readline4-64bit
 %endif
 #
 Version:4.3
-Release:138
+Release:0
 Summary:The Old readline Library 4.3
+License:GPL-2.0+
 Group:  System/Libraries
 Source: readline-%{version}.tar.bz2
 Patch1: readline-%{version}.dif
@@ -68,7 +66,6 @@
 %patch13 -p0 -b .zerotty
 
 %build
-%{?suse_update_config:%{suse_update_config -f support}}
 autoconf
 CFLAGS=$RPM_OPT_FLAGS -D_GNU_SOURCE ./configure \
--build=%{_target_cpu}-suse-linux \

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit cpupower for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package cpupower for openSUSE:Factory 
checked in at 2011-12-25 17:33:45

Comparing /work/SRC/openSUSE:Factory/cpupower (Old)
 and  /work/SRC/openSUSE:Factory/.cpupower.new (New)


Package is cpupower, Maintainer is tr...@novell.com

Changes:

--- /work/SRC/openSUSE:Factory/cpupower/cpupower.changes2011-12-15 
16:05:37.0 +0100
+++ /work/SRC/openSUSE:Factory/.cpupower.new/cpupower.changes   2011-12-25 
17:33:46.0 +0100
@@ -1,0 +2,21 @@
+Wed Dec 21 10:03:28 UTC 2011 - a...@suse.de
+
+- Add cpupower_export_tarball_from_git.sh as source file.
+
+---
+Tue Dec 20 13:22:00 UTC 2011 - tr...@suse.de
+
+- Add idle-info manpage
+- Fix two bugs: memleak in idle-info and wrong idle state count
+
+---
+Thu Dec 15 10:58:25 UTC 2011 - tr...@suse.de
+
+- Update to 3.2-rc5 version (not much changed, includes the
+  use-manpage-on-help patch - removed it)
+- Change licence from GPL-2.0+ to GPL-2.0 to fit the kernel
+  licence where sources are coming from
+- Provide a tiny script to quickly export and tar sources from
+  the git repo
+
+---

Old:

  cpupower-2.6.39.tar.bz2
  cpupower-use-manpage-on-help-command.patch

New:

  cpupower-3.2.rc5.tar.bz2
  cpupower_export_tarball_from_git.sh
  cpupower_fix_manpages.patch
  cpupower_fix_memleak.patch
  cpupower_fix_poll_idle_state.patch



Other differences:
--
++ cpupower.spec ++
--- /var/tmp/diff_new_pack.2PRw8t/_old  2011-12-25 17:33:47.0 +0100
+++ /var/tmp/diff_new_pack.2PRw8t/_new  2011-12-25 17:33:47.0 +0100
@@ -16,23 +16,28 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
+
 Name:   cpupower
 Url:
http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html
 # Use this as version when things are in mainline kernel
 %define version %(rpm -q --qf '%{VERSION}' kernel-source)
-Version:2.6.39
+Version:3.2.rc5
 Release:0
 Summary:Tools to determine and set CPU Power related Settings
-License:GPL-2.0+
+License:GPL-2.0
 Group:  System/Base
 Source: %{name}-%{version}.tar.bz2
-Patch0: cpupower-use-manpage-on-help-command.patch
+Source1:cpupower_export_tarball_from_git.sh
+Patch1: cpupower_fix_manpages.patch
+Patch2: cpupower_fix_poll_idle_state.patch
+Patch3: cpupower_fix_memleak.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  gettext-tools
 BuildRequires:  pciutils
 BuildRequires:  pciutils-devel
-Obsoletes:  cpufrequtils
-Provides:   cpufrequtils
+Obsoletes:  cpufrequtils  %version
+Provides:   cpufrequtils = %version
 
 %description
 This tool is to make access to the Linux kernel's processor power subsystems
@@ -58,8 +63,8 @@
 %package bench
 Summary:CPU frequency micro benchmark
 Group:  System/Benchmark
-Obsoletes:  cpufrequtils-bench
-Provides:   cpufrequtils-bench
+Obsoletes:  cpufrequtils-bench  %version
+Provides:   cpufrequtils-bench = %version
 
 %description bench
 Helps to test the condition of a given kernel cpufreq
@@ -70,7 +75,9 @@
 
 %prep
 %setup -q
-%patch0 -p1
+%patch1 -p1
+%patch2 -p1
+%patch3 -p1
 
 %build
 # This package failed when testing with -Wl,-as-needed being default.

++ cpupower_export_tarball_from_git.sh ++
#!/bin/bash

# Author: Thomas Renninger tr...@suse.de
# This code is covered and distributed under
# the General Public Licence v2

function usage(){
echo $(basename $0) [ git_tag ]
echo
echo git_tag   must be a valid kernel git tag, for example v3.1
echo   if git_tag is not passed HEAD will be used which
echo   may produce a package incompatible tarball name
echo   BEST ALWAYS PASS AN EXISTING TAG
echo   cpupower got introduced in 3.1-rc1
echo
echo export GIT_DIR= environment variable if the git repo is not the 
current directory
echo For example: GIT_DIR=/path_to_git_repo/.git
}

if [ $# -eq 1 ];then
if [ $1 = -h ] || [ $1 == --help ];then
usage
exit 0
fi
GIT_TAG=$1
echo Exporting cpupower from kernel version $GIT_TAG
# convert - to . as package versions do not allow -
VERSION=${GIT_TAG/-/.}
# remove leading v
VERSION=-${VERSION#v}
else
GIT_TAG=HEAD
VERSION=
fi

# Tried to do this with one git archive command, but
# --remote= param seem not to be configured for kernel.org gits

# set -x
DIR=`mktemp -d`
pushd $DIR
git archive --format=tar 

commit cscope for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package cscope for openSUSE:Factory checked 
in at 2011-12-25 17:33:49

Comparing /work/SRC/openSUSE:Factory/cscope (Old)
 and  /work/SRC/openSUSE:Factory/.cscope.new (New)


Package is cscope, Maintainer is pu...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/cscope/cscope.changes2011-09-23 
01:54:33.0 +0200
+++ /work/SRC/openSUSE:Factory/.cscope.new/cscope.changes   2011-12-25 
17:33:52.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 20:15:02 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ cscope.spec ++
--- /var/tmp/diff_new_pack.QU1OCB/_old  2011-12-25 17:33:52.0 +0100
+++ /var/tmp/diff_new_pack.QU1OCB/_new  2011-12-25 17:33:52.0 +0100
@@ -15,15 +15,13 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
-
 Name:   cscope
 Version:15.7a
-Release:13
-License:BSD-3-Clause
+Release:0
 Summary:Interactive Tool for Browsing C Source Code
-Url:http://cscope.sourceforge.net/
+License:BSD-3-Clause
 Group:  Development/Tools/Navigators
+Url:http://cscope.sourceforge.net/
 Source: %{name}-%{version}.tar.bz2
 Patch1: %{name}-null.patch
 Patch2: %{name}-15.7-gcc-warnings.patch
@@ -50,7 +48,6 @@
 %patch7 -p1
 
 %build
-%{?suse_update_config:%{suse_update_config}}
 %configure
 make %{?_smp_mflags}
 

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit dovecot12 for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package dovecot12 for openSUSE:Factory 
checked in at 2011-12-25 17:33:55

Comparing /work/SRC/openSUSE:Factory/dovecot12 (Old)
 and  /work/SRC/openSUSE:Factory/.dovecot12.new (New)


Package is dovecot12, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/dovecot12/dovecot12.changes  2011-10-03 
09:16:16.0 +0200
+++ /work/SRC/openSUSE:Factory/.dovecot12.new/dovecot12.changes 2011-12-25 
17:33:56.0 +0100
@@ -1,0 +2,7 @@
+Mon Dec  5 22:13:43 UTC 2011 - d...@dominik-schmidt.de
+
+- Remove CLucene integration as the original author says it's
+  totally broken, disabled for later versions until 2.1 and does
+  not compile with recent CLucene anymore
+
+---



Other differences:
--
++ dovecot12.spec ++
--- /var/tmp/diff_new_pack.oALrxa/_old  2011-12-25 17:33:57.0 +0100
+++ /var/tmp/diff_new_pack.oALrxa/_new  2011-12-25 17:33:57.0 +0100
@@ -35,7 +35,7 @@
 %define with_solr 1
 %endif
 %if 0%{?suse_version}  1020
-%define with_clucene 1
+%define with_clucene 0
 %endif
 %if 0%{?sles_version} == 9
 %define with_sqlite 0

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit FastCGI for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package FastCGI for openSUSE:Factory checked 
in at 2011-12-25 17:34:01

Comparing /work/SRC/openSUSE:Factory/FastCGI (Old)
 and  /work/SRC/openSUSE:Factory/.FastCGI.new (New)


Package is FastCGI, Maintainer is mrueck...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/FastCGI/FastCGI.changes  2011-10-16 
12:43:01.0 +0200
+++ /work/SRC/openSUSE:Factory/.FastCGI.new/FastCGI.changes 2011-12-25 
17:34:02.0 +0100
@@ -1,0 +2,7 @@
+Wed Dec 21 16:14:12 UTC 2011 - mrueck...@suse.com
+
+- added FastCGI-fix_deprecated_api.patch: (bnc#735882)
+  Fixes an issue where CGI.pm received CGI variables from previous
+  requests. CVE-2011-2766
+
+---

New:

  FastCGI-fix_deprecated_api.patch



Other differences:
--
++ FastCGI.spec ++
--- /var/tmp/diff_new_pack.E3atVg/_old  2011-12-25 17:34:03.0 +0100
+++ /var/tmp/diff_new_pack.E3atVg/_new  2011-12-25 17:34:03.0 +0100
@@ -37,6 +37,7 @@
 Patch3: fastcgi-2.4.0_missing_call_to_fclose.patch
 Patch4: FastCGI-gcc44.patch
 Patch5: FastCGI-perl514.patch
+Patch6: FastCGI-fix_deprecated_api.patch
 #
 Summary:A Scalable, Open Extension to CGI
 
@@ -82,6 +83,7 @@
 %patch3
 %patch4
 %patch5
+%patch6
 touch NEWS AUTHORS ChangeLog COPYING
 find doc/{fastcgi-prog-guide,fastcgi-whitepaper} -type f -print0 | xargs -r0 
chmod 0644
 

++ FastCGI-fix_deprecated_api.patch ++
From: Florian Ragwitz r...@debian.org
Date: Sat, 24 Sep 2011 07:54:33 + (+0200)
Subject: Stop leaking information across requests
X-Git-Url: 
http://git.shadowcat.co.uk/gitweb/gitweb.cgi?p=catagits%2Ffcgi2.git;a=commitdiff_plain;h=297693dc8362d25bb25e473899c72508a0f71d2e

Stop leaking information across requests

%hash is false if the hash hasn't been assigned to, *or* if the hash is simply
empty. This causes the environment from the *second* request (that is, the
environment produced by the first request) to be saved as default if the first
request had empty environment. This way, request after the first can get access
to credentials set up by the first request.

Instead of fixing this, I'd much rather remove this old and buggy
interface. However, 10 years of deprecation don't seem to have been enough for
CGI::Fast to switch to the new and properly supported interface. :-(

This is CVE-2011-2766.
---

Index: perl/FCGI.PL
===
--- perl/FCGI.PL.orig   2002-12-15 21:02:48.0 +0100
+++ perl/FCGI.PL2011-12-12 11:24:08.885998082 +0100
@@ -291,14 +291,14 @@ sub Request(;***$*$) {
 
 sub accept() {
 warn accept called as a method; you probably wanted to call Accept if @_;
-if (defined %FCGI::ENV) {
-   %ENV = %FCGI::ENV;
+if ( defined($FCGI::ENV) ) {
+%ENV = %$FCGI::ENV;
 } else {
-   %FCGI::ENV = %ENV;
+$FCGI::ENV = {%ENV};
 }
 my $rc = Accept($global_request);
-for (keys %FCGI::ENV) {
-   $ENV{$_} = $FCGI::ENV{$_} unless exists $ENV{$_};
+for (keys %$FCGI::ENV) {
+$ENV{$_} = $FCGI::ENV-{$_} unless exists $ENV{$_};
 }
 
 # not SFIO
@@ -310,7 +310,7 @@ sub accept() {
 
 sub finish() {
 warn finish called as a method; you probably wanted to call Finish if @_;
-%ENV = %FCGI::ENV if (defined %FCGI::ENV);
+%ENV = %$FCGI::ENV if defined($FCGI::ENV);
 
 # not SFIO
 if (tied (*STDIN)) {
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit fondu for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package fondu for openSUSE:Factory checked 
in at 2011-12-25 17:34:05

Comparing /work/SRC/openSUSE:Factory/fondu (Old)
 and  /work/SRC/openSUSE:Factory/.fondu.new (New)


Package is fondu, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/fondu/fondu.changes  2011-09-23 
01:58:01.0 +0200
+++ /work/SRC/openSUSE:Factory/.fondu.new/fondu.changes 2011-12-25 
17:34:06.0 +0100
@@ -1,0 +2,12 @@
+Thu Dec 15 15:32:49 UTC 2011 - cfarr...@suse.com
+
+- license update: BSD-3-Clause
+  The package is BSD-3-Clause not MIT (look at the License file). Use SPDX
+  format.
+
+---
+Thu Dec  8 13:22:31 UTC 2011 - co...@suse.com
+
+- BSD is not a valid spdx.org license
+
+---



Other differences:
--
++ fondu.spec ++
--- /var/tmp/diff_new_pack.KrCPGr/_old  2011-12-25 17:34:07.0 +0100
+++ /var/tmp/diff_new_pack.KrCPGr/_new  2011-12-25 17:34:07.0 +0100
@@ -16,15 +16,13 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
-
 Name:   fondu
 Version:1.0.060102
-Release:1
-License:BSD
+Release:0
 Summary:Converts between mac and unix fonts
-Url:http://fondu.sourceforge.net/
+License:BSD-3-Clause
 Group:  System/X11/Fonts
+Url:http://fondu.sourceforge.net/
 
 Source0:http://fondu.sourceforge.net/fondu_src-060102.tgz
 # PATCH-FIX-UPSTREAM fondu-flags.diff status=notsentyet

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit fontforge for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package fontforge for openSUSE:Factory 
checked in at 2011-12-25 17:34:08

Comparing /work/SRC/openSUSE:Factory/fontforge (Old)
 and  /work/SRC/openSUSE:Factory/.fontforge.new (New)


Package is fontforge, Maintainer is dli...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/fontforge/fontforge.changes  2011-10-03 
20:00:37.0 +0200
+++ /work/SRC/openSUSE:Factory/.fontforge.new/fontforge.changes 2011-12-25 
17:34:10.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 20:25:40 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ fontforge.spec ++
--- /var/tmp/diff_new_pack.oqzpxj/_old  2011-12-25 17:34:11.0 +0100
+++ /var/tmp/diff_new_pack.oqzpxj/_new  2011-12-25 17:34:11.0 +0100
@@ -15,14 +15,18 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
-
 Name:   fontforge
-BuildRequires:  dos2unix freetype2-devel giflib-devel libpng-devel 
libtiff-devel libxml2-devel python-devel update-desktop-files xorg-x11-devel
-License:BSD-3-Clause
-Group:  Productivity/Graphics/Vector Editors
+BuildRequires:  dos2unix
+BuildRequires:  freetype2-devel
+BuildRequires:  giflib-devel
+BuildRequires:  libpng-devel
+BuildRequires:  libtiff-devel
+BuildRequires:  libxml2-devel
+BuildRequires:  python-devel
+BuildRequires:  update-desktop-files
+BuildRequires:  xorg-x11-devel
 Version:20110222
-Release:1
+Release:0
 Obsoletes:  PfaEdit  20110222
 Provides:   PfaEdit = %{version}
 Url:http://fontforge.sourceforge.net/
@@ -42,6 +46,8 @@
 Patch7: fontforge-python-module-name.diff
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:A Font Editor
+License:BSD-3-Clause
+Group:  Productivity/Graphics/Vector Editors
 
 %description
 FontForge allows editing of outline and bitmap fonts.  With it, you can
@@ -50,7 +56,6 @@
 some Type 0s), TrueType, OpenType (Type2), and CID-keyed fonts.
 
 %package devel
-License:BSD-3-Clause
 Summary:Include Files and Libraries mandatory for Development
 Group:  Development/Libraries/Other
 Requires:   %{name} = %{version} freetype2-devel
@@ -90,7 +95,6 @@
 find . -name CVS -type d | xargs rm -rf
 
 %build
-%{?suse_update_config}
 #libtoolize --force
 #autoreconf --force --install
 export CFLAGS=$RPM_OPT_FLAGS -fno-strict-aliasing


-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit freealut for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package freealut for openSUSE:Factory 
checked in at 2011-12-25 17:34:12

Comparing /work/SRC/openSUSE:Factory/freealut (Old)
 and  /work/SRC/openSUSE:Factory/.freealut.new (New)


Package is freealut, Maintainer is sbra...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/freealut/freealut.changes2011-09-23 
01:58:11.0 +0200
+++ /work/SRC/openSUSE:Factory/.freealut.new/freealut.changes   2011-12-25 
17:34:13.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 20:29:15 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ freealut.spec ++
--- /var/tmp/diff_new_pack.fiwKJp/_old  2011-12-25 17:34:13.0 +0100
+++ /var/tmp/diff_new_pack.fiwKJp/_new  2011-12-25 17:34:13.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package freealut (Version 1.1.0)
+# spec file for package freealut
 #
-# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,18 +15,15 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   freealut
 BuildRequires:  openal-devel
-License:LGPL-2.1+
-Group:  System/Libraries
-AutoReqProv:on
 Version:1.1.0
-Release:210
+Release:0
 Url:http://connect.creativelabs.com/openal/default.aspx
 Summary:freealut is a free implementation of OpenAL's ALUT standard
+License:LGPL-2.1+
+Group:  System/Libraries
 Source: %{name}-%{version}.tar.bz2
 Source2:baselibs.conf
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -44,11 +41,10 @@
 Prakash Punnoor prak...@punnoor.de
 
 %package devel
-License:LGPL-2.1+
 Summary:Static libraries, header files and tests for openal library
+Group:  Development/Libraries/C and C++
 Provides:   openal:/usr/include/AL/alut.h
 Requires:   %{name} = %{version} glibc-devel openal-devel
-Group:  Development/Libraries/C and C++
 
 %description devel
 OpenAL is an audio library designed in the spirit of OpenGL - machine
@@ -65,7 +61,6 @@
 %setup -q
 
 %build
-%{?suse_update_config:%{suse_update_config -f linux}}
 %configure --disable-static --with-pic
 make %{?jobs:-j %jobs}
 

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit fwnn for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package fwnn for openSUSE:Factory checked in 
at 2011-12-25 17:34:15

Comparing /work/SRC/openSUSE:Factory/fwnn (Old)
 and  /work/SRC/openSUSE:Factory/.fwnn.new (New)


Package is fwnn, Maintainer is co...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/fwnn/fwnn.changes2011-09-23 
01:58:28.0 +0200
+++ /work/SRC/openSUSE:Factory/.fwnn.new/fwnn.changes   2011-12-25 
17:34:17.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 20:31:49 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ fwnn.spec ++
--- /var/tmp/diff_new_pack.0Y8uXt/_old  2011-12-25 17:34:17.0 +0100
+++ /var/tmp/diff_new_pack.0Y8uXt/_new  2011-12-25 17:34:17.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package fwnn (Version 1.1.1a021)
+# spec file for package fwnn
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,24 +15,21 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   fwnn
-BuildRequires:  ncurses-devel termcap
+BuildRequires:  ncurses-devel
+BuildRequires:  termcap
 %define base_version 1.1.1
 %define alpha_version a021
-License:GPL-2.0+
-Group:  System/I18n/Japanese
 Requires:   fwnncom
 Conflicts:  wnn6
 PreReq: /usr/sbin/useradd %insserv_prereq %fillup_prereq
-AutoReqProv:on
 Version:1.1.1a021
-Release:1
+Release:0
 Url:http://www.freewnn.org
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:FreeWnn Japanese Input System--Server Only
+License:GPL-2.0+
+Group:  System/I18n/Japanese
 Source: 
ftp://ftp.etl.go.jp/pub/FreeWnn/alpha/FreeWnn-%{base_version}-%{alpha_version}.tar.bz2
 Source1:rcfwnn
 Source2:rcfcwnn
@@ -99,9 +96,8 @@
 
 
 %package -n fwnn-devel
-License:GPL-2.0+
-Group:  Development/Libraries/C and C++
 Summary:Development Library and Header Files for FreeWnn
+Group:  Development/Libraries/C and C++
 Provides:   fwnndev
 Obsoletes:  fwnndev
 # Summary(ja): FreeWnn 用開発ライブラリとヘッダファイル
@@ -117,7 +113,6 @@
 
 
 %package -n fwnncom
-License:GPL-2.0+
 Summary:Common Files for FreeWnn
 Group:  System/I18n/Japanese
 PreReq: /usr/sbin/useradd
@@ -130,11 +125,10 @@
 
 
 %package -n fcwnn
-License:GPL-2.0+
-Group:  System/I18n/Chinese
 Requires:   fwnncom, fcwnncom
 PreReq: /usr/sbin/useradd fcwnncom
 Summary:Free cWnn Chinese Input System (Mainland China)
+Group:  System/I18n/Chinese
 # Summary(ja): Free cWnn 中国語の入力システム (中華人民共和国)
 # %description -n fcwnn -l ja
 # 
@@ -146,7 +140,6 @@
 
 
 %package -n fcwnncom
-License:GPL-2.0+
 Summary:Free cWnn/tWnn Chinese Input System Common Files (Mainland and 
Taiwan)
 Group:  System/I18n/Chinese
 Requires:   fwnncom
@@ -160,9 +153,8 @@
 
 
 %package -n fcwnndev
-License:GPL-2.0+
-Group:  Development/Libraries/C and C++
 Summary:Development Libraries and Header Files for Free cWnn
+Group:  Development/Libraries/C and C++
 # Summary(ja): Free cWnn 用開発ライブラリとヘッダファイル
 # %description -n fcwnndev -l ja
 # 
@@ -176,7 +168,6 @@
 
 
 %package -n ftwnn
-License:GPL-2.0+
 Summary:Free tWnn Chinese Input System (Taiwan)
 Group:  System/I18n/Chinese
 Requires:   fwnncom, fcwnncom
@@ -192,7 +183,6 @@
 
 
 %package -n fkwnn
-License:GPL-2.0+
 Summary:Free kWnn Korean Input System
 Group:  System/I18n/Korean
 Requires:   fwnncom
@@ -208,9 +198,8 @@
 
 
 %package -n fkwnndev
-License:GPL-2.0+
-Group:  Development/Libraries/C and C++
 Summary:Development Libraries and Header Files for Free kWnn
+Group:  Development/Libraries/C and C++
 # Summary(ja): Free kWnn 用開発ライブラリとヘッダファイル
 # %description -n fkwnndev -l ja
 # 
@@ -272,8 +261,6 @@
 # %patch3 -p1  
 
 %build
-# update config.{guess,sub}
-%{?suse_update_config}
 ./configure --prefix=/usr \
 --libdir=%{_libdir} \
 --mandir=%{_mandir} \

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit grub for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package grub for openSUSE:Factory checked in 
at 2011-12-25 17:34:26

Comparing /work/SRC/openSUSE:Factory/grub (Old)
 and  /work/SRC/openSUSE:Factory/.grub.new (New)


Package is grub, Maintainer is d...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/grub/grub.changes2011-12-01 
12:24:09.0 +0100
+++ /work/SRC/openSUSE:Factory/.grub.new/grub.changes   2011-12-25 
17:34:27.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 10:46:59 UTC 2011 - d...@suse.com
+
+- Fix access to incomplete last track.
+
+---

New:

  handle-incomplete-last-track



Other differences:
--
++ grub.spec ++
--- /var/tmp/diff_new_pack.AwXetC/_old  2011-12-25 17:34:28.0 +0100
+++ /var/tmp/diff_new_pack.AwXetC/_new  2011-12-25 17:34:28.0 +0100
@@ -69,6 +69,7 @@
 Patch40:grub-iso-fixes
 Patch41:stage2-gfx-cmdline-len-fix.diff
 Patch42:nulterminate-configfile
+Patch43:handle-incomplete-last-track
 Url:http://www.gnu.org/software/grub/grub.en.html
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:Grand Unified Boot Loader
@@ -128,6 +129,7 @@
 %patch40 -p1
 %patch41 -p1
 %patch42 -p1
+%patch43 -p1
 
 %build
 perl -pi -e 's,/usr/share/grub/i386-pc,/usr/lib/grub,' docs/grub.texi

++ handle-incomplete-last-track ++
From: Alexander Graf ag...@suse.de
Subject: [PATCH] Fix grub access to incomplete tracks
Date: Wed, 14 Dec 2011 18:23:00 +0100

When we have a disk in our system that has an LBA count that exceeds the track
boundary limits, grub still tries to read all of the track into its buffer.

This fails for obvious reasons, but can be easily circumvented: Just cap the
amount of sectors we want to read to a sensible amount. That way we don't read
beyond the end of the disk and the buffer is filled with sensible data up to
the point where the higher layers should care about the data.

Signed-off-by: Alexander Graf ag...@suse.de
Signed-off-by: Balazs Kutil bku...@suse.cz
Acked-by: Torsten Duwe d...@suse.de

diff --git a/stage2/bios.c b/stage2/bios.c
index 2d85e40..e3ad774 100644
--- a/stage2/bios.c
+++ b/stage2/bios.c
@@ -66,5 +66,11 @@ biosdisk (int read, int drive, struct geometry *geometry,
 #endif /* NO_BUGGY_BIOS_IN_THE_WORLD */
 
+  /* For incomplete last tracks, just read as much as we can */
+  if ((sector  geometry-total_sectors) 
+  (sector + nsec)  geometry-total_sectors) {
+  nsec = geometry-total_sectors - sector;
+  }
+
   /* FIXME: sizeof (DAP) must be 0x10. Should assert that the compiler
 can't add any padding.  */
   dap.length = sizeof (dap);


-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit grub2 for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package grub2 for openSUSE:Factory checked 
in at 2011-12-25 17:34:30

Comparing /work/SRC/openSUSE:Factory/grub2 (Old)
 and  /work/SRC/openSUSE:Factory/.grub2.new (New)


Package is grub2, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/grub2/grub2.changes  2011-11-28 
12:53:27.0 +0100
+++ /work/SRC/openSUSE:Factory/.grub2.new/grub2.changes 2011-12-25 
17:34:31.0 +0100
@@ -1,0 +2,5 @@
+Fri Dec  2 16:31:14 UTC 2011 - co...@suse.com
+
+- add automake as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ grub2.spec ++
--- /var/tmp/diff_new_pack.uCajz3/_old  2011-12-25 17:34:31.0 +0100
+++ /var/tmp/diff_new_pack.uCajz3/_new  2011-12-25 17:34:31.0 +0100
@@ -15,17 +15,31 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
-
 Name:   grub2
 %ifarch x86_64 ppc64
-BuildRequires:  freetype2-devel-32bit gcc-32bit glibc-32bit glibc-devel-32bit
-BuildRequires:  libncurses5-32bit libusb-1_0-devel-32bit ncurses-devel-32bit
+BuildRequires:  freetype2-devel-32bit
+BuildRequires:  gcc-32bit
+BuildRequires:  glibc-32bit
+BuildRequires:  glibc-devel-32bit
+BuildRequires:  libncurses5-32bit
+BuildRequires:  libusb-1_0-devel-32bit
+BuildRequires:  ncurses-devel-32bit
 %else
-BuildRequires:  freetype2-devel gcc glibc-devel libncurses5 libusb-1_0-devel
+BuildRequires:  freetype2-devel
+BuildRequires:  gcc
+BuildRequires:  glibc-devel
+BuildRequires:  libncurses5
+BuildRequires:  libusb-1_0-devel
 BuildRequires:  ncurses-devel
 %endif
-BuildRequires:  bison device-mapper-devel fdupes flex lzma ruby xz
+BuildRequires:  automake
+BuildRequires:  bison
+BuildRequires:  device-mapper-devel
+BuildRequires:  fdupes
+BuildRequires:  flex
+BuildRequires:  lzma
+BuildRequires:  ruby
+BuildRequires:  xz
 
 # Modules always contain just 32-bit code
 %define _libdir %{_exec_prefix}/lib
@@ -46,10 +60,10 @@
 %endif
 
 Version:1.99
-Release:6
+Release:0
 Summary:Bootloader with support for Linux, Multiboot and more
 Group:  System/Boot
-License:GPLv3+
+License:GPL-3.0+
 Url:http://www.gnu.org/software/grub/
 Source0:ftp://ftp.gnu.org/gnu/grub/grub-%{version}.tar.xz
 Source1:90_persistent
@@ -89,7 +103,6 @@
 %package efi
 
 Summary:GRUB2 for EFI systems
-Group:  System/Boot
 %ifarch ia64 x86_64
 #Package is available on ia64 and x86_64 only and not necessarily needed
 Requires:   efibootmgr


-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gstreamer-0_10-plugins-bad for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package gstreamer-0_10-plugins-bad for 
openSUSE:Factory checked in at 2011-12-25 17:34:34

Comparing /work/SRC/openSUSE:Factory/gstreamer-0_10-plugins-bad (Old)
 and  /work/SRC/openSUSE:Factory/.gstreamer-0_10-plugins-bad.new (New)


Package is gstreamer-0_10-plugins-bad, Maintainer is 
gnome-maintain...@suse.de

Changes:

--- 
/work/SRC/openSUSE:Factory/gstreamer-0_10-plugins-bad/gstreamer-0_10-plugins-bad.changes
2011-09-23 02:02:07.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.gstreamer-0_10-plugins-bad.new/gstreamer-0_10-plugins-bad.changes
   2011-12-25 17:34:36.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 20:32:22 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ gstreamer-0_10-plugins-bad.spec ++
--- /var/tmp/diff_new_pack.E4Y8T5/_old  2011-12-25 17:34:37.0 +0100
+++ /var/tmp/diff_new_pack.E4Y8T5/_new  2011-12-25 17:34:37.0 +0100
@@ -15,7 +15,6 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 %bcond_with divx4linux
 %bcond_with libmms
@@ -27,17 +26,19 @@
 # Use rpmbuild -D 'BUILD_ORIG 1' -D 'BUILD_ORIG_ADDON 1' to build patched 
build plus original as addon.
 %define _name gst-plugins-bad
 Version:0.10.22
-Release:6
+Release:0
 %define gst_branch 0.10
 # Please remove me when slv2 and lv2core are in factory.
 %if %{with LV2}
-BuildRequires:  slv2-devel
 BuildRequires:  lv2core-devel
+BuildRequires:  slv2-devel
 %endif
 BuildRequires:  DirectFB-devel
+BuildRequires:  autoconf
 BuildRequires:  SDL-devel
 BuildRequires:  check-devel
-BuildRequires:  dirac-devel gcc-c++
+BuildRequires:  dirac-devel
+BuildRequires:  gcc-c++
 BuildRequires:  gstreamer-0_10-plugins-base-devel = 0.10.33
 BuildRequires:  gtk-doc
 BuildRequires:  gtk2-devel
@@ -64,6 +65,7 @@
 BuildRequires:  libmusicbrainz-devel
 BuildRequires:  libofa-devel
 BuildRequires:  libpng-devel
+BuildRequires:  libraptor-devel
 BuildRequires:  librsvg-devel
 BuildRequires:  libsndfile-devel
 BuildRequires:  libtheora-devel
@@ -125,8 +127,6 @@
 %ifarch %ix86 ppc x86_64
 BuildRequires:  valgrind-devel
 %endif
-License:GPLv2+ ; LGPLv2.1+
-Group:  Productivity/Multimedia/Other
 %if 0%{?BUILD_ORIG}
 Source: 
http://gstreamer.freedesktop.org/src/%{_name}/%{_name}-%{version}.tar.bz2
 %else
@@ -144,6 +144,8 @@
 Url:http://gstreamer.freedesktop.org/
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:GStreamer Streaming-Media Framework Plug-Ins
+License:GPL-2.0+ ; LGPL-2.1+
+Group:  Productivity/Multimedia/Other
 Enhances:   gstreamer-0_10
 # Name up to 10.3:
 Provides:   gstreamer010-plugins-bad = %{version}
@@ -172,7 +174,6 @@
 %if 0%{?BUILD_ORIG_ADDON}
 
 %package orig-addon
-License:GPLv2+ ; LGPLv2.1+
 Summary:GStreamer Streaming-Media Framework Plug-Ins
 Group:  Productivity/Multimedia/Other
 Requires:   %{name} = %{version}
@@ -196,7 +197,6 @@
 %endif
 
 %package -n libgstbasecamerabinsrc-0_10-0
-License:GPLv2+ ; LGPLv2.1+
 Summary:GStreamer Streaming-Media Framework Plug-Ins
 Group:  Productivity/Multimedia/Other
 
@@ -208,7 +208,6 @@
 processing capabilities can be added simply by installing new plug-ins.
 
 %package -n libgstphotography-0_10-0
-License:GPLv2+ ; LGPLv2.1+
 Summary:GStreamer Streaming-Media Framework Plug-Ins
 Group:  Productivity/Multimedia/Other
 
@@ -220,7 +219,6 @@
 processing capabilities can be added simply by installing new plug-ins.
 
 %package -n libgstvdp-0_10-0
-License:GPLv2+ ; LGPLv2.1+
 Summary:GStreamer Streaming-Media Framework Plug-Ins
 Group:  Productivity/Multimedia/Other
 
@@ -232,7 +230,6 @@
 processing capabilities can be added simply by installing new plug-ins.
 
 %package -n libgstbasevideo-0_10-0
-License:GPLv2+ ; LGPLv2.1+
 Summary:GStreamer Streaming-Media Framework Plug-Ins
 Group:  Productivity/Multimedia/Other
 
@@ -244,7 +241,6 @@
 processing capabilities can be added simply by installing new plug-ins.
 
 %package -n libgstsignalprocessor-0_10-0
-License:GPLv2+ ; LGPLv2.1+
 Summary:GStreamer Streaming-Media Framework Plug-Ins
 Group:  Productivity/Multimedia/Other
 
@@ -256,7 +252,6 @@
 processing capabilities can be added simply by installing new plug-ins.
 
 %package devel
-License:GPLv2+ ; LGPLv2.1+
 Summary:GStreamer Streaming-Media Framework Plug-Ins
 Group:  Development/Libraries/C and C++
 Requires:   

commit gwenhywfar for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package gwenhywfar for openSUSE:Factory 
checked in at 2011-12-25 17:34:44

Comparing /work/SRC/openSUSE:Factory/gwenhywfar (Old)
 and  /work/SRC/openSUSE:Factory/.gwenhywfar.new (New)


Package is gwenhywfar, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/gwenhywfar/gwenhywfar.changes2011-10-02 
10:12:34.0 +0200
+++ /work/SRC/openSUSE:Factory/.gwenhywfar.new/gwenhywfar.changes   
2011-12-25 17:34:45.0 +0100
@@ -1,0 +2,13 @@
+Tue Dec 20 08:39:50 UTC 2011 - nico.laus.2...@gmx.de
+
+- removed gwenhywfar-gnutls-3.0.3.patch (fixed upstream in 4.3.1)
+
+---
+Mon Dec 19 23:11:41 UTC 2011 - nico.laus.2...@gmx.de
+
+- Update to version 4.3.1:
+  + this version is needed for AqBanking's new support for the optical chipTAN
+method
+  + some improvements to the typemaker2 tool
+
+---

Old:

  gwenhywfar-4.3.0.tar.gz
  gwenhywfar-gnutls-3.0.3.patch

New:

  gwenhywfar-4.3.1.tar.gz



Other differences:
--
++ gwenhywfar.spec ++
--- /var/tmp/diff_new_pack.Fwo6LK/_old  2011-12-25 17:34:46.0 +0100
+++ /var/tmp/diff_new_pack.Fwo6LK/_new  2011-12-25 17:34:46.0 +0100
@@ -18,16 +18,14 @@
 
 
 Name:   gwenhywfar
-Version:4.3.0
+Version:4.3.1
 Release:1
 License:GPL-2.0+ ; LGPL-2.1+
 Summary:Multiplatform Helper Library for Other Libraries
 Url:http://www.aqbanking.de/
 Group:  System/Libraries
 Source: %{name}-%{version}.tar.gz
-#Source:
http://www2.aquamaniac.de/sites/download/download.php?package=01release=64file=01dummy=gwenhywfar-4.3.0.tar.gz
-# PATCH-FIX-UPSTREAM gwenhywfar-gnutls-3.0.3.patch vu...@opensuse.org -- Drop 
deprecated and unneeded call to gnutls_transport_set_lowat. Sent upstream by 
mail on 2011-09-28
-Patch0: gwenhywfar-gnutls-3.0.3.patch
+#Source:
http://www2.aquamaniac.de/sites/download/download.php?package=01release=65file=01dummy=gwenhywfar-4.3.1.tar.gz
 BuildRequires:  doxygen
 BuildRequires:  fdupes
 BuildRequires:  gnutls-devel
@@ -137,7 +135,6 @@
 %lang_package
 %prep
 %setup -q
-%patch0 -p1
 
 %build
 %configure\

++ gwenhywfar-4.3.0.tar.gz - gwenhywfar-4.3.1.tar.gz ++
 21853 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit hanterm-xf for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package hanterm-xf for openSUSE:Factory 
checked in at 2011-12-25 17:34:48

Comparing /work/SRC/openSUSE:Factory/hanterm-xf (Old)
 and  /work/SRC/openSUSE:Factory/.hanterm-xf.new (New)


Package is hanterm-xf, Maintainer is mfab...@novell.com

Changes:

--- /work/SRC/openSUSE:Factory/hanterm-xf/hanterm-xf.changes2011-09-23 
02:02:44.0 +0200
+++ /work/SRC/openSUSE:Factory/.hanterm-xf.new/hanterm-xf.changes   
2011-12-25 17:34:49.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 20:34:04 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ hanterm-xf.spec ++
--- /var/tmp/diff_new_pack.Pcm2Ak/_old  2011-12-25 17:34:49.0 +0100
+++ /var/tmp/diff_new_pack.Pcm2Ak/_new  2011-12-25 17:34:49.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package hanterm-xf (Version 2.0.5_173)
+# spec file for package hanterm-xf
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,27 +15,25 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   hanterm-xf
-BuildRequires:  ncurses-devel update-desktop-files xorg-x11-devel
+BuildRequires:  ncurses-devel
+BuildRequires:  update-desktop-files
+BuildRequires:  xorg-x11-devel
 %if 0%{?suse_version}  1130
 BuildRequires:  utempter-devel
 %else
 BuildRequires:  utempter
 %endif
 %defineappdefdir  /usr/share/X11
-License:MIT
-Group:  System/X11/Terminals
 Obsoletes:  htermxf
 Provides:   htermxf
 Requires:   xfntkr
-AutoReqProv:on
 Summary:Hangul Terminal for the X Window System
+License:MIT
+Group:  System/X11/Terminals
 Url:http://kldp.net/project/showfiles.php?group_id=34
 Version:2.0.5_173
-Release:398
+Release:0
 # http://download.kldp.net/hanterm-xf/hanterm-xf-2.0.5-173.tar.gz
 Source0:
http://download.kldp.net/hanterm-xf/hanterm-xf-2.0.5-173.tar.bz2
 Source5:hanterm.desktop.kde3x
@@ -67,8 +65,6 @@
 %patch7 -p1
 
 %build
-# update config.{guess,sub}
-%{?suse_update_config}
 export CFLAGS=$RPM_OPT_FLAGS -fno-strict-aliasing 
 ./configure --prefix=%{_prefix} \
 --bindir=%{_bindir} \



-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit hawk for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package hawk for openSUSE:Factory checked in 
at 2011-12-25 17:34:52

Comparing /work/SRC/openSUSE:Factory/hawk (Old)
 and  /work/SRC/openSUSE:Factory/.hawk.new (New)


Package is hawk, Maintainer is tser...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/hawk/hawk.changes2011-09-23 
02:02:44.0 +0200
+++ /work/SRC/openSUSE:Factory/.hawk.new/hawk.changes   2011-12-25 
17:34:54.0 +0100
@@ -1,0 +2,69 @@
+Mon Dec 12 10:53:42 UTC 2011 - tser...@suse.com
+
+- GUI: Fix constraint tab when logged in as regular user (was bound to
+  hb_report, bnc#734447)
+- GUI: Constraints: Allow templates in order/colocation (bnc#732277)
+- Misc: Cib model: Add failed probes (OCF_ERR_INSTALLED etc.) to failed_ops
+- Misc: explorer, hb_report: Handle stale pidfiles (bnc#731282)
+- Upstream version cs:ca6df475621b
+
+---
+Tue Nov 15 02:34:50 UTC 2011 - tser...@suse.com
+
+- Misc: Primitive model: Fix string interpolation when creating
+  resources (bnc#730136)
+
+---
+Mon Nov  7 12:02:47 UTC 2011 - tser...@suse.com
+
+- GUI: Add top-level tab bar for navigation (bnc#723679)
+- GUI: Add top-level resource list/editor
+- GUI: status: Move errorbar to content div, theme to match jquery ui errors
+- GUI: Add support for resource templates
+- GUI: simulator, explorer: show graphs, details etc. in dialog (bnc#726612)
+- GUI: status: Display error if server down or network fault during
+  refresh (bnc#723125)
+- Misc: Fix delay running /etc/init.d/hawk start when DNS unavailable
+- Misc: hb_report: strip broken pipe from stderr (bnc#726611)
+- Build: Bump spec file version to 0.5.1
+- Upstream version cs:4ace058c2e06
+
+---
+Mon Oct 24 05:27:44 UTC 2011 - tser...@suse.com
+
+- GUI: explorer, hb_report: Better error reporting for successful hb_report
+  runs (bnc#723336)
+- GUI: hb_report: Invoke with -Z (remove destination directories)
+- Misc: Refactor: Consolidate hb_report generation from explorer  hb_reports
+  controllers
+- Misc: Update translations
+- Upstream version cs:8ea83e79cded
+
+---
+Tue Oct 18 14:16:36 UTC 2011 - tser...@suse.com
+
+- GUI: Simulator: Don't link to empty transition graphs (bnc#723401)
+- GUI: Simulator: Auto-fill monitor interval when injecting ops (bnc#723401)
+- GUI: Simulator: Default node to where resource running when injecting ops
+- GUI: Simulator: More natural control order when injecting ops (resource
+  first)
+- GUI: Simulator: Ensure ENTER doesn't close simulator when injecting ops
+- GUI: Simulator: Handle dialog close event (e.g.: when clicking 'x' in
+  title bar)
+- GUI: Simulator: explicitly hide error bar when (de)activating simulator
+  (bnc#72)
+- Misc: Cib model: Handle case in simulator CIB where lrm_rsc_op has no
+  id attribute
+- Misc: hawk_{invoke,chkpwd}: Handle case where user's GID has no name
+  so login fails (bnc#723512)
+- Upstream version cs:35b82f1ce6e4
+
+---
+Mon Oct 10 04:42:06 UTC 2011 - tser...@suse.com
+
+- Misc: Fix bogus ra class does not support provider error when
+  creating STONITH primitives
+- Misc: Update Czech translations (bnc#720098)
+- Upstream version cs:ac1fe14f3564
+
+---

Old:

  hawk-0.5.0.tar.bz2

New:

  hawk-0.5.1.tar.bz2



Other differences:
--
++ hawk.spec ++
--- /var/tmp/diff_new_pack.rO41us/_old  2011-12-25 17:34:55.0 +0100
+++ /var/tmp/diff_new_pack.rO41us/_new  2011-12-25 17:34:55.0 +0100
@@ -15,7 +15,6 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
 %definewww_base/srv/www
 %definevendor_ruby vendor_ruby
 %defineinit_style  suse
@@ -26,20 +25,19 @@
 
 Name:   hawk
 Summary:HA Web Konsole
-Version:0.5.0
-Release:0
 License:GPL-2.0
-Url:http://www.clusterlabs.org/wiki/Hawk
 Group:  Productivity/Clustering/HA
+Version:0.5.1
+Release:0
+Url:http://www.clusterlabs.org/wiki/Hawk
 Source: %{name}-%{version}.tar.bz2
 Source1:filter-requires.sh
 Source100:  hawk-rpmlintrc
-Patch3: require-rack-1.1.patch
+Patch2: require-rack-1.1.patch
 Patch5: fix-rails-freeze-version_requirements.patch
 %define_use_internal_dependency_generator 0
 %define__find_requires /bin/sh %{SOURCE1}
 BuildRoot:  

commit horde3-gollem for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package horde3-gollem for openSUSE:Factory 
checked in at 2011-12-25 17:34:57

Comparing /work/SRC/openSUSE:Factory/horde3-gollem (Old)
 and  /work/SRC/openSUSE:Factory/.horde3-gollem.new (New)


Package is horde3-gollem, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/horde3-gollem/horde3-gollem.changes  
2011-09-23 02:02:49.0 +0200
+++ /work/SRC/openSUSE:Factory/.horde3-gollem.new/horde3-gollem.changes 
2011-12-25 17:34:59.0 +0100
@@ -1,0 +2,5 @@
+Thu Dec  8 11:13:36 UTC 2011 - co...@suse.com
+
+- the license seems to be GPL-2.0+
+
+---



Other differences:
--
++ horde3-gollem.spec ++
--- /var/tmp/diff_new_pack.5gmbGq/_old  2011-12-25 17:34:59.0 +0100
+++ /var/tmp/diff_new_pack.5gmbGq/_new  2011-12-25 17:34:59.0 +0100
@@ -15,16 +15,15 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 %define _hordedir %(%{_sbindir}/apxs2 -q datadir)/htdocs/horde/
 %define _gollemdir %{_hordedir}/gollem
 
 Name:   horde3-gollem
 Version:1.1.2
-Release:2
+Release:0
 Summary:Horde Webbased File Manager
-License:GPL
+License:GPL-2.0+
 Group:  Productivity/Networking/Other
 Url:http://www.horde.org/gollem
 Source0:gollem-h3-%{version}.tar.bz2
@@ -33,7 +32,8 @@
 Requires:   horde3 = 3.3.0
 BuildRequires:  horde3
 Recommends: php5-pear-HTTP_WebDAV_Server
-BuildRequires:  apache2-devel pcre-devel
+BuildRequires:  apache2-devel
+BuildRequires:  pcre-devel
 %if 0%{?sles_version} != 10 
 BuildRequires:  fdupes
 %endif

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit hylafax for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package hylafax for openSUSE:Factory checked 
in at 2011-12-25 17:35:04

Comparing /work/SRC/openSUSE:Factory/hylafax (Old)
 and  /work/SRC/openSUSE:Factory/.hylafax.new (New)


Package is hylafax, Maintainer is kk...@novell.com

Changes:

--- /work/SRC/openSUSE:Factory/hylafax/hylafax.changes  2011-09-23 
02:03:03.0 +0200
+++ /work/SRC/openSUSE:Factory/.hylafax.new/hylafax.changes 2011-12-25 
17:35:06.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 20:34:41 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ hylafax.spec ++
--- /var/tmp/diff_new_pack.T8CfNM/_old  2011-12-25 17:35:06.0 +0100
+++ /var/tmp/diff_new_pack.T8CfNM/_new  2011-12-25 17:35:06.0 +0100
@@ -15,20 +15,24 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   hylafax
-BuildRequires:  gcc-c++ ghostscript-library libjpeg-devel libpng-devel 
libtiff-devel metamail mm postfix pwdutils
-BuildRequires:  mgetty xz zlib-devel
-License:MIT
-Group:  Hardware/Fax
+BuildRequires:  gcc-c++
+BuildRequires:  ghostscript-library
+BuildRequires:  libjpeg-devel
+BuildRequires:  libpng-devel
+BuildRequires:  libtiff-devel
+BuildRequires:  metamail
+BuildRequires:  mgetty
+BuildRequires:  mm
+BuildRequires:  postfix
+BuildRequires:  pwdutils
+BuildRequires:  xz
+BuildRequires:  zlib-devel
 Provides:   fax_daemon
 Requires:   tiff gs_lib smtp_daemon a2ps hylafax-client mgetty
 Conflicts:  sendfax
-AutoReqProv:on
 Version:6.0.4
-Release:9
+Release:0
 Source: %{name}-%{version}.tar.lzma
 Source1:latex-cover-1.04.tar.lzma
 Source2:%{name}-SuSE.tar.lzma
@@ -50,6 +54,8 @@
 Url:http://www.hylafax.org
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:Very Powerful Fax Server
+License:MIT
+Group:  Hardware/Fax
 PreReq: sh-utils fileutils %insserv_prereq %fillup_prereq 
/usr/sbin/useradd /usr/sbin/usermod
 %define lib_dir %{_prefix}/lib/fax
 %define spooldir /var/spool/fax
@@ -64,10 +70,7 @@
 Sam Leffler s...@engr.sgi.com
 
 %package -n hylafax-client
-License:MIT
-Group:  Hardware/Fax
 Conflicts:  sendfax
-AutoReqProv:on
 Summary:Linux client package for the Hylafax server
 
 %description -n hylafax-client
@@ -75,12 +78,6 @@
 you already run the Hylafax fax server on an other machine at your
 network, you can use this package to access the server.
 
-
-
-Authors:
-
-Sam Leffler s...@engr.sgi.com
-
 %prep
 %setup -q -n %{name}-%{version} -a 1 -a 2
 %patch
@@ -102,7 +99,6 @@
 cp %{S:4} po/de.po
 
 %build
-%{?suse_update_config:%{suse_update_config -f}}
 ./configure --with-OPTIMIZER=%{optflags} --with-STRIP=: \
 --with-MKDIR=/bin/mkdir -p ${RPM_ARCH}-suse-linux  /dev/null
 %{__make} BIN=%{_bindir} \




-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit isdngw for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package isdngw for openSUSE:Factory checked 
in at 2011-12-25 17:35:10

Comparing /work/SRC/openSUSE:Factory/isdngw (Old)
 and  /work/SRC/openSUSE:Factory/.isdngw.new (New)


Package is isdngw, Maintainer is kk...@novell.com

Changes:

--- /work/SRC/openSUSE:Factory/isdngw/isdngw.changes2011-12-21 
10:00:26.0 +0100
+++ /work/SRC/openSUSE:Factory/.isdngw.new/isdngw.changes   2011-12-25 
17:35:11.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 20:55:15 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ isdngw.spec ++
--- /var/tmp/diff_new_pack.1hYjFF/_old  2011-12-25 17:35:11.0 +0100
+++ /var/tmp/diff_new_pack.1hYjFF/_new  2011-12-25 17:35:11.0 +0100
@@ -15,6 +15,7 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 Name:   isdngw
 BuildRequires:  SDL-devel
 BuildRequires:  gcc-c++
@@ -55,7 +56,6 @@
 #%patch
 
 %build
-%{?suse_update_config:%{suse_update_config -f}}
 make RPM_OPT_FLAGS=$RPM_OPT_FLAGS -fexceptions 
OPENH323DIR=/usr/share/openh323 PREFIX=/usr OH323_LIBDIR=%{_libdir} opt
 
 %install

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit iwidgets for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package iwidgets for openSUSE:Factory 
checked in at 2011-12-25 17:35:13

Comparing /work/SRC/openSUSE:Factory/iwidgets (Old)
 and  /work/SRC/openSUSE:Factory/.iwidgets.new (New)


Package is iwidgets, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/iwidgets/iwidgets.changes2011-09-23 
02:03:49.0 +0200
+++ /work/SRC/openSUSE:Factory/.iwidgets.new/iwidgets.changes   2011-12-25 
17:35:15.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 20:55:34 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ iwidgets.spec ++
--- /var/tmp/diff_new_pack.dezvon/_old  2011-12-25 17:35:15.0 +0100
+++ /var/tmp/diff_new_pack.dezvon/_new  2011-12-25 17:35:15.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package iwidgets (Version 4.0.1)
+# spec file for package iwidgets
 #
-# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,20 +15,18 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   iwidgets
+BuildRequires:  autoconf
 BuildRequires:  tcl
 Version:4.0.1
-Release:370
-License:MIT
-Group:  Development/Languages/Tcl
+Release:0
 Source0:%name%version.tar.bz2
 Patch0: %name%version.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
 Summary:Widget Extension for Tcl/Tk
+License:MIT
+Group:  Development/Languages/Tcl
 Requires:   itk
 
 %description
@@ -45,18 +43,11 @@
 themselves be extended, using either inheritance or composition.
 
 
-
-Authors:
-
-Michael J. McLennan michael.mclen...@att.com
-Dr. John Ousterhout john.ousterh...@eng.sun.com
-
 %prep
 %setup -q -n %name%version
 %patch0
 
 %build
-%{suse_update_config}
 autoconf
 %configure --with-tcl=%_libdir --with-tk=%_libdir
 make

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit jfbterm for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package jfbterm for openSUSE:Factory checked 
in at 2011-12-25 17:35:17

Comparing /work/SRC/openSUSE:Factory/jfbterm (Old)
 and  /work/SRC/openSUSE:Factory/.jfbterm.new (New)


Package is jfbterm, Maintainer is mfab...@novell.com

Changes:

--- /work/SRC/openSUSE:Factory/jfbterm/jfbterm.changes  2011-09-23 
02:04:13.0 +0200
+++ /work/SRC/openSUSE:Factory/.jfbterm.new/jfbterm.changes 2011-12-25 
17:35:20.0 +0100
@@ -1,0 +2,10 @@
+Wed Dec 21 10:31:38 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---
+Thu Dec  1 16:51:14 UTC 2011 - co...@suse.com
+
+- add automake as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ jfbterm.spec ++
--- /var/tmp/diff_new_pack.0czr25/_old  2011-12-25 17:35:21.0 +0100
+++ /var/tmp/diff_new_pack.0czr25/_new  2011-12-25 17:35:21.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package jfbterm (Version 0.3.10)
+# spec file for package jfbterm
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,22 +15,18 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   jfbterm
+BuildRequires:  automake
 BuildRequires:  ncurses-devel
 %if 0%{?suse_version}  1130
 BuildRequires:  utempter-devel
 %else
 BuildRequires:  utempter
 %endif
-License:BSD3c
-Group:  System/Console
 PreReq: /bin/cat /usr/bin/grep permissions
-AutoReqProv:on
 Version:0.3.10
-Release:664
+Release:0
 Url:http://www3.justnet.ne.jp/~nmasu/linux/jfbterm/indexn.html
 Source: 
http://www3.justnet.ne.jp/~nmasu/linux/binary/jfbterm-0.3.10.tar.bz2
 Source1:terminfo.jfbterm
@@ -40,6 +36,8 @@
 Patch2: jfbterm-0.3.10-implicit_decl.patch
 Patch3: jfbterm-pagemask.patch
 Summary:Framebuffer Terminal to Display Japanese Characters
+License:BSD-3-Clause
+Group:  System/Console
 # Summary(ja): Linux の framebuffer 上で漢字を表示するためのプログラムです。
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 # %description -l ja
@@ -68,8 +66,6 @@
 cp %{SOURCE2} .
 
 %build
-# update config.{guess,sub}
-%{?suse_update_config:%{suse_update_config}}
 aclocal
 automake -a --gnu --include-deps
 autoconf

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit kdebase3-SuSE for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package kdebase3-SuSE for openSUSE:Factory 
checked in at 2011-12-25 17:35:25

Comparing /work/SRC/openSUSE:Factory/kdebase3-SuSE (Old)
 and  /work/SRC/openSUSE:Factory/.kdebase3-SuSE.new (New)


Package is kdebase3-SuSE, Maintainer is kde-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/kdebase3-SuSE/kdebase3-SuSE.changes  
2011-10-12 16:12:31.0 +0200
+++ /work/SRC/openSUSE:Factory/.kdebase3-SuSE.new/kdebase3-SuSE.changes 
2011-12-25 17:35:26.0 +0100
@@ -1,0 +2,5 @@
+Mon Dec 19 02:41:27 UTC 2011 - an...@opensuse.org
+
+- make show desktop button to behave as in windows, gnome2, compiz
+
+---

Old:

  11.3-adjustments.diff

New:

  kwin-show-desktop.patch



Other differences:
--
++ kdebase3-SuSE.spec ++
--- /var/tmp/diff_new_pack.84Cghi/_old  2011-12-25 17:35:27.0 +0100
+++ /var/tmp/diff_new_pack.84Cghi/_new  2011-12-25 17:35:27.0 +0100
@@ -46,9 +46,7 @@
 # opened by suseplugger
 Suggests:   
yast2-bluetooth,yast2-country,yast2-mouse,yast2-network,yast2-printer,yast2-scanner,yast2-sound,yast2-storage,yast2-tv,yast2-x11
 Obsoletes:  kdebase3-Personal
-%if %suse_version  1010
 Recommends: kwin-decor-suse2
-%endif
 PreReq: %fillup_prereq
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Version:11.3
@@ -58,32 +56,18 @@
 Source3:kdebase3-SuSE-windowmanager.fillup
 Source4:media.desktop
 Requires:   desktop-branding
-%if %{suse_version}  1020
 Requires:   %{name}-lang
-%endif
 Requires:   %{name}-branding
 Recommends: kde3-gtk-qt-engine kde3-knemo
 Patch0: adjust-settings.patch
 Patch1: branding-12_1.patch
+Patch2: kwin-show-desktop.patch
 
 %description
 This package contains the standard SUSE desktop and menu extensions for
 the Kpanel.
 
 
-Authors:
-
-Artwork:
-Ken W. Wimer wi...@suse.de
-Torsten Rahn tac...@suse.de
-Everaldo evera...@everaldo.com
-
-Implementation:
-Adrian Schr�ter adr...@suse.de
-Marcus Meissner meiss...@suse.de
-Oliver Ries or...@suse.de
-Ludwig Nussel lnus...@suse.de
-
 %package -n kde3-kio_sysinfo
 License:GPL-2.0+
 Summary:System Information KIO-Slave
@@ -95,18 +79,6 @@
 This package contains a KDE KIO-Slave showing system information.
 
 
-
-Authors:
-
-Artwork:
-Jakub Steiner
-
-Implementation:
-Lukas Tinkl
-Stephan Kulow
-Dirk Mueller
-Stephan Binner
-
 %package branding-openSUSE
 Summary:SUSE KDE Extension
 License:GPL-2.0+
@@ -120,24 +92,7 @@
 %description branding-openSUSE
 This package contains the openSUSE branding of the SUSE KDE Extensions.
 
-
-
-Authors:
-
-Artwork:
-Ken W. Wimer wi...@suse.de
-Torsten Rahn tac...@suse.de
-Everaldo evera...@everaldo.com
-
-Implementation:
-Adrian Schr�ter adr...@suse.de
-Marcus Meissner meiss...@suse.de
-Oliver Ries or...@suse.de
-Ludwig Nussel lnus...@suse.de
-
-%if %{suse_version}  1020
 %lang_package
-%endif
 
 %prep
 %setup -q -n kdebase-SuSE 
@@ -152,6 +107,8 @@
 %if %{suse_version}  1140
 %patch1 -p1
 %endif
+%patch2 -p1
+
 update_admin
 
 %build

++ kwin-show-desktop.patch ++
diff -wruN kdebase-SuSE.orig/config-files/etc/opt/kde3/share/config/kwinrc 
kdebase-SuSE/config-files/etc/opt/kde3/share/config/kwinrc
--- kdebase-SuSE.orig/config-files/etc/opt/kde3/share/config/kwinrc 
2008-05-16 12:25:00.0 +0400
+++ kdebase-SuSE/config-files/etc/opt/kde3/share/config/kwinrc  2011-12-19 
06:38:56.447283615 +0400
@@ -27,3 +27,4 @@
 TranslucentInactiveWindows=false
 TranslucentMovingWindows=false
 TreatKeepAboveAsActive=false
+ShowDesktopIsMinimizeAll=true
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit kinput2 for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package kinput2 for openSUSE:Factory checked 
in at 2011-12-25 17:35:29

Comparing /work/SRC/openSUSE:Factory/kinput2 (Old)
 and  /work/SRC/openSUSE:Factory/.kinput2.new (New)


Package is kinput2, Maintainer is lzw...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/kinput2/kinput2.changes  2011-09-23 
02:06:48.0 +0200
+++ /work/SRC/openSUSE:Factory/.kinput2.new/kinput2.changes 2011-12-25 
17:35:31.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 20:56:41 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ kinput2.spec ++
--- /var/tmp/diff_new_pack.MF3LdD/_old  2011-12-25 17:35:32.0 +0100
+++ /var/tmp/diff_new_pack.MF3LdD/_new  2011-12-25 17:35:32.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package kinput2 (Version v3.1)
+# spec file for package kinput2
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,11 +15,9 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   kinput2
-BuildRequires:  canna-devel fwnndev
+BuildRequires:  canna-devel
+BuildRequires:  fwnndev
 BuildRequires:  xorg-x11-devel
 %define xprefix%{_prefix}
 %define xbindir%{_bindir}
@@ -27,12 +25,9 @@
 %defineappdefdir  /usr/share/X11
 %define xincludes  /usr/include
 %define xlibraries /usr/%{_lib}
-License:PERMISSIVE-OSI-COMPLIANT ; MIT
-Group:  System/I18n/Japanese
-AutoReqProv:on
 Provides:   locale(xorg-x11:ja)
 Version:v3.1
-Release:529
+Release:0
 # URL: 
 Source0:ftp://ftp.sra.co.jp/pub/x11/kinput2/%{name}-v3.1.tar.bz2
 Source10:   etc-x11-xim.d-kinput2-canna
@@ -55,6 +50,8 @@
 Patch15:bugzilla-368441-local-variable-used-before-set.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:Kanji Input Server for the X Window System
+License:PERMISSIVE-OSI-COMPLIANT ; MIT
+Group:  System/I18n/Japanese
 # Summary(ja): X用日本語入力サーバ
 # %description -l ja
 # Kinput2は日本語入力を必要とするXアプリケーション用の入力サーバーです。
@@ -85,8 +82,6 @@
 head -n 21 cmd/kinput2.c  Copyright
 
 %build
-# update config.{guess,sub}
-%{?suse_update_config}
 # edit Kinput2.conf here ...
 #sed -e 's/#define UseSj3/#undef UseSj3/' Kinput2.conf  Kinput2.conf.sed
 #mv Kinput2.conf.sed Kinput2.conf

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org




commit libdb-4_5 for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package libdb-4_5 for openSUSE:Factory 
checked in at 2011-12-25 17:35:33

Comparing /work/SRC/openSUSE:Factory/libdb-4_5 (Old)
 and  /work/SRC/openSUSE:Factory/.libdb-4_5.new (New)


Package is libdb-4_5, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/libdb-4_5/libdb-4_5.changes  2011-10-02 
10:14:24.0 +0200
+++ /work/SRC/openSUSE:Factory/.libdb-4_5.new/libdb-4_5.changes 2011-12-25 
17:35:36.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 21:08:49 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ libdb-4_5.spec ++
--- /var/tmp/diff_new_pack.TRAmCj/_old  2011-12-25 17:35:37.0 +0100
+++ /var/tmp/diff_new_pack.TRAmCj/_new  2011-12-25 17:35:37.0 +0100
@@ -15,7 +15,6 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
 %define generic_name db
 %define docdir %{_defaultdocdir}/%{name}
 %define major 4
@@ -23,16 +22,17 @@
 
 Name:   libdb-4_5
 Version:%{major}.%{minor}.20
-Release:1
-License:BSD-3-Clause
+Release:0
 Summary:Berkeley DB Database Library Version 4.5
-Url:http://www.sleepycat.com
+License:BSD-3-Clause
 Group:  System/Libraries
+Url:http://www.sleepycat.com
 Source: db-%{version}.tar.bz2
 Source9:getpatches
 Patch0: db-%{version}-rep.patch
 Patch1: db-%{version}-sequence.patch
 Patch2: db-%{version}.patch
+BuildRequires:  autoconf
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -48,7 +48,6 @@
 This package contains the necessary runtime libraries.
 
 %package -n db45-utils-doc
-License:BSD-3-Clause
 Summary:Documentation for the Command Line tools for Managing Berkeley 
DB Databases
 Group:  Productivity/Databases/Tools
 Requires:   libdb-4_5 = %{version}
@@ -64,7 +63,6 @@
 managing Berkeley DB databases.
 
 %package -n db45-utils
-License:BSD-3-Clause
 Summary:Command Line tools for Managing Berkeley DB Databases
 Group:  Productivity/Databases/Tools
 
@@ -76,7 +74,6 @@
 databases.
 
 %package -n db45-doc
-License:BSD-3-Clause
 Summary:Documentation for Berkeley DB
 Group:  Development/Libraries/C and C++
 %if 0%{?suse_version} = 1120
@@ -90,7 +87,6 @@
 This package contains the documentation.
 
 %packagedevel
-License:BSD-3-Clause
 Summary:Development Files and Libraries for the old Berkeley DB 
library Version 4.5
 Group:  Development/Libraries/C and C++
 Requires:   %{name} = %{version}

++ libdb_java-4_5.spec ++
--- /var/tmp/diff_new_pack.TRAmCj/_old  2011-12-25 17:35:37.0 +0100
+++ /var/tmp/diff_new_pack.TRAmCj/_new  2011-12-25 17:35:37.0 +0100
@@ -15,7 +15,6 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
 %define generic_name db
 %define docdir %{_defaultdocdir}/%{name}
 %define major 4
@@ -23,11 +22,11 @@
 
 Name:   libdb_java-4_5
 Version:%{major}.%{minor}.20
-Release:1
-License:BSD-3-Clause
+Release:0
 Summary:Java Bindings for the Berkeley DB
-Url:http://www.sleepycat.com
+License:BSD-3-Clause
 Group:  Productivity/Databases/Servers
+Url:http://www.sleepycat.com
 Source: db-%{version}.tar.bz2
 Source9:getpatches
 Patch0: db-%{version}-rep.patch
@@ -45,9 +44,7 @@
 the Java support of db and dbxml.
 
 %packagedevel
-License:BSD-3-Clause
 Summary:Java Bindings for the Berkeley DB
-Group:  Productivity/Databases/Servers
 Requires:   %{name} = %{version}
 Requires:   glibc-devel
 

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libdlm for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package libdlm for openSUSE:Factory checked 
in at 2011-12-25 17:35:37

Comparing /work/SRC/openSUSE:Factory/libdlm (Old)
 and  /work/SRC/openSUSE:Factory/.libdlm.new (New)


Package is libdlm, Maintainer is jjzh...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/libdlm/libdlm.changes2011-11-14 
12:00:29.0 +0100
+++ /work/SRC/openSUSE:Factory/.libdlm.new/libdlm.changes   2011-12-25 
17:35:39.0 +0100
@@ -1,0 +2,8 @@
+Fri Dec 16 04:55:40 UTC 2011 - tser...@suse.com
+
+- fix build with current pacemaker
+  (/usr/include/pacemaker/crm/common/stack.h
+   moved to
+   /usr/include/pacemaker/crm/cluster/stack.h) 
+
+---

New:

  libdlm-pacemaker.patch



Other differences:
--
++ libdlm.spec ++
--- /var/tmp/diff_new_pack.DHHdo9/_old  2011-12-25 17:35:39.0 +0100
+++ /var/tmp/diff_new_pack.DHHdo9/_new  2011-12-25 17:35:39.0 +0100
@@ -15,8 +15,6 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 %if 0%{?suse_version}
 %define _libexecdir %{_libdir}
 %endif
@@ -31,16 +29,22 @@
 
 Name:   libdlm
 Summary:Application interface to the kernel's distributed lock manager
-Version:3.00.01
-Release:14
 License:GPL-2.0 ; GPL-2.0+ ; LGPL-2.1+
-Url:http://sources.redhat.com/cluster/wiki
 Group:  Productivity/Clustering/HA
+Version:3.00.01
+Release:0
+Url:http://sources.redhat.com/cluster/wiki
 Source: libdlm.tar.bz2
+Patch0: libdlm-pacemaker.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Requires:   pacemaker
-BuildRequires:  glib2-devel kernel-source = 2.6.26 libcorosync-devel 
libopenais-devel libpacemaker-devel libxml2-devel
+BuildRequires:  glib2-devel
+BuildRequires:  kernel-source = 2.6.26
+BuildRequires:  libcorosync-devel
+BuildRequires:  libopenais-devel
+BuildRequires:  libpacemaker-devel
 BuildRequires:  libtool
+BuildRequires:  libxml2-devel
 
 %description
 Libraries and tools that allow applications, particularly filesystems
@@ -126,8 +130,8 @@
 jparsons jpars...@redhat.com
 
 %packagedevel 
-License:LGPL-2.1+
 Summary:Application interface to the kernel's distributed lock manager
+License:LGPL-2.1+
 Group:  Development/Libraries/C and C++
 Requires:   libdlm3 = %{version}
 
@@ -173,6 +177,7 @@
 %prep
 ###
 %setup -n libdlm
+%patch0
 ###
 
 %build

++ libdlm-pacemaker.patch ++
--- group/dlm_controld/pacemaker.c
+++ group/dlm_controld/pacemaker.c
@@ -16,7 +16,7 @@
 #undef SUPPORT_HEARTBEAT 
 #define SUPPORT_HEARTBEAT 0
 #include pacemaker/crm/common/cluster.h
-#include pacemaker/crm/common/stack.h
+#include pacemaker/crm/cluster/stack.h
 #include pacemaker/crm/common/ipc.h
 #include pacemaker/crm/msg_xml.h
 #include pacemaker/crm/cib.h
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libevtlog for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package libevtlog for openSUSE:Factory 
checked in at 2011-12-25 17:35:41

Comparing /work/SRC/openSUSE:Factory/libevtlog (Old)
 and  /work/SRC/openSUSE:Factory/.libevtlog.new (New)


Package is libevtlog, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/libevtlog/libevtlog.changes  2011-09-23 
02:08:10.0 +0200
+++ /work/SRC/openSUSE:Factory/.libevtlog.new/libevtlog.changes 2011-12-25 
17:35:44.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:11:10 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ libevtlog.spec ++
--- /var/tmp/diff_new_pack.yq7LUG/_old  2011-12-25 17:35:44.0 +0100
+++ /var/tmp/diff_new_pack.yq7LUG/_new  2011-12-25 17:35:44.0 +0100
@@ -15,23 +15,21 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   libevtlog
 Version:0.2.12
-Release:1
+Release:0
+Summary:Syslog-ng event logger library source
 License:BSD-3-Clause
 Group:  System/Daemons
-Summary:Syslog-ng event logger library source
 Url:http://www.balabit.com/products/syslog_ng/
-AutoReqProv:on
 #Source0:
http://www.balabit.com/downloads/files/syslog-ng/sources/2.0/src/eventlog-%{version}.tar.gz
 #Source1:
http://www.balabit.com/downloads/files/syslog-ng/sources/2.0/src/eventlog-%{version}.tar.gz.asc
 Source0:eventlog_%{version}.tar.bz2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %define debug_package_requires libevtlog0 = %{version}-%{release}
-BuildRequires:  bison flex gcc-c++
+BuildRequires:  bison
+BuildRequires:  flex
+BuildRequires:  gcc-c++
 
 %description
 The EventLog library aims to be a replacement of the simple syslog()
@@ -62,9 +60,7 @@
 BalaBit IT Ltd. i...@balabit.hu
 
 %package -n libevtlog0
-License:BSD-3-Clause
 Summary:Syslog-ng event logger library runtime
-Group:  System/Daemons
 
 %description -n libevtlog0
 The EventLog library aims to be a replacement of the simple syslog()
@@ -92,9 +88,7 @@
 BalaBit IT Ltd. i...@balabit.hu
 
 %package devel
-License:BSD-3-Clause
 Summary:Syslog-ng event logger library development files
-Group:  System/Daemons
 Requires:   %{name}0 = %{version} glibc-devel
 
 %description devel
@@ -131,7 +125,6 @@
 #
 # - update configure scripts  tools:
 #
-%{?suse_update_config:%{suse_update_config -f}}
 #aclocal --force
 #libtoolize -f
 #automake --foreign --add-missing --copy --force-missing

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libflaim for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package libflaim for openSUSE:Factory 
checked in at 2011-12-25 17:35:45

Comparing /work/SRC/openSUSE:Factory/libflaim (Old)
 and  /work/SRC/openSUSE:Factory/.libflaim.new (New)


Package is libflaim, Maintainer is csarangt...@novell.com

Changes:

--- /work/SRC/openSUSE:Factory/libflaim/libflaim.changes2011-09-23 
02:08:13.0 +0200
+++ /work/SRC/openSUSE:Factory/.libflaim.new/libflaim.changes   2011-12-25 
17:35:46.0 +0100
@@ -1,0 +2,5 @@
+Fri Dec 23 18:51:29 CET 2011 - mhruse...@suse.cz
+
+- adding arm definitions
+
+---

New:

  libflaim-arm.patch



Other differences:
--
++ libflaim.spec ++
--- /var/tmp/diff_new_pack.GNoYnk/_old  2011-12-25 17:35:47.0 +0100
+++ /var/tmp/diff_new_pack.GNoYnk/_new  2011-12-25 17:35:47.0 +0100
@@ -27,8 +27,9 @@
 License:LGPL-2.1+
 Group:  Development/Libraries/C and C++
 Source: libflaim-4.9.1046.tar.gz
-Patch:  libflaim-warning.patch
+Patch0: libflaim-warning.patch
 Patch1: libflaim-hppa.patch
+Patch2: libflaim-arm.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -52,10 +53,13 @@
 
 %prep
 %setup -q
-%patch
+%patch0
 %ifarch hppa
 %patch1
 %endif
+%ifarch %arm
+%patch2
+%endif
 
 %build
 make lib_dir_name=%{_lib}  libs

++ libflaim-arm.patch ++
Index: Makefile
===
--- Makefile.orig
+++ Makefile
@@ -462,6 +462,14 @@ ifndef host_native_word_size
 endif
 
 ifndef host_native_word_size
+   ifneq (,$(findstring arm,$(HOSTTYPE)))
+   host_processor_family = arm
+   host_native_word_size = 32
+   host_supported_word_sizes = 32
+   endif
+endif
+
+ifndef host_native_word_size
$(error Unable to determine host word size. $(HOSTTYPE))
 endif
 
@@ -1019,7 +1027,9 @@ ifdef unix_target
ifeq ($(compiler),g++)
ccflags += -Wall -fPIC
ifneq ($(target_processor_family),ia64)
-   ccflags += -m$(target_word_size)
+   ifneq ($(HOSTTYPE),arm)
+   ccflags += -m$(target_word_size)
+   endif
endif
endif
 
Index: src/flaimtk.h
===
--- src/flaimtk.h.orig
+++ src/flaimtk.h
@@ -54,6 +54,7 @@
#undef FLM_GNUC
#undef FLM_HAS_ASYNC_IO
#undef FLM_HAS_DIRECT_IO
+   #undef FLM_ARM

#if defined( __GNUC__)
#define FLM_GNUC
@@ -149,6 +150,8 @@
#endif
#elif defined( __x86__) || defined( __i386__) || 
defined( __x86_64__)  
#define FLM_X86
+   #elif defined( __arm__) || defined( __thumb__)
+   #define FLM_ARM
#else
#error Platform architecture not supported
#endif
Index: ftk/src/ftk.h
===
--- ftk/src/ftk.h.orig
+++ ftk/src/ftk.h
@@ -54,6 +54,7 @@
#undef FLM_GNUC
#undef FLM_HAS_ASYNC_IO
#undef FLM_HAS_DIRECT_IO
+   #undef FLM_ARM

#if defined( __GNUC__)
#define FLM_GNUC
@@ -149,6 +150,8 @@
#endif
#elif defined( __x86__) || defined( __i386__) || 
defined( __x86_64__)  
#define FLM_X86
+   #elif defined( __arm__) || defined( __thumb__)
+   #define FLM_ARM
#else
#error Platform architecture not supported
#endif
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libreadline5 for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package libreadline5 for openSUSE:Factory 
checked in at 2011-12-25 17:35:50

Comparing /work/SRC/openSUSE:Factory/libreadline5 (Old)
 and  /work/SRC/openSUSE:Factory/.libreadline5.new (New)


Package is libreadline5, Maintainer is wer...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/libreadline5/libreadline5.changes
2011-09-23 02:09:51.0 +0200
+++ /work/SRC/openSUSE:Factory/.libreadline5.new/libreadline5.changes   
2011-12-25 17:35:55.0 +0100
@@ -1,0 +2,10 @@
+Wed Dec 21 10:11:25 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---
+Tue Dec 20 21:00:53 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ libreadline5.spec ++
--- /var/tmp/diff_new_pack.eiNegH/_old  2011-12-25 17:35:56.0 +0100
+++ /var/tmp/diff_new_pack.eiNegH/_new  2011-12-25 17:35:56.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package libreadline5 (Version 5.2)
+# spec file for package libreadline5
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,17 +16,18 @@
 #
 
 
-
 Name:   libreadline5
-BuildRequires:  bison fdupes ncurses-devel
-License:GPL-2.0+
-Group:  System/Libraries
+BuildRequires:  autoconf
+BuildRequires:  bison
+BuildRequires:  fdupes
+BuildRequires:  ncurses-devel
 %define rl_vers   5.2
-AutoReqProv:on
 Provides:   bash:/%{_lib}/libreadline.so.5
 Version:5.2
-Release:113
+Release:0
 Summary:The Readline Library
+License:GPL-2.0+
+Group:  System/Libraries
 Url:http://www.gnu.org/software/bash/bash.html
 Source0:readline-%{rl_vers}.tar.bz2
 Source1:readline-%{rl_vers}-patches.tar.bz2
@@ -46,35 +47,21 @@
 includes history and search functionality.
 
 
-
-Authors:
-
-Brian Fox b...@gnu.org
-Chet Ramey c...@ins.cwru.edu
-
 %package -n readline5-devel
-License:GPL-2.0+
 Summary:Include Files and Libraries mandatory for Development
 Group:  Development/Libraries/C and C++
 Provides:   bash:%{_libdir}/libreadline.a
 Version:5.2
-Release:6
+Release:0
 Requires:   libreadline5 = %{version}
 Requires:   ncurses-devel
 Conflicts:  readline-devel
-AutoReqProv:on
 
 %description -n readline5-devel
 This package contains all necessary include files and libraries needed
 to develop applications that require these.
 
 
-
-Authors:
-
-Brian Fox b...@gnu.org
-Chet Ramey c...@ins.cwru.edu
-
 %prep
 %setup -q -n readline-%{rl_vers}
 for p in ../readline-%{rl_vers}-patches/*; do
@@ -89,7 +76,6 @@
 %patch20 -p0
 
 %build
-%{?suse_update_config:%{suse_update_config -f support}}
   autoconf
   cflags ()
   {

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libvpd2 for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package libvpd2 for openSUSE:Factory checked 
in at 2011-12-25 17:36:02

Comparing /work/SRC/openSUSE:Factory/libvpd2 (Old)
 and  /work/SRC/openSUSE:Factory/.libvpd2.new (New)


Package is libvpd2, Maintainer is jloe...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/libvpd2/libvpd2.changes  2011-09-23 
02:11:09.0 +0200
+++ /work/SRC/openSUSE:Factory/.libvpd2.new/libvpd2.changes 2011-12-25 
17:36:42.0 +0100
@@ -1,0 +2,19 @@
+Tue Dec 20 21:34:27 CET 2011 - dmuel...@suse.de
+
+- spec file cleanups
+
+---
+Thu Nov  3 15:09:22 UTC 2011 - jeng...@medozas.de
+
+- Use %_smp_mflags for parallel build
+- Remove redundant tags/sections (cf. specfile guidelines)
+
+---
+Tue Nov  1 17:33:23 UTC 2011 - dval...@suse.com
+
+- update to 2.1.3
+  - Rebuild rpms for ppc 32-bit.
+  - add pkg-config to BuildRequires to avoid rpmlint warings 
+  - drop libvpd-pkg.patch and libvpd.return-value.patch
+
+---

Old:

  libvpd-2.0.3.tar.bz2
  libvpd-pkg.patch
  libvpd.return-value.patch

New:

  libvpd-2.1.3.tar.bz2



Other differences:
--
++ libvpd2.spec ++
--- /var/tmp/diff_new_pack.eQcofv/_old  2011-12-25 17:36:42.0 +0100
+++ /var/tmp/diff_new_pack.eQcofv/_new  2011-12-25 17:36:42.0 +0100
@@ -15,73 +15,49 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   libvpd2
-Version:2.0.3
-Release:13
-BuildRequires:  gcc-c++ libtool sqlite3-devel zlib-devel
+Version:2.1.3
+Release:0
+BuildRequires:  gcc-c++
+BuildRequires:  libtool
+BuildRequires:  pkg-config
+BuildRequires:  sqlite3-devel
+BuildRequires:  zlib-devel
 Summary:VPD Database access library for lsvpd
+License:LGPL-2.1+
 Group:  Development/Libraries/Other
-License:LGPLv2.1+
 Url:http://linux-diag.sourceforge.net/Lsvpd.html
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source: libvpd-%{version}.tar.bz2
 Source2:baselibs.conf
-Patch1: libvpd.return-value.patch
-Patch2: libvpd-pkg.patch
 Patch3: libvpd.async.patch
 
 %description
 The libvpd_cxx package contains the classes that are used to access a
 vpd database created by vpdupdate in the lsvpd package.
 
-
-
-Authors:
-
-Eric Munson ebmun...@us.ibm.com
-Brad Peters bpet...@us.ibm.com
-
 %package devel
-License:LGPLv2.1+
 Summary:VPD Database access library for lsvpd
 Group:  Development/Languages/C and C++
 Requires:   %{name} = %{version}
 Requires:   sqlite3-devel
-AutoReqProv:on
 
 %description devel
 The libvpd-devel package contains development libraries and header
 files that are used to access a vpd database created by vpdupdate in
 the lsvpd package.
 
-
-
-Authors:
-
-Eric Munson ebmun...@us.ibm.com
-Brad Peters bpet...@us.ibm.com
-
 %prep
 %setup -q -n libvpd-%{version}
-%patch1 -p1
-%patch2 -p1
 %patch3 -p1
 
 %build
 autoreconf -fi
-%configure \
-   --prefix=%{_prefix}/ \
-   --disable-static
-make %{?jobs:-j%jobs}
-
-%clean 
-rm -rf $RPM_BUILD_ROOT
+%configure --disable-static
+make %{?_smp_mflags}
 
 %install
-make install DESTDIR=$RPM_BUILD_ROOT
+%make_install
 
 %post -p /sbin/ldconfig 
 

++ libvpd-2.0.3.tar.bz2 - libvpd-2.1.3.tar.bz2 ++
 51135 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libsidplay1 for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package libsidplay1 for openSUSE:Factory 
checked in at 2011-12-25 17:35:58

Comparing /work/SRC/openSUSE:Factory/libsidplay1 (Old)
 and  /work/SRC/openSUSE:Factory/.libsidplay1.new (New)


Package is libsidplay1, Maintainer is sbra...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/libsidplay1/libsidplay1.changes  2011-09-23 
02:10:46.0 +0200
+++ /work/SRC/openSUSE:Factory/.libsidplay1.new/libsidplay1.changes 
2011-12-25 17:36:41.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:19:02 UTC 2011 - co...@suse.com
+
+- autoreconf after patching m4 macros
+
+---



Other differences:
--
++ libsidplay1.spec ++
--- /var/tmp/diff_new_pack.AgbOdL/_old  2011-12-25 17:36:41.0 +0100
+++ /var/tmp/diff_new_pack.AgbOdL/_new  2011-12-25 17:36:41.0 +0100
@@ -15,21 +15,19 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   libsidplay1
 BuildRequires:  gcc-c++
+BuildRequires:  libtool
 Url:
http://web.archive.org/web/20061202103201/http://www.geocities.com/SiliconValley/Lakes/5147/sidplay/
 %define _name libsidplay
-License:GPL-2.0+
-Group:  System/Libraries
 Version:1.36.59
-Release:146
+Release:0
 Source: %{_name}-%{version}.tar.bz2
 Patch:  libsidplay-gcc43.patch
 Summary:A Library for C64 Music Files
-AutoReqProv:on
+License:GPL-2.0+
+Group:  System/Libraries
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -39,24 +37,10 @@
 You can find a comprehensive archive on the WWW at:
 http://www.hvsc.c64.org/
 
-
-
-Authors:
-
-Michael Schwendt mschwe...@fedoraproject.org
-Asger Alstrup Nielsen
-Phillip Wooller
-Dennis Lindroos
-Dag Lem
-Peter Kunath
-Vincent Penn
-
 %package devel
-License:GPL-2.0+
 Summary:A Library for C64 Music Files
 Group:  Development/Libraries/C and C++
 Requires:   %{name} = %{version} libstdc++-devel
-AutoReqProv:on
 
 %description devel
 This package allows you to create packages able to play music from C64
@@ -65,23 +49,12 @@
 You can find a comprehensive archive on the WWW at:
 http://www.hvsc.c64.org/
 
-
-
-Authors:
-
-Michael Schwendt mschwe...@fedoraproject.org
-Asger Alstrup Nielsen
-Phillip Wooller
-Dennis Lindroos
-Dag Lem
-Peter Kunath
-Vincent Penn
-
 %prep
 %setup -n %{_name}-%{version}
 %patch
 
 %build
+autoreconf --force --install
 export CFLAGS=$RPM_OPT_FLAGS
 export CXXFLAGS=$RPM_OPT_FLAGS
 %configure --disable-static --with-pic

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit lighttpd for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package lighttpd for openSUSE:Factory 
checked in at 2011-12-25 17:36:07

Comparing /work/SRC/openSUSE:Factory/lighttpd (Old)
 and  /work/SRC/openSUSE:Factory/.lighttpd.new (New)


Package is lighttpd, Maintainer is mrueck...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/lighttpd/lighttpd.changes2011-10-05 
11:08:56.0 +0200
+++ /work/SRC/openSUSE:Factory/.lighttpd.new/lighttpd.changes   2011-12-25 
17:36:43.0 +0100
@@ -1,0 +2,39 @@
+Wed Dec 21 17:56:41 UTC 2011 - mrueck...@suse.com
+
+- added the debian.tar.gz to the file list of the spec file to pass
+  the check in factory
+
+---
+Sun Dec 18 16:22:26 UTC 2011 - mrueck...@suse.de
+
+- update to 1.4.30
+  - Always use our ‘own’ md5 implementation, fixes linking issues
+on MacOS (fixes #2331)
+  - Limit amount of bytes we send in one go; fixes stalling in one
+connection and timeouts on slow systems.
+  - [ssl] fix build errors when Elliptic-Curve Diffie-Hellman is
+disabled
+  - Add static-file.disable-pathinfo option to prevent handling of
+urls like …/secret.php/image.jpg as static file
+  - Don’t overwrite 401 (auth required) with 501 (unknown method)
+(fixes #2341)
+  - Fix mod_status bug: always showed “0/0” in the “Read” column
+for uploads (fixes #2351)
+  - [mod_auth] Fix signedness error in http_auth
+(fixes #2370, CVE-2011-4362)
+  - [ssl] count renegotiations to prevent client renegotiations
+  - [ssl] add option to honor server cipher order
+(fixes #2364, BEAST attack)
+  - [core] accept dots in ipv6 addresses in host header
+(fixes #2359)
+  - [ssl] fix ssl connection aborts if files are larger than the
+MAX_WRITE_LIMIT (256kb)
+  - [libev/cgi] fix waitpid ECHILD errors in cgi with libev
+(fixes #2324)
+
+---
+Fri Dec  2 06:34:25 UTC 2011 - co...@suse.com
+
+- add automake as buildrequire to avoid implicit dependency
+
+---
@@ -7 +46 @@
-Mon Jul 11 16:09:22 UTC 2011 - mrueck...@suse.com
+Mon Jul 11 16:09:22 UTC 2011 - mrueck...@suse.de

Old:

  lighttpd-1.4.29.tar.bz2
  lighttpd_1.4.29-1.debian.tar.gz
  lighttpd_1.4.29-1.dsc
  lighttpd_1.4.29.orig.tar.gz

New:

  lighttpd_1.4.30-0.1.debian.tar.gz
  lighttpd_1.4.30-0.1.dsc
  lighttpd_1.4.30.orig.tar.bz2



Other differences:
--
++ lighttpd.spec ++
--- /var/tmp/diff_new_pack.PCSgYM/_old  2011-12-25 17:36:44.0 +0100
+++ /var/tmp/diff_new_pack.PCSgYM/_new  2011-12-25 17:36:44.0 +0100
@@ -19,7 +19,7 @@
 
 
 Name:   lighttpd
-Version:1.4.29
+Version:1.4.30
 Release:0
 #
 %define pkg_name lighttpd
@@ -30,7 +30,7 @@
 License:BSD 3-Clause
 #
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  FastCGI-devel e2fsprogs-devel fam-devel gdbm-devel 
libattr-devel libmemcache-devel libxml2-devel mysql-devel openldap2-devel 
pcre-devel pkgconfig pwdutils zlib-devel
+BuildRequires:  FastCGI-devel e2fsprogs-devel fam-devel gdbm-devel 
libattr-devel libmemcache-devel libxml2-devel mysql-devel openldap2-devel 
pcre-devel pkgconfig pwdutils zlib-devel automake
 #
 %define with_tests 1
 %define with_enh_webdav 1
@@ -83,13 +83,15 @@
 #
 Url:http://www.lighttpd.net/
 # Source: 
http://www.lighttpd.net/download/%{pkg_name}-%{version}.tar.bz2
-Source: lighttpd-1.4.29.tar.bz2
+Source: lighttpd_1.4.30.orig.tar.bz2
 Source1:%{pkg_name}.init
 Source2:%{pkg_name}.sysconfig
 Source4:lightytest.sh
 Source5:lighttpd.SuSEfirewall
 Source6:lighttpd-ssl.SuSEfirewall
 Source7:lighttpd.logrotate
+# this is just dummy to pass the check for factory and still have one package 
for deb and rpm
+Source99:   lighttpd_1.4.30-0.1.debian.tar.gz
 Patch:  lighttpd-1.4.13_geoip.patch
 #
 Summary:A Secure, Fast, Compliant, and Very Flexible Web Server

++ lighttpd_1.4.29-1.debian.tar.gz - lighttpd_1.4.30-0.1.debian.tar.gz 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/debian/changelog new/debian/changelog
--- old/debian/changelog2011-07-11 17:27:12.0 +0200
+++ new/debian/changelog2011-12-18 16:54:12.0 +0100
@@ -1,3 +1,10 @@
+lighttpd (1.4.30-0.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * New upstream release
+
+ -- Stefan Bühler sou...@stbuehler.de  Sun, 18 Dec 2011 15:54:01 +
+
 lighttpd (1.4.29-1) unstable; urgency=low
 
   * New upstream release

++ lighttpd_1.4.29-1.dsc - 

commit lilo for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package lilo for openSUSE:Factory checked in 
at 2011-12-25 17:36:11

Comparing /work/SRC/openSUSE:Factory/lilo (Old)
 and  /work/SRC/openSUSE:Factory/.lilo.new (New)


Package is lilo, Maintainer is jpl...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/lilo/lilo.changes2011-10-11 
17:03:35.0 +0200
+++ /work/SRC/openSUSE:Factory/.lilo.new/lilo.changes   2011-12-25 
17:36:44.0 +0100
@@ -1,0 +2,10 @@
+Wed Dec 21 09:18:01 UTC 2011 - a...@suse.de
+
+- Fix yaboot download URL.
+
+---
+Tue Nov 22 11:55:11 UTC 2011 - dval...@suse.com
+
+- fix ppc64 build, by do not using size optimization 
+
+---



Other differences:
--
++ lilo.spec ++
--- /var/tmp/diff_new_pack.d6umWh/_old  2011-12-25 17:36:45.0 +0100
+++ /var/tmp/diff_new_pack.d6umWh/_new  2011-12-25 17:36:45.0 +0100
@@ -71,7 +71,8 @@
 Version:23.2
 Release:65
 Source0:lilo-ppc-%{ppc_version}.tar.bz2
-Source1:
http://penguinppc.org/projects/yaboot/yaboot-%{yaboot_vers}.tar.bz2
+# From git repo at http://git.ozlabs.org/?p=yaboot.git
+Source1:yaboot-%{yaboot_vers}.tar.bz2
 Source86:   lilo-%{version}.tar.gz
 Patch8601:  lilo.x86.mount_by_persistent_name.patch
 Patch8602:  lilo.x86.array-bounds.patch
@@ -170,6 +171,7 @@
 mkdir -p $RPM_BUILD_ROOT/bin
 mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
 mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
+mkdir -p $RPM_BUILD_ROOT%{_docdir}/lilo
 pushd lilo.ppc
 cp -av lilo.new $RPM_BUILD_ROOT/sbin/lilo
 cp -av lilo-pmac.lib $RPM_BUILD_ROOT/lib/lilo/lilo-pmac.lib

++ yaboot-libgcc.patch ++
--- /var/tmp/diff_new_pack.d6umWh/_old  2011-12-25 17:36:45.0 +0100
+++ /var/tmp/diff_new_pack.d6umWh/_new  2011-12-25 17:36:45.0 +0100
@@ -1,5 +1,14 @@
 --- yaboot-22.8-r1190/Makefile.xx  2011-02-20 18:45:03.0 +0100
 +++ yaboot-22.8-r1190/Makefile 2011-02-20 18:45:20.0 +0100
+@@ -23,7 +23,7 @@
+ 
+ # The flags for the yaboot binary.
+ #
+-YBCFLAGS = -Os
++YBCFLAGS = -O2
+ YBCFLAGS += -g
+ ifneq ($(CFLAGS),)
+ YBCFLAGS += $(CFLAGS)
 @@ -178,7 +178,7 @@
mv -f $@.~ $@
  

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit mkelfImage for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package mkelfImage for openSUSE:Factory 
checked in at 2011-12-25 17:36:43

Comparing /work/SRC/openSUSE:Factory/mkelfImage (Old)
 and  /work/SRC/openSUSE:Factory/.mkelfImage.new (New)


Package is mkelfImage, Maintainer is d...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/mkelfImage/mkelfImage.changes2011-09-23 
02:13:04.0 +0200
+++ /work/SRC/openSUSE:Factory/.mkelfImage.new/mkelfImage.changes   
2011-12-25 17:36:52.0 +0100
@@ -1,0 +2,10 @@
+Thu Dec 22 18:56:46 UTC 2011 - co...@suse.com
+
+- rename spec file
+
+---
+Wed Dec 21 10:28:41 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---

Old:

  mkelfImage-2.5.spec

New:

  mkelfImage.spec



Other differences:
--
++ mkelfImage-2.5.spec - mkelfImage.spec ++
--- /work/SRC/openSUSE:Factory/mkelfImage/mkelfImage-2.5.spec   2011-12-06 
18:51:17.0 +0100
+++ /work/SRC/openSUSE:Factory/.mkelfImage.new/mkelfImage.spec  2011-12-25 
17:36:52.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package mkelfImage (Version 2.5)
+# spec file for package mkelfImage
 #
-# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,19 +15,18 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   mkelfImage
 Summary:Utility to Create ELF Boot Images from Linux Kernel Images
-Version:2.5
-Release:194
 License:GPL-2.0+
 Group:  Development/Tools/Building
+Version:2.5
+Release:0
 Source0:%{name}-%{version}.tar.gz
 Patch:  %{name}-%{version}.dif
 Patch1: %{name}-optflags.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildRequires:  autoconf
 
 %description
 mkelfImage is a program that makes an ELF boot image for Linux kernel
@@ -38,12 +37,6 @@
 BIOS calls, but they are made when necessary. This is useful for
 systems running LinuxBIOS.
 
-
-
-Authors:
-
-Eric Biederman ebieder...@lnxi.com
-
 %prep
 %setup -q
 %patch
@@ -67,11 +60,3 @@
 %{_datadir}/mkelfImage/
 
 %changelog
-* Wed Jan 25 2006 m...@suse.de
-- converted neededforbuild to BuildRequires
-* Wed Jun 15 2005 meiss...@suse.de
-- use RPM_OPT_FLAGS
-* Wed May 19 2004 r...@suse.de
-- make it build on x86 again
-* Wed Oct 29 2003 ste...@suse.de
-- initial version 2.5

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit minicom for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package minicom for openSUSE:Factory checked 
in at 2011-12-25 17:36:39

Comparing /work/SRC/openSUSE:Factory/minicom (Old)
 and  /work/SRC/openSUSE:Factory/.minicom.new (New)


Package is minicom, Maintainer is vci...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/minicom/minicom.changes  2011-10-20 
14:08:23.0 +0200
+++ /work/SRC/openSUSE:Factory/.minicom.new/minicom.changes 2011-12-25 
17:36:51.0 +0100
@@ -1,0 +2,5 @@
+Thu Dec  1 11:22:01 UTC 2011 - co...@suse.com
+
+- add automake as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ minicom.spec ++
--- /var/tmp/diff_new_pack.HF0ZdN/_old  2011-12-25 17:36:52.0 +0100
+++ /var/tmp/diff_new_pack.HF0ZdN/_new  2011-12-25 17:36:52.0 +0100
@@ -15,18 +15,18 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   minicom
-BuildRequires:  gettext-devel ncurses-devel
-BuildRequires:  lockdev-devel pkg-config
+BuildRequires:  automake
+BuildRequires:  gettext-devel
+BuildRequires:  lockdev-devel
+BuildRequires:  ncurses-devel
+BuildRequires:  pkg-config
 Url:http://alioth.debian.org/projects/minicom/
-License:GPLv2+
+License:GPL-2.0+
 Group:  Hardware/Modem
 Requires:   rzsz
 Version:2.5
-Release:9
+Release:0
 Summary:A Terminal Program
 Source: %{name}-%{version}.tar.bz2
 Patch0: minicom-2.2-defaults.diff

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit linux-glibc-devel for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package linux-glibc-devel for 
openSUSE:Factory checked in at 2011-12-25 17:36:29

Comparing /work/SRC/openSUSE:Factory/linux-glibc-devel (Old)
 and  /work/SRC/openSUSE:Factory/.linux-glibc-devel.new (New)


Package is linux-glibc-devel, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/linux-glibc-devel/linux-glibc-devel.changes  
2011-09-23 02:11:53.0 +0200
+++ /work/SRC/openSUSE:Factory/.linux-glibc-devel.new/linux-glibc-devel.changes 
2011-12-25 17:36:48.0 +0100
@@ -1,0 +2,6 @@
+Wed Dec 21 13:20:59 CET 2011 - dmuel...@suse.de
+
+- update to 3.1 headers:
+  * fixes missing REQ_META
+
+---

Old:

  linux-glibc-devel-3.1_rc5.tar.bz2

New:

  linux-glibc-devel-3.1.tar.bz2



Other differences:
--
++ linux-glibc-devel.spec ++
--- /var/tmp/diff_new_pack.koSJsX/_old  2011-12-25 17:36:49.0 +0100
+++ /var/tmp/diff_new_pack.koSJsX/_new  2011-12-25 17:36:49.0 +0100
@@ -15,18 +15,16 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 BuildRequires:  fdupes
 
 Name:   linux-glibc-devel
-License:GPL-2.0
 Summary:Linux headers for userspace development
+License:GPL-2.0
 Group:  Development/Libraries/C and C++
 BuildArch:  noarch
-# this confusing version number has no meaning
-Version:3.1_rc5
-Release:5
+Version:3.1
+Release:0
 Url:http://www.kernel.org/
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Provides:   kernel-headers 
@@ -47,7 +45,7 @@
 
 
 %prep
-%setup -q -n linux-glibc-devel-3.1-rc5
+%setup -q -n linux-glibc-devel-%version
 %patch1
 
 %build

++ linux-glibc-devel-3.1_rc5.tar.bz2 - linux-glibc-devel-3.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/linux-glibc-devel-3.1-rc5/usr/include/asm-openrisc/sigcontext.h 
new/linux-glibc-devel-3.1/usr/include/asm-openrisc/sigcontext.h
--- old/linux-glibc-devel-3.1-rc5/usr/include/asm-openrisc/sigcontext.h 
2011-09-06 16:49:31.0 +0200
+++ new/linux-glibc-devel-3.1/usr/include/asm-openrisc/sigcontext.h 
2011-12-21 13:14:53.0 +0100
@@ -23,16 +23,11 @@
 
 /* This struct is saved by setup_frame in signal.c, to keep the current
context while a signal handler is executed. It's restored by sys_sigreturn.
-
-   To keep things simple, we use pt_regs here even though normally you just
-   specify the list of regs to save. Then we can use copy_from_user on the
-   entire regs instead of a bunch of get_user's as well...
 */
 
 struct sigcontext {
-   struct pt_regs regs;  /* needs to be first */
+   struct user_regs_struct regs;  /* needs to be first */
unsigned long oldmask;
-   unsigned long usp;/* usp before stacking this gunk on it */
 };
 
 #endif /* __ASM_OPENRISC_SIGCONTEXT_H */
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/linux-glibc-devel-3.1-rc5/usr/include/linux/blk_types.h 
new/linux-glibc-devel-3.1/usr/include/linux/blk_types.h
--- old/linux-glibc-devel-3.1-rc5/usr/include/linux/blk_types.h 2011-09-06 
16:50:05.0 +0200
+++ new/linux-glibc-devel-3.1/usr/include/linux/blk_types.h 2011-12-21 
13:15:19.0 +0100
@@ -124,6 +124,7 @@
 
__REQ_SYNC, /* request is sync (sync write or read) */
__REQ_META, /* metadata io request */
+   __REQ_PRIO, /* boost priority in cfq */
__REQ_DISCARD,  /* request to discard sectors */
__REQ_SECURE,   /* secure discard (used with __REQ_DISCARD) */
 
@@ -161,14 +162,15 @@
 #define REQ_FAILFAST_DRIVER(1  __REQ_FAILFAST_DRIVER)
 #define REQ_SYNC   (1  __REQ_SYNC)
 #define REQ_META   (1  __REQ_META)
+#define REQ_PRIO   (1  __REQ_PRIO)
 #define REQ_DISCARD(1  __REQ_DISCARD)
 #define REQ_NOIDLE (1  __REQ_NOIDLE)
 
 #define REQ_FAILFAST_MASK \
(REQ_FAILFAST_DEV | REQ_FAILFAST_TRANSPORT | REQ_FAILFAST_DRIVER)
 #define REQ_COMMON_MASK \
-   (REQ_WRITE | REQ_FAILFAST_MASK | REQ_SYNC | REQ_META | REQ_DISCARD | \
-REQ_NOIDLE | REQ_FLUSH | REQ_FUA | REQ_SECURE)
+   (REQ_WRITE | REQ_FAILFAST_MASK | REQ_SYNC | REQ_META | REQ_PRIO | \
+REQ_DISCARD | REQ_NOIDLE | REQ_FLUSH | REQ_FUA | REQ_SECURE)
 #define REQ_CLONE_MASK REQ_COMMON_MASK
 
 #define REQ_RAHEAD (1  __REQ_RAHEAD)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/linux-glibc-devel-3.1-rc5/usr/include/linux/fs.h 

commit limal-devtools for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package limal-devtools for openSUSE:Factory 
checked in at 2011-12-25 17:36:23

Comparing /work/SRC/openSUSE:Factory/limal-devtools (Old)
 and  /work/SRC/openSUSE:Factory/.limal-devtools.new (New)


Package is limal-devtools, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/limal-devtools/limal-devtools.changes
2011-11-25 10:12:47.0 +0100
+++ /work/SRC/openSUSE:Factory/.limal-devtools.new/limal-devtools.changes   
2011-12-25 17:36:47.0 +0100
@@ -1,0 +2,6 @@
+Thu Dec 22 13:38:46 CET 2011 - m...@suse.de
+
+- version 1.6.3
+- use GPL-2.0+ as license in create-spec
+
+---

Old:

  limal-devtools-1.6.2.tar.bz2

New:

  limal-devtools-1.6.3.tar.bz2



Other differences:
--
++ limal-devtools.spec ++
--- /var/tmp/diff_new_pack.j6egnQ/_old  2011-12-25 17:36:48.0 +0100
+++ /var/tmp/diff_new_pack.j6egnQ/_new  2011-12-25 17:36:48.0 +0100
@@ -19,13 +19,13 @@
 
 
 Name:   limal-devtools
-Version:1.6.2
+Version:1.6.3
 Release:0
 License:GPL-2.0+
 Group:  Development/Libraries/C and C++
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
-Source0:limal-devtools-1.6.2.tar.bz2
+Source0:limal-devtools-1.6.3.tar.bz2
 
 Prefix: /usr
 %defineswiglibdir /usr/share/limal/typemaps 
@@ -68,7 +68,7 @@
 
 
 %prep
-%setup -n limal-devtools-1.6.2
+%setup -n limal-devtools-1.6.3
 
 %build
 autoreconf --force --install --verbose

++ limal-devtools-1.6.2.tar.bz2 - limal-devtools-1.6.3.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/limal-devtools-1.6.2/VERSION 
new/limal-devtools-1.6.3/VERSION
--- old/limal-devtools-1.6.2/VERSION2011-09-29 13:58:58.0 +0200
+++ new/limal-devtools-1.6.3/VERSION2011-12-22 13:38:35.0 +0100
@@ -1 +1 @@
-1.6.2
+1.6.3
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/limal-devtools-1.6.2/configure 
new/limal-devtools-1.6.3/configure
--- old/limal-devtools-1.6.2/configure  2011-09-29 14:04:19.0 +0200
+++ new/limal-devtools-1.6.3/configure  2011-12-22 13:39:16.0 +0100
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.68 for limal-devtools 1.6.2.
+# Generated by GNU Autoconf 2.68 for limal-devtools 1.6.3.
 #
 # Report bugs to http://www.suse.de/feedback.
 #
@@ -709,8 +709,8 @@
 # Identity of this package.
 PACKAGE_NAME='limal-devtools'
 PACKAGE_TARNAME='limal-devtools'
-PACKAGE_VERSION='1.6.2'
-PACKAGE_STRING='limal-devtools 1.6.2'
+PACKAGE_VERSION='1.6.3'
+PACKAGE_STRING='limal-devtools 1.6.3'
 PACKAGE_BUGREPORT='http://www.suse.de/feedback'
 PACKAGE_URL=''
 
@@ -1469,7 +1469,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat _ACEOF
-\`configure' configures limal-devtools 1.6.2 to adapt to many kinds of systems.
+\`configure' configures limal-devtools 1.6.3 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1540,7 +1540,7 @@
 
 if test -n $ac_init_help; then
   case $ac_init_help in
- short | recursive ) echo Configuration of limal-devtools 1.6.2:;;
+ short | recursive ) echo Configuration of limal-devtools 1.6.3:;;
esac
   cat \_ACEOF
 
@@ -1644,7 +1644,7 @@
 test -n $ac_init_help  exit $ac_status
 if $ac_init_version; then
   cat \_ACEOF
-limal-devtools configure 1.6.2
+limal-devtools configure 1.6.3
 generated by GNU Autoconf 2.68
 
 Copyright (C) 2010 Free Software Foundation, Inc.
@@ -2043,7 +2043,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by limal-devtools $as_me 1.6.2, which was
+It was created by limal-devtools $as_me 1.6.3, which was
 generated by GNU Autoconf 2.68.  Invocation command line was
 
   $ $0 $@
@@ -2973,7 +2973,7 @@
 
 # Define the identity of the package.
  PACKAGE='limal-devtools'
- VERSION='1.6.2'
+ VERSION='1.6.3'
 
 
 cat confdefs.h _ACEOF
@@ -3094,7 +3094,7 @@
 
 
 
-VERSION=1.6.2
+VERSION=1.6.3
 RPMNAME=limal-devtools
 RPMARCH=noarch
 RPMLIB=devtools
@@ -15265,7 +15265,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log=
-This file was extended by limal-devtools $as_me 1.6.2, which was
+This file was extended by limal-devtools $as_me 1.6.3, which was
 generated by GNU Autoconf 2.68.  Invocation command line was
 

commit multisync-gui for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package multisync-gui for openSUSE:Factory 
checked in at 2011-12-25 17:37:11

Comparing /work/SRC/openSUSE:Factory/multisync-gui (Old)
 and  /work/SRC/openSUSE:Factory/.multisync-gui.new (New)


Package is multisync-gui, Maintainer is csten...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/multisync-gui/multisync-gui.changes  
2011-09-23 02:13:36.0 +0200
+++ /work/SRC/openSUSE:Factory/.multisync-gui.new/multisync-gui.changes 
2011-12-25 17:37:14.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:29:35 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ multisync-gui.spec ++
--- /var/tmp/diff_new_pack.yHrqmf/_old  2011-12-25 17:37:15.0 +0100
+++ /var/tmp/diff_new_pack.yHrqmf/_new  2011-12-25 17:37:15.0 +0100
@@ -15,18 +15,19 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   multisync-gui
-BuildRequires:  gtk2-devel libglade2-devel libgnomeui-devel libopensync-devel 
libopensync-plugin-evolution2-devel libopensync-plugin-palm-devel
+BuildRequires:  gtk2-devel
+BuildRequires:  libglade2-devel
+BuildRequires:  libgnomeui-devel
+BuildRequires:  libopensync-devel
+BuildRequires:  libopensync-plugin-evolution2-devel
+BuildRequires:  libopensync-plugin-palm-devel
 Url:http://www.opensync.org
 Version:0.91.0
-Release:249
+Release:0
 Summary:GUI for synchronization with OpenSync
 License:GPL-2.0+
 Group:  Productivity/Other
-AutoReqProv:on
 Source: multisync-gui-%{version}.tar.bz2
 Patch0: multisync-gui.desktop.diff
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -50,7 +51,6 @@
 %prep
 %setup -q
 %patch0
-%{?suse_update_config:%{suse_update_config -f . }}
 
 %build
 CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%_prefix

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit mdadm for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package mdadm for openSUSE:Factory checked 
in at 2011-12-25 17:36:34

Comparing /work/SRC/openSUSE:Factory/mdadm (Old)
 and  /work/SRC/openSUSE:Factory/.mdadm.new (New)


Package is mdadm, Maintainer is nfbr...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/mdadm/mdadm.changes  2011-10-06 
16:43:53.0 +0200
+++ /work/SRC/openSUSE:Factory/.mdadm.new/mdadm.changes 2011-12-25 
17:36:50.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:28:19 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ mdadm.spec ++
--- /var/tmp/diff_new_pack.PkHTuc/_old  2011-12-25 17:36:51.0 +0100
+++ /var/tmp/diff_new_pack.PkHTuc/_new  2011-12-25 17:36:51.0 +0100
@@ -15,20 +15,16 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   mdadm
 Version:3.2.2
-Release:1
+Release:0
 BuildRequires:  sgmltool
 PreReq: %fillup_prereq %insserv_prereq
 Obsoletes:  raidtools
-AutoReqProv:on
-Group:  System/Base
-License:GPL-2.0+
 Url:http://www.kernel.org/pub/linux/utils/raid/mdadm/
 Summary:Utility for Configuring MD Setup
+License:GPL-2.0+
+Group:  System/Base
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source: %{name}-%{version}.tar.bz2
 Source1:Software-RAID.HOWTO.tar.bz2
@@ -45,19 +41,12 @@
 intended to provide all the functionality of the mdtools and raidtools
 programs but with a very different interface.
 
-
-
-Authors:
-
-Neil Brown ne...@suse.de
-
 %prep
 %setup -q -a1
 %patch0 -p1
 %patch1 -p1
 
 %build
-%{suse_update_config -f}
 make %{?_smp_mflags} CC=%__cc CXFLAGS=$RPM_OPT_FLAGS -Wno-error
 cd Software-RAID.HOWTO
 sgml2html Software-RAID.HOWTO.sgml

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit MozillaFirefox for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package MozillaFirefox for openSUSE:Factory 
checked in at 2011-12-25 17:36:52

Comparing /work/SRC/openSUSE:Factory/MozillaFirefox (Old)
 and  /work/SRC/openSUSE:Factory/.MozillaFirefox.new (New)


Package is MozillaFirefox, Maintainer is 
bnc-team-mozi...@forge.provo.novell.com

Changes:

--- /work/SRC/openSUSE:Factory/MozillaFirefox/MozillaFirefox.changes
2011-12-21 10:01:30.0 +0100
+++ /work/SRC/openSUSE:Factory/.MozillaFirefox.new/MozillaFirefox.changes   
2011-12-25 17:36:55.0 +0100
@@ -1,0 +2,6 @@
+Fri Dec 23 17:02:01 UTC 2011 - w...@rosenauer.org
+
+- update to Firefox 9.0.1
+  * (strongparent) parentNode of element gets lost (bmo#335998)
+
+---

Old:

  firefox-9.0-source.tar.bz2
  l10n-9.0.tar.bz2

New:

  firefox-9.0.1-source.tar.bz2
  l10n-9.0.1.tar.bz2



Other differences:
--
++ MozillaFirefox.spec ++
--- /var/tmp/diff_new_pack.NnpYH5/_old  2011-12-25 17:37:02.0 +0100
+++ /var/tmp/diff_new_pack.NnpYH5/_new  2011-12-25 17:37:02.0 +0100
@@ -16,6 +16,7 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 %define major 9
 %define mainver %major.0
 
@@ -44,9 +45,9 @@
 BuildRequires:  mozilla-nspr-devel = 4.8.9
 BuildRequires:  mozilla-nss-devel = 3.13.1
 BuildRequires:  nss-shared-helper-devel
-Version:%{mainver}
+Version:%{mainver}.1
 Release:0
-%define releasedate 2011121600
+%define releasedate 2011122000
 Provides:   web_browser
 Provides:   firefox = %{version}-%{release}
 Provides:   firefox = %{mainver}

++ compare-locales.tar.bz2 ++

++ create-tar.sh ++
--- /var/tmp/diff_new_pack.NnpYH5/_old  2011-12-25 17:37:03.0 +0100
+++ /var/tmp/diff_new_pack.NnpYH5/_new  2011-12-25 17:37:03.0 +0100
@@ -2,8 +2,8 @@
 
 CHANNEL=release
 BRANCH=releases/mozilla-$CHANNEL
-RELEASE_TAG=FIREFOX_9_0_RELEASE
-VERSION=9.0
+RELEASE_TAG=FIREFOX_9_0_1_RELEASE
+VERSION=9.0.1
 
 # mozilla
 hg clone http://hg.mozilla.org/$BRANCH mozilla

++ firefox-9.0-source.tar.bz2 - firefox-9.0.1-source.tar.bz2 ++
/work/SRC/openSUSE:Factory/MozillaFirefox/firefox-9.0-source.tar.bz2 
/work/SRC/openSUSE:Factory/.MozillaFirefox.new/firefox-9.0.1-source.tar.bz2 
differ: char 11, line 1


++ l10n-9.0.tar.bz2 - l10n-9.0.1.tar.bz2 ++
/work/SRC/openSUSE:Factory/MozillaFirefox/l10n-9.0.tar.bz2 
/work/SRC/openSUSE:Factory/.MozillaFirefox.new/l10n-9.0.1.tar.bz2 differ: char 
11, line 1

++ source-stamp.txt ++
--- /var/tmp/diff_new_pack.NnpYH5/_old  2011-12-25 17:37:03.0 +0100
+++ /var/tmp/diff_new_pack.NnpYH5/_new  2011-12-25 17:37:03.0 +0100
@@ -1,2 +1,2 @@
-REV=34852484d0ae
+REV=c4405d7a95f6
 REPO=http://hg.mozilla.org/releases/mozilla-release

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit mtr for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package mtr for openSUSE:Factory checked in 
at 2011-12-25 17:37:08

Comparing /work/SRC/openSUSE:Factory/mtr (Old)
 and  /work/SRC/openSUSE:Factory/.mtr.new (New)


Package is mtr, Maintainer is pu...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/mtr/mtr.changes  2011-12-21 17:00:20.0 
+0100
+++ /work/SRC/openSUSE:Factory/.mtr.new/mtr.changes 2011-12-25 
17:37:13.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:31:41 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ mtr.spec ++
--- /var/tmp/diff_new_pack.KSs89E/_old  2011-12-25 17:37:14.0 +0100
+++ /var/tmp/diff_new_pack.KSs89E/_new  2011-12-25 17:37:14.0 +0100
@@ -15,6 +15,7 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 Name:   mtr
 BuildRequires:  automake
 BuildRequires:  gtk2-devel
@@ -74,7 +75,6 @@
 %patch4
 
 %build
-%{?suse_update_config:%{suse_update_config}}
 aclocal -I /usr/share/aclocal
 autoconf
 automake --foreign -a


-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit mtools for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package mtools for openSUSE:Factory checked 
in at 2011-12-25 17:37:04

Comparing /work/SRC/openSUSE:Factory/mtools (Old)
 and  /work/SRC/openSUSE:Factory/.mtools.new (New)


Package is mtools, Maintainer is pgaj...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/mtools/mtools.changes2011-09-23 
02:13:34.0 +0200
+++ /work/SRC/openSUSE:Factory/.mtools.new/mtools.changes   2011-12-25 
17:37:12.0 +0100
@@ -1,0 +2,10 @@
+Wed Dec 21 13:37:38 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---
+Wed Dec 21 10:29:49 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ mtools.spec ++
--- /var/tmp/diff_new_pack.t6rbZU/_old  2011-12-25 17:37:13.0 +0100
+++ /var/tmp/diff_new_pack.t6rbZU/_new  2011-12-25 17:37:13.0 +0100
@@ -15,18 +15,19 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   mtools
-BuildRequires:  libpng texlive-latex xorg-x11 xorg-x11-devel
+BuildRequires:  autoconf
+BuildRequires:  libpng
+BuildRequires:  texlive-latex
+BuildRequires:  xorg-x11
+BuildRequires:  xorg-x11-devel
 Version:4.0.17
-Release:1
-AutoReqProv:on
-Group:  System/Filesystems
-License:GPL-2.0+
+Release:0
 Url:http://mtools.linux.lu/
 Summary:Access Files on an MS-DOS File System
+License:GPL-2.0+
+Group:  System/Filesystems
 Source: %{name}-%{version}.tar.bz2
 Patch0: %{name}-%{version}-conf.diff
 Patch1: %{name}-%{version}-autoconf.diff
@@ -50,9 +51,8 @@
 David C. Niemi niem...@erols.com
 
 %package floppyd
-License:GPL-2.0+
-Group:  System/Filesystems
 Summary:Floppy daemon for remote access to floppy drive
+License:GPL-2.0+
 
 %description floppyd
 Floppyd is used as a server to grant access  to  the  floppy  drive  to
@@ -67,9 +67,8 @@
 David C. Niemi niem...@erols.com
 
 %package doc
-License:GPL-3.0+ ; GFDL-1.3
-Group:  System/Filesystems
 Summary:Access Files on an MS-DOS File System
+License:GPL-3.0+ ; GFDL-1.3
 Requires:   %{name} = %{version}
 
 %description doc
@@ -95,7 +94,6 @@
 %patch5
 
 %build
-%{suse_update_config -f}
 autoconf --force
 export CC=gcc
 export INSTALL_PROGRAM=install

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit netcontrol for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package netcontrol for openSUSE:Factory 
checked in at 2011-12-25 17:37:19

Comparing /work/SRC/openSUSE:Factory/netcontrol (Old)
 and  /work/SRC/openSUSE:Factory/.netcontrol.new (New)


Package is netcontrol, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/netcontrol/netcontrol.changes2011-09-23 
02:14:37.0 +0200
+++ /work/SRC/openSUSE:Factory/.netcontrol.new/netcontrol.changes   
2011-12-25 17:37:20.0 +0100
@@ -1,0 +2,11 @@
+Wed Dec 21 10:31:41 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---
+Fri Sep  9 14:10:39 UTC 2011 - cfarr...@suse.com
+
+- license update: LGPL-2.1+
+  SPDX syntax. See http://www.spdx.org/licenses
+
+---



Other differences:
--
++ netcontrol.spec ++
--- /var/tmp/diff_new_pack.klQDae/_old  2011-12-25 17:37:20.0 +0100
+++ /var/tmp/diff_new_pack.klQDae/_new  2011-12-25 17:37:20.0 +0100
@@ -15,14 +15,12 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
-
 Name:   netcontrol
 Version:0.2.3
-Release:1
+Release:0
 Summary:A network configuration library
+License:LGPL-2.1+
 Group:  Productivity/Networking/System
-License:LGPL v2.1 or later
 #
 # License note:
 # libnetcontrol contains source code which is based on wicked.
@@ -49,7 +47,6 @@
 Marius Tomaschewski m...@suse.de
 
 %package -n libnetcontrol0
-License:LGPL v2.1 or later
 Summary:A network configuration library
 Group:  Productivity/Networking/System
 
@@ -67,7 +64,6 @@
 Marius Tomaschewski m...@suse.de
 
 %package -n libnetcontrol-devel
-License:LGPL v2.1 or later
 Summary:Development header and library files
 Group:  Development/Libraries/C and C++
 Requires:   libnetcontrol0 = %{version}
@@ -89,7 +85,6 @@
 %prep
 %setup -q
 %patch1 -p1
-%{?suse_update_config:%{suse_update_config -f}}
 
 %build
 export CFLAGS=-W -Wall $RPM_OPT_FLAGS

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit monodevelop for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package monodevelop for openSUSE:Factory 
checked in at 2011-12-25 17:36:48

Comparing /work/SRC/openSUSE:Factory/monodevelop (Old)
 and  /work/SRC/openSUSE:Factory/.monodevelop.new (New)


Package is monodevelop, Maintainer is mono-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/monodevelop/monodevelop.changes  2011-09-23 
02:13:14.0 +0200
+++ /work/SRC/openSUSE:Factory/.monodevelop.new/monodevelop.changes 
2011-12-25 17:36:53.0 +0100
@@ -1,0 +2,25 @@
+Wed Dec 21 10:28:55 UTC 2011 - co...@suse.com
+
+- add automake as buildrequire to avoid implicit dependency
+
+---
+Mon Oct 31 23:14:39 UTC 2011 - nmarq...@opensuse.org
+
+- Update to 2.8.1
+  * http://monodevelop.com/Download/What's_new_in_MonoDevelop_2.8 
+- Add monodevelop-upstream-d224fe1686.patch: MimeType entry needs
+  to end with a ; for freedesktop compliance. Accepted upstream
+  commit d224fe1686
+- Add monodevelop.rpmlintrc: we can hide a few expected warnings
+- Use pkgconfig() calls whenever possible
+- Remove fedora/rhel scriptlets and use openSUSE macros:
+  + %desktop_database_postun
+  + %icon_theme_cache_postun
+  + %mime_database_postun
+- Add libgnomeui to Requires for = 1140 (load GNOME2 platform
+  addin, dismisses non fatal error box on startup
+- Add fdupes to Requires and macro on %install
+- Split: devel and lang
+- Removed all fedora/rhel scriptlets and several cleanups
+
+---

Old:

  monodevelop-2.4.2.tar.bz2

New:

  monodevelop-2.8.5.tar.bz2



Other differences:
--
++ monodevelop.spec ++
--- /var/tmp/diff_new_pack.x40i7K/_old  2011-12-25 17:36:54.0 +0100
+++ /var/tmp/diff_new_pack.x40i7K/_new  2011-12-25 17:36:54.0 +0100
@@ -15,10 +15,9 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   monodevelop
+BuildRequires:  automake
 BuildRequires:  gconf-sharp2
 BuildRequires:  glade-sharp2
 BuildRequires:  gnome-sharp2
@@ -27,12 +26,11 @@
 BuildRequires:  mono-wcf
 BuildRequires:  monodoc-core
 Url:http://www.go-mono.com/
-License:GPLv2+
-Group:  Development/Languages/Mono
-AutoReqProv:on
-Version:2.4.2
-Release:1
+Version:2.8.5
+Release:0
 Summary:A Full-Featured IDE for Mono and Gtk#
+License:GPL-2.0+
+Group:  Development/Languages/Mono
 Source: %{name}-%{version}.tar.bz2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
@@ -46,7 +44,8 @@
 %if %{suse_version}  1100
 BuildRequires:  gnome-print-sharp
 %endif
-BuildRequires:  desktop-file-utils update-desktop-files
+BuildRequires:  desktop-file-utils
+BuildRequires:  update-desktop-files
 %endif
 # TODO: Add build requirements for xulrunner/mozilla, etc... md does some 
checks at build time for aspnetedit
 #  (not currently enabled, but we'll need those checks when it is)
@@ -63,7 +62,7 @@
 %endif
 
 %description
-MonoDevelop is intended to be a full-featured integrated development
+MonoDevelop is a full-featured integrated development
 environment (IDE) for mono and Gtk#. It was originally a port of
 SharpDevelop 0.98. See http://monodevelop.com/ for more information.
 

++ monodevelop-2.4.2.tar.bz2 - monodevelop-2.8.5.tar.bz2 ++
/work/SRC/openSUSE:Factory/monodevelop/monodevelop-2.4.2.tar.bz2 
/work/SRC/openSUSE:Factory/.monodevelop.new/monodevelop-2.8.5.tar.bz2 differ: 
char 11, line 1

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit MozillaFirefox-branding-openSUSE for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package MozillaFirefox-branding-openSUSE for 
openSUSE:Factory checked in at 2011-12-25 17:36:57

Comparing /work/SRC/openSUSE:Factory/MozillaFirefox-branding-openSUSE (Old)
 and  /work/SRC/openSUSE:Factory/.MozillaFirefox-branding-openSUSE.new (New)


Package is MozillaFirefox-branding-openSUSE, Maintainer is m...@novell.com

Changes:

--- 
/work/SRC/openSUSE:Factory/MozillaFirefox-branding-openSUSE/MozillaFirefox-branding-openSUSE.changes
2011-12-07 14:38:04.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.MozillaFirefox-branding-openSUSE.new/MozillaFirefox-branding-openSUSE.changes
   2011-12-25 17:37:03.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 13:09:49 UTC 2011 - w...@rosenauer.org
+
+- make openSUSE software search version specific (bnc#737709)
+
+---

Old:

  search-addons.tar.bz2

New:

  opensuse-software.xml.in



Other differences:
--
++ MozillaFirefox-branding-openSUSE.spec ++
--- /var/tmp/diff_new_pack.HIPsYO/_old  2011-12-25 17:37:04.0 +0100
+++ /var/tmp/diff_new_pack.HIPsYO/_new  2011-12-25 17:37:04.0 +0100
@@ -17,24 +17,23 @@
 #
 
 
-BuildRequires:  bc
-BuildRequires:  unzip
-BuildRequires:  zip
-
 Name:   MozillaFirefox-branding-openSUSE
 Version:5.0
-Release:3
-License:BSD3c(or similar) ; GPLv2+
+Release:0
 Summary:openSUSE branding of MozillaFirefox
+License:BSD-3-Clause ; GPL-v2.0+
 Group:  Productivity/Networking/Web/Browsers
 Source: susefox-2008.tar.bz2
-Source1:search-addons.tar.bz2
+Source1:opensuse-software.xml.in
 Source2:bookmarks.html.suse
 Source3:firefox-suse-default-prefs.js
 Source4:firefox.schemas
 Source5:distribution.ini.in
 Source6:%{name}-COPYING
 Source7:all-openSUSE.js
+BuildRequires:  bc
+BuildRequires:  unzip
+BuildRequires:  zip
 PreReq: MozillaFirefox = 4.99
 Supplements:packageand(MozillaFirefox:branding-openSUSE)
 Provides:   MozillaFirefox-branding = %{version}
@@ -77,7 +76,8 @@
 install -m 0644 distribution.ini $RPM_BUILD_ROOT%{progdir}/distribution/
 # search plugins
 install -d $RPM_BUILD_ROOT%{progdir}/searchplugins
-(cd $RPM_BUILD_ROOT%{progdir}/searchplugins ; tar xjf %{SOURCE1})
+sed -e 's,%VERSION%,%{suseversion},g' \
+  %{SOURCE1}  $RPM_BUILD_ROOT%{progdir}/searchplugins/opensuse-software.xml
 # SCHEMA file
 #mkdir -p $RPM_BUILD_ROOT%{gconf_confdir}/schemas
 #install -m 644 %{SOURCE4} \

++ opensuse-software.xml.in ++
SearchPlugin xmlns=http://www.mozilla.org/2006/browser/search/;
ShortNameopenSUSE Software/ShortName
DescriptionSearch for openSUSE packages/Description
InputEncodingutf-8/InputEncoding
Image width=16 
height=16data:image/x-icon;base64,iVBORw0KGgoNSUhEUgAAABAQCAIAAACQkWg2AAABqElEQVQokX2SP0jDQBTGX/XEC3iBRFoxJxUa/BPSwUEtCHUKWQTFLjoouksmF9Fduju46qaLxcGlZOukdlBoqA4VLE2KBhpohCtYqEPUam296e6793vv3vcu1Gq1jvMbACBgKhGFEkUWE9B7oVvngr3XnbcHAIBqJlBlYV4WEmpEo0TpAEK72Yl/8gmYzkmpZHSLG+ADpX9hc7hrKEZkZmSJG+DvXq5y5VMyGA6q9XWNloam19U0a/ocIutqWsT03NqrsUpPYGXq4OR+x3JNr2GfWXvJ8W0AyJaOugOyMF/ybgBADWt6zOAQL2IKAPlqhr3X0V+gxuxZiQKA5ZqWa/68Krhmu4KAabDxGnZQJzjOjq7afvETeDXbtuoxQyLTl4+HXsPGiOgxI7Cl5N1kn46+k7YBjMhidDsZ3Sq4Zu755HOUv3tbU9Odg8OIxMNaYEupdu34Rdb0KVHUiOb4Rccv9py0gGk8onGIB4AaqxRcs9H0lyf3u7j03XqufPpTUcPanJTqCXQ8UpcNkRsDAKTHDIGjHrNZs+582YcRT4mCEZHFRMeH/QA7zpgoDUnQyABJRU5ErkJggg==/Image
Url type=text/html method=GET 
template=http://software.opensuse.org/search;
  Param name=p value=1/
  Param name=baseproject value=openSUSE:%VERSION%/
  Param name=q value={searchTerms}/
/Url
/SearchPlugin
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit nagios-nsca for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package nagios-nsca for openSUSE:Factory 
checked in at 2011-12-25 17:37:15

Comparing /work/SRC/openSUSE:Factory/nagios-nsca (Old)
 and  /work/SRC/openSUSE:Factory/.nagios-nsca.new (New)


Package is nagios-nsca, Maintainer is lr...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/nagios-nsca/nagios-nsca.changes  2011-11-14 
13:17:50.0 +0100
+++ /work/SRC/openSUSE:Factory/.nagios-nsca.new/nagios-nsca.changes 
2011-12-25 17:37:17.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:29:59 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ nagios-nsca.spec ++
--- /var/tmp/diff_new_pack.gHiBLI/_old  2011-12-25 17:37:17.0 +0100
+++ /var/tmp/diff_new_pack.gHiBLI/_new  2011-12-25 17:37:17.0 +0100
@@ -15,18 +15,15 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   nagios-nsca
-BuildRequires:  libmcrypt-devel tcpd-devel
+BuildRequires:  libmcrypt-devel
+BuildRequires:  tcpd-devel
 Summary:The Nagios Service Check Acceptor
-Version:2.9
-Release:72
-Url:http://www.nagios.org/
 License:GPL-2.0+
 Group:  System/Monitoring
-AutoReqProv:on
+Version:2.9
+Release:0
+Url:http://www.nagios.org/
 Requires:   nagios = 2.5
 Provides:   netsaint-nsca
 Obsoletes:  netsaint-nsca = %version
@@ -50,8 +47,6 @@
 Ethan Galstad nag...@nagios.org
 
 %package client
-License:GPL-2.0+
-Group:  System/Monitoring
 Summary:The Nagios Service Check Acceptor Client
 
 %description client
@@ -72,7 +67,6 @@
 %patch3
 
 %build
-%{?suse_update_config:%{suse_update_config}}
 export CFLAGS=$RPM_OPT_FLAGS
 %if %suse_version  1000
 export CFLAGS=$CFLAGS -fstack-protector

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit ocfs2-tools for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package ocfs2-tools for openSUSE:Factory 
checked in at 2011-12-25 17:37:22

Comparing /work/SRC/openSUSE:Factory/ocfs2-tools (Old)
 and  /work/SRC/openSUSE:Factory/.ocfs2-tools.new (New)


Package is ocfs2-tools, Maintainer is mfas...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/ocfs2-tools/ocfs2-tools.changes  2011-09-23 
02:15:01.0 +0200
+++ /work/SRC/openSUSE:Factory/.ocfs2-tools.new/ocfs2-tools.changes 
2011-12-25 17:37:24.0 +0100
@@ -1,0 +2,16 @@
+Wed Dec 21 14:13:46 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---
+Wed Dec 21 10:31:42 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---
+Fri Dec 16 12:06:36 UTC 2011 - tser...@suse.com
+
+- Fix ocfs2_controld build (/usr/include/pacemaker/crm/common/stack.h
+  moved to /usr/include/pacemaker/crm/cluster/stack.h) 
+
+---



Other differences:
--
++ ocfs2-tools.spec ++
--- /var/tmp/diff_new_pack.t0eG2n/_old  2011-12-25 17:37:25.0 +0100
+++ /var/tmp/diff_new_pack.t0eG2n/_new  2011-12-25 17:37:25.0 +0100
@@ -15,16 +15,26 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   ocfs2-tools
-BuildRequires:  e2fsprogs-devel glib2-devel libcorosync-devel libdlm-devel 
libopenais-devel libpacemaker-devel libxml2-devel libxslt-devel python-devel 
python-gtk-devel readline-devel update-desktop-files
+BuildRequires:  autoconf
+BuildRequires:  e2fsprogs-devel
+BuildRequires:  glib2-devel
+BuildRequires:  libcorosync-devel
+BuildRequires:  libdlm-devel
+BuildRequires:  libopenais-devel
+BuildRequires:  libpacemaker-devel
+BuildRequires:  libxml2-devel
+BuildRequires:  libxslt-devel
+BuildRequires:  python-devel
+BuildRequires:  python-gtk-devel
+BuildRequires:  readline-devel
+BuildRequires:  update-desktop-files
 Summary:Oracle Cluster File System 2 Core Tools
-Version:1.8.0
-Release:1
 License:GPL-2.0+
 Group:  System/Filesystems
+Version:1.8.0
+Release:0
 Source: ocfs2-tools.tar.bz2
 Source1:o2cb.ocf
 Source2:reflink.tar.bz2
@@ -42,7 +52,6 @@
 Url:http://oss.oracle.com/projects/ocfs2-tools/
 Requires:   net-tools, modutils, e2fsprogs, /sbin/chkconfig, glib2 = 2.2.3
 PreReq: %insserv_prereq %fillup_prereq
-AutoReqProv:on
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Requires:   libdlm openais
 %if %suse_version  1120  
@@ -56,16 +65,8 @@
 This package contains the core user-space tools needed for creating and
 managing the file system.
 
-
-
-Authors:
-
-Oracle Corporation
-
 %package -n ocfs2console
-License:GPL-2.0+
 Summary:Oracle Cluster Filesystem 2 GUI tools
-Group:  System/Filesystems
 Obsoletes:  ocfs2-support
 Requires:   ocfs2-tools = %{version}
 AutoReqProv:No
@@ -76,16 +77,8 @@
 
 This package contains additional tools and a GUI (python-gtk).
 
-
-
-Authors:
-
-Oracle Corporation
-
 %package devel
-License:GPL-2.0+
 Summary:Oracle Cluster File System 2 Development files
-Group:  System/Filesystems
 Requires:   ocfs2-tools = %{version}, libcom_err, libcom_err-devel
 
 %description devel
@@ -94,16 +87,8 @@
 This package contains the header files and static libraries for
 developing low-level OCFS2-aware applications.
 
-
-
-Authors:
-
-Oracle Corporation
-
 %package o2cb
-License:GPL-2.0+
 Summary:Oracle Cluster File System 2 Core Tools
-Group:  System/Filesystems
 Requires:   ocfs2-tools = %{version}
 
 %description o2cb
@@ -112,12 +97,6 @@
 This package contains the core user-space tools needed for creating and
 managing the file system.
 
-
-
-Authors:
-
-Oracle Corporation
-
 %prep
 %setup -q -n %{name} -a 2
 %patch101 -p1
@@ -133,7 +112,6 @@
 %patch204 -p1
 
 %build
-%{?suse_update_config:%{suse_update_config -f}}
 export CFLAGS=${CFLAGS} ${RPM_OPT_FLAGS}
 export PROJECT=ocfs2-tools
 autoreconf -fi -I /usr/share/aclocal

++ ocfs2_controld-pacemaker.diff ++
--- /var/tmp/diff_new_pack.t0eG2n/_old  2011-12-25 17:37:25.0 +0100
+++ /var/tmp/diff_new_pack.t0eG2n/_new  2011-12-25 17:37:25.0 +0100
@@ -2,10 +2,12 @@
 ===
 --- ocfs2-tools.orig/ocfs2_controld/pacemaker.c
 +++ ocfs2-tools/ocfs2_controld/pacemaker.c
-@@ -31,6 +31,8 @@
+@@ -30,7 

commit MozillaThunderbird for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package MozillaThunderbird for 
openSUSE:Factory checked in at 2011-12-25 17:37:01

Comparing /work/SRC/openSUSE:Factory/MozillaThunderbird (Old)
 and  /work/SRC/openSUSE:Factory/.MozillaThunderbird.new (New)


Package is MozillaThunderbird, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/MozillaThunderbird/MozillaThunderbird.changes
2011-11-22 17:49:03.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.MozillaThunderbird.new/MozillaThunderbird.changes   
2011-12-25 17:37:04.0 +0100
@@ -1,0 +2,26 @@
+Sun Dec 18 09:28:51 UTC 2011 - w...@rosenauer.org
+
+- update to version 9.0 (bnc#737533)
+  * MFSA 2011-53/CVE-2011-3660
+Miscellaneous memory safety hazards (rv:9.0)
+  * MFSA 2011-54/CVE-2011-3661 (bmo#691299)
+Potentially exploitable crash in the YARR regular expression
+library
+  * MFSA 2011-55/CVE-2011-3658 (bmo#708186)
+nsSVGValue out-of-bounds access
+  * MFSA 2011-56/CVE-2011-3663 (bmo#704482)
+Key detection without JavaScript via SVG animation
+  * MFSA 2011-58/VE-2011-3665 (bmo#701259)
+Crash scaling video to extreme sizes
+- fixed accessibility under GNOME 3 (bnc#732898)
+  (mozilla-a11y.patch)
+- do not show update channel in about box
+  (tb-no-update-channel.patch)
+
+---
+Sun Dec  4 08:20:17 UTC 2011 - w...@rosenauer.org
+
+- update enigmail to 1.3.4 (bnc#733002)
+  * fixes several regressions from previous release
+
+---

Old:

  enigmail-1.3.3.tar.gz
  l10n-8.0.tar.bz2
  mozilla-ipc.patch
  thunderbird-8.0-source.tar.bz2

New:

  enigmail-1.3.4.tar.gz
  l10n-9.0.tar.bz2
  mozilla-a11y.patch
  tb-no-update-channel.patch
  thunderbird-9.0-source.tar.bz2



Other differences:
--
++ MozillaThunderbird.spec ++
--- /var/tmp/diff_new_pack.lKKZMN/_old  2011-12-25 17:37:11.0 +0100
+++ /var/tmp/diff_new_pack.lKKZMN/_new  2011-12-25 17:37:11.0 +0100
@@ -16,23 +16,36 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   MozillaThunderbird
-BuildRequires:  Mesa-devel autoconf213 dbus-1-glib-devel fdupes gcc-c++ 
hunspell-devel libcurl-devel libgnomeui-devel libidl-devel libnotify-devel 
python startup-notification-devel unzip update-desktop-files yasm zip
-BuildRequires:  mozilla-nspr-devel = 4.8.8
-BuildRequires:  mozilla-nss-devel = 3.12.10
+BuildRequires:  Mesa-devel
+BuildRequires:  autoconf213
+BuildRequires:  dbus-1-glib-devel
+BuildRequires:  fdupes
+BuildRequires:  gcc-c++
+BuildRequires:  hunspell-devel
+BuildRequires:  libcurl-devel
+BuildRequires:  libgnomeui-devel
+BuildRequires:  libidl-devel
+BuildRequires:  libnotify-devel
+BuildRequires:  mozilla-nspr-devel = 4.8.9
+BuildRequires:  mozilla-nss-devel = 3.13.1
 BuildRequires:  nss-shared-helper-devel
-License:MPL-1.1 or GPL-2.0+ or LGPL-2.1+
-%define mainversion 8.0
+BuildRequires:  python
+BuildRequires:  startup-notification-devel
+BuildRequires:  unzip
+BuildRequires:  update-desktop-files
+BuildRequires:  yasm
+BuildRequires:  zip
+%define mainversion 9.0
 Version:%{mainversion}
-Release:1
-%define releasedate 200500
+Release:0
+%define releasedate 2011122000
 Provides:   thunderbird = %{version}
 Summary:The Stand-Alone Mozilla Mail Component
-Url:http://www.mozilla.org/products/thunderbird/
+License:MPL-1.1 or GPL-2.0+ or LGPL-2.1+
 Group:  Productivity/Networking/Email/Clients
+Url:http://www.mozilla.org/products/thunderbird/
 Source: thunderbird-%{version}-source.tar.bz2
 Source1:MozillaThunderbird.desktop
 Source2:add-plugins.sh.in
@@ -42,7 +55,7 @@
 Source6:suse-default-prefs.js
 Source7:find-external-requires.sh
 Source8:MozillaThunderbird-rpmlintrc
-Source9:enigmail-1.3.3.tar.gz
+Source9:enigmail-1.3.4.tar.gz
 Source10:   create-tar.sh
 Source11:   compare-locales.tar.bz2
 # Gecko/Toolkit
@@ -50,12 +63,13 @@
 Patch2: mozilla-language.patch
 Patch3: mozilla-linux3.patch
 Patch4: mozilla-dump_syms-static.patch
+Patch5: mozilla-ppc64.patch
+Patch6: mozilla-a11y.patch
 # Thunderbird/mail
 Patch10:tb-ssldap.patch
 Patch11:tb-develdirs.patch
 Patch12:thunderbird-shared-nss-db.patch
-Patch20:mozilla-ppc64.patch
-Patch21:mozilla-ipc.patch
+Patch13:tb-no-update-channel.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 PreReq: coreutils fileutils textutils /bin/sh
 ### build options
@@ -92,10 

commit openSUSE-EULAs for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package openSUSE-EULAs for openSUSE:Factory 
checked in at 2011-12-25 17:37:27

Comparing /work/SRC/openSUSE:Factory/openSUSE-EULAs (Old)
 and  /work/SRC/openSUSE:Factory/.openSUSE-EULAs.new (New)


Package is openSUSE-EULAs, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/openSUSE-EULAs/openSUSE-EULAs.changes
2011-10-29 00:34:54.0 +0200
+++ /work/SRC/openSUSE:Factory/.openSUSE-EULAs.new/openSUSE-EULAs.changes   
2011-12-25 17:37:29.0 +0100
@@ -1,0 +2,5 @@
+Fri Oct 28 08:43:45 UTC 2011 - co...@suse.com
+
+- remove unused source
+
+---

Old:

  openSUSE-EULAs.tar.gz



Other differences:
--
++ openSUSE-EULAs.spec ++
--- /var/tmp/diff_new_pack.AsxzxA/_old  2011-12-25 17:37:29.0 +0100
+++ /var/tmp/diff_new_pack.AsxzxA/_new  2011-12-25 17:37:29.0 +0100
@@ -11,10 +11,12 @@
 # case the license is the MIT License). An Open Source License is a
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
-#
+
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
+
 Name:   openSUSE-EULAs
 Version:12.1
 Release:0
@@ -25,6 +27,7 @@
 Source: openSUSE-EULAs-%{version}.tar.gz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
+Provides:   package-EULAs
 
 %description
 openSUSE-EULAs is a collection of the end user license agreements (EULAs) which
@@ -43,4 +46,5 @@
 %files
 %defattr(-,root,root,-)
 %{_defaultdocdir}/eulas
+
 %changelog

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit oto for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package oto for openSUSE:Factory checked in 
at 2011-12-25 17:37:31

Comparing /work/SRC/openSUSE:Factory/oto (Old)
 and  /work/SRC/openSUSE:Factory/.oto.new (New)


Package is oto, Maintainer is fjk...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/oto/oto.changes  2011-09-23 12:21:08.0 
+0200
+++ /work/SRC/openSUSE:Factory/.oto.new/oto.changes 2011-12-25 
17:37:33.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:31:43 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ oto.spec ++
--- /var/tmp/diff_new_pack.N84aVP/_old  2011-12-25 17:37:33.0 +0100
+++ /var/tmp/diff_new_pack.N84aVP/_new  2011-12-25 17:37:33.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package oto (Version 0.4)
+# spec file for package oto
 #
-# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,21 +15,17 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   oto
-License:GPL-2.0+
-Group:  System/I18n/Chinese
-AutoReqProv:on
 Version:0.4
-Release:369
+Release:0
 Url:http://sourceforge.net/projects/oto/
 #Original source: http://prdownloads.sourceforge.net/oto/oto-0.4.tar.gz
 Source0:http://prdownloads.sourceforge.net/oto/oto-%{version}.tar.bz2
 Patch0: fix-implicit-declarations.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:Open Type Organizer
+License:GPL-2.0+
+Group:  System/I18n/Chinese
 
 %description
 The 'Open Type Organizer' project provides programs to list and modify
@@ -58,8 +54,6 @@
 
 %build
 rm -f config.cache
-# update config.{guess,sub}
-%{?suse_update_config}
 export CFLAGS=$RPM_OPT_FLAGS 
 ./configure --prefix=/usr \
 --mandir=%{_mandir} \

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit pacemaker for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package pacemaker for openSUSE:Factory 
checked in at 2011-12-25 17:37:35

Comparing /work/SRC/openSUSE:Factory/pacemaker (Old)
 and  /work/SRC/openSUSE:Factory/.pacemaker.new (New)


Package is pacemaker, Maintainer is l...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/pacemaker/pacemaker.changes  2011-11-25 
23:05:35.0 +0100
+++ /work/SRC/openSUSE:Factory/.pacemaker.new/pacemaker.changes 2011-12-25 
17:37:37.0 +0100
@@ -1,0 +2,30 @@
+Fri Dec 16 04:42:38 UTC 2011 - tser...@suse.com
+
+- RA: add NodeUtilization
+- stonith-ng: export stonith resource name to stonith agents
+- crmd: Send out all of the meta parameters to lrmd for stop action
+- RA: Fix the metadata of HealthSMART and SysInfo RAs
+- stonith: Longer default timeout/interval of operations for stonith
+  resources
+- Doc: many proof-reading improvements
+- stonith: Fix the stonith timeout issue (cl#5009, bnc#727498)
+- update the license information in pacemaker.spec (bnc#726795)
+- xml: Add rsc_ticket support into pacemaker-1.2 schema
+- xml: Add resource template support into pacemaker-1.2 schema 
+- tools: Avoid problems caused by differences between node name and
+  uname -n
+- PE: Resolve memory leak when retrieving failure counts
+- Stonith: Implement a manual override for when nodes are known to be
+  safely off
+- PE: Implement limit number of concurrent live migrations (FATE#310118)
+- PE: Implement referencing templates in constraints
+- PE: Move master based on failure of colocated group
+- Fencing: Support admin configurable timeouts for API operations
+- Fencing: Support checking in-progress operations for all nodes
+- don't package crm shell code
+- add Requires: crmsh
+- Build man pages and html versions (bnc#723680)
+- Shell: template support
+- Upstream version cs: b988976485d15cb702c9307df55512d323831a5e
+
+---

Old:

  acl_fix_d44ff2711662.patch
  crm_deleteunmanaged.patch
  crm_history-fix-hb_report-limit.patch
  crm_history.patch
  crm_history_10_d21f988a419c.patch
  crm_history_11_ccd0c1e1edf9.patch
  crm_history_1_d0359dca5dba.patch
  crm_history_2_29fd4f04c01f.patch
  crm_history_3_b3a014c0f85b.patch
  crm_history_4_a09974a06cdf.patch
  crm_history_5_c3068d22de72.patch
  crm_history_6_441f4448eba6.patch
  crm_history_7_3f3c348aaaed.patch
  crm_history_8_3681d3471fde.patch
  crm_history_9_709ef91cfada.patch
  crm_history_peinputs.patch
  crm_history_pssh.patch
  crm_lrmsecrets_3a81b7eae666.patch
  crm_pager_f77e52725f2d.patch
  crm_path_bnc712605.patch
  crm_site_9b07d41c73b4.patch
  crm_tickets_825cb3e79d7b.patch

New:

  bug-728579_pacemaker-stonith-dev-id.diff
  pacemaker-NodeUtilization-RA.diff
  pacemaker-rsc_ticket-schema.diff
  pacemaker-template-schema.diff
  rm_crmsh.patch



Other differences:
--
++ pacemaker.spec ++
--- /var/tmp/diff_new_pack.7yQtHI/_old  2011-12-25 17:37:38.0 +0100
+++ /var/tmp/diff_new_pack.7yQtHI/_new  2011-12-25 17:37:38.0 +0100
@@ -15,7 +15,6 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 %global pcmk_docdir %{_docdir}/%{name}
 %if 0%{?suse_version}
@@ -38,48 +37,51 @@
 
 Name:   pacemaker
 Summary:The Pacemaker scalable High-Availability cluster resource 
manager
+License:GPL-2.0+ ; LGPL-2.1+
+Group:  Productivity/Clustering/HA
 Version:1.1.6
 Release:0
-License:GPL-2.0+ ; LGPL-2.1+
 Url:http://www.clusterlabs.org
-Group:  Productivity/Clustering/HA
 Source: pacemaker.tar.bz2
 Source2:%{doc_pkg}.tar.gz
 Source100:  pacemaker.rpmlintrc
 Patch1: pacemaker-cts-startcmd.patch
-Patch2: acl_fix_d44ff2711662.patch
-Patch10:crm_history.patch
-Patch11:crm_history_peinputs.patch
-Patch12:crm_history_pssh.patch
-Patch13:crm_history_1_d0359dca5dba.patch
-Patch14:crm_history_2_29fd4f04c01f.patch
-Patch15:crm_history_3_b3a014c0f85b.patch
-Patch16:crm_history_4_a09974a06cdf.patch
-Patch17:crm_history_5_c3068d22de72.patch
-Patch18:crm_history-fix-hb_report-limit.patch
-Patch19:crm_history_6_441f4448eba6.patch
-Patch20:crm_history_7_3f3c348aaaed.patch
-Patch21:crm_history_8_3681d3471fde.patch
-Patch22:crm_path_bnc712605.patch
-Patch23:crm_deleteunmanaged.patch
-Patch24:crm_lrmsecrets_3a81b7eae666.patch
-Patch25:crm_history_9_709ef91cfada.patch
-Patch26:crm_history_10_d21f988a419c.patch
-Patch27:crm_history_11_ccd0c1e1edf9.patch
-Patch28:crm_pager_f77e52725f2d.patch
-Patch29:

commit pavuk for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package pavuk for openSUSE:Factory checked 
in at 2011-12-25 17:37:40

Comparing /work/SRC/openSUSE:Factory/pavuk (Old)
 and  /work/SRC/openSUSE:Factory/.pavuk.new (New)


Package is pavuk, Maintainer is mkudlv...@novell.com

Changes:

--- /work/SRC/openSUSE:Factory/pavuk/pavuk.changes  2011-09-23 
12:21:45.0 +0200
+++ /work/SRC/openSUSE:Factory/.pavuk.new/pavuk.changes 2011-12-25 
17:37:42.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:31:43 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ pavuk.spec ++
--- /var/tmp/diff_new_pack.zEtJLY/_old  2011-12-25 17:37:42.0 +0100
+++ /var/tmp/diff_new_pack.zEtJLY/_new  2011-12-25 17:37:42.0 +0100
@@ -15,9 +15,6 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   pavuk
 BuildRequires:  dante-devel
 BuildRequires:  db-devel
@@ -25,12 +22,11 @@
 BuildRequires:  libopenssl-devel
 BuildRequires:  update-desktop-files
 Version:0.9.35
-Release:158
-AutoReqProv:on
-Group:  Productivity/Networking/Web/Utilities
-License:GPL-2.0+
+Release:0
 Url:http://pavuk.sourceforge.net/
 Summary:Powerful WWW or FTP Site Mirror Tool
+License:GPL-2.0+
+Group:  Productivity/Networking/Web/Utilities
 Source0:%{name}-%{version}.tar.bz2
 Source1:%{name}.desktop
 Patch1: pavuk-ld-add-needed.patch
@@ -54,7 +50,6 @@
 %patch1
 
 %build
-%{suse_update_config -f . }
 CXXFLAGS=$RPM_OPT_FLAGS -DNDEBUG -Wall \
 ./configure \
 --prefix=%{_prefix} \

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit pcp-gui for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package pcp-gui for openSUSE:Factory checked 
in at 2011-12-25 17:37:49

Comparing /work/SRC/openSUSE:Factory/pcp-gui (Old)
 and  /work/SRC/openSUSE:Factory/.pcp-gui.new (New)


Package is pcp-gui, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/pcp-gui/pcp-gui.changes  2011-09-23 
12:21:49.0 +0200
+++ /work/SRC/openSUSE:Factory/.pcp-gui.new/pcp-gui.changes 2011-12-25 
17:37:50.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:39:47 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ pcp-gui.spec ++
--- /var/tmp/diff_new_pack.GRA3f9/_old  2011-12-25 17:37:50.0 +0100
+++ /var/tmp/diff_new_pack.GRA3f9/_new  2011-12-25 17:37:50.0 +0100
@@ -15,24 +15,27 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   pcp-gui
 Version:1.5.1
-Release:1
+Release:0
 Summary:Visualisation tools for the Performance Co-Pilot toolkit
 License:GPL-2.0
-Url:http://oss.sgi.com/projects/pcp
 Group:  System/Monitoring
+Url:http://oss.sgi.com/projects/pcp
 Source: %{name}-%{version}.src.tar.gz
 Requires:   pcp = 2.0
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  libpcp-devel libpcp3 pcp = 2.0
-BuildRequires:  bison flex update-desktop-files
+BuildRequires:  autoconf
+BuildRequires:  bison
+BuildRequires:  flex
+BuildRequires:  libpcp-devel
+BuildRequires:  libpcp3
+BuildRequires:  pcp = 2.0
+BuildRequires:  update-desktop-files
 %if %{_vendor} == suse
 Requires:   qt = 4.2
-BuildRequires:  libqt4-devel qt-devel = 4.2
+BuildRequires:  libqt4-devel
+BuildRequires:  qt-devel = 4.2
 %else
 Requires:   qt4 = 4.2
 BuildRequires:  qt4-devel = 4.2
@@ -53,13 +56,12 @@
 to the core PCP infrastructure.
 
 %package -n pcp-doc
-License:GPL-2.0
 %if 0%{?suse_version}  1110
 BuildArch:  noarch
 %endif
-Group:  Documentation/HTML
 Conflicts:  pcp-gui  1.5.0
 Summary:Performance Co-Pilot documentation and tutorials
+Group:  Documentation/HTML
 Url:http://oss.sgi.com/projects/pcp/
 
 %description -n pcp-doc

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit pcsc-cyberjack for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package pcsc-cyberjack for openSUSE:Factory 
checked in at 2011-12-25 17:37:52

Comparing /work/SRC/openSUSE:Factory/pcsc-cyberjack (Old)
 and  /work/SRC/openSUSE:Factory/.pcsc-cyberjack.new (New)


Package is pcsc-cyberjack, Maintainer is sbra...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/pcsc-cyberjack/pcsc-cyberjack.changes
2011-11-16 17:21:12.0 +0100
+++ /work/SRC/openSUSE:Factory/.pcsc-cyberjack.new/pcsc-cyberjack.changes   
2011-12-25 17:37:54.0 +0100
@@ -1,0 +2,8 @@
+Sun Dec 25 08:11:13 UTC 2011 - w...@rosenauer.org
+
+- Updated to version 3.99.5 Service Pack 03
+  * fix FEATURE_MCT_READERDIRECT reader disconnect on pinpad
+  * add support for cyberJack compact
+  * fix speed problem pinpad -- seccos6 card
+
+---

Old:

  pcsc-cyberjack_3.99.5final.SP02.tar.gz
  pcsc-lite-1_7_3.patch

New:

  pcsc-cyberjack_3.99.5final.SP03.tar.gz



Other differences:
--
++ pcsc-cyberjack.spec ++
--- /var/tmp/diff_new_pack.wzyR9P/_old  2011-12-25 17:37:55.0 +0100
+++ /var/tmp/diff_new_pack.wzyR9P/_new  2011-12-25 17:37:55.0 +0100
@@ -15,28 +15,32 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   pcsc-cyberjack
-BuildRequires:  distribution-release gcc-c++ libtool pcsc-lite-devel 
pkg-config readline-devel
+BuildRequires:  distribution-release
+BuildRequires:  gcc-c++
+BuildRequires:  libtool
+BuildRequires:  pcsc-lite-devel
+BuildRequires:  pkg-config
+BuildRequires:  readline-devel
 %if %suse_version = 1120
-BuildRequires:  libusb-1_0-devel udev
+BuildRequires:  libusb-1_0-devel
+BuildRequires:  udev
 %else
-BuildRequires:  hal-devel libusb-devel
+BuildRequires:  hal-devel
+BuildRequires:  libusb-devel
 %endif
-Version:3.99.5final.SP02
-Release:1
-Group:  Productivity/Security
-License:LGPL-2.1+
+Version:3.99.5final.SP03
+Release:0
 Url:http://www.reiner-sct.de/support/treiber_cyberjack.php
 Summary:PC/SC IFD Handler for the Reiner SCT Cyberjack USB-SmartCard 
Readers
+License:LGPL-2.1+
+Group:  Productivity/Security
 Source: %{name}_%{version}.tar.gz
 Source1:%{name}-README.SUSE
 Source2:40-cyberjack.rules
 Patch1: ctapi-cyberjack-configure.patch
 Patch2: ctapi-cyberjack-check.patch
-Patch3: pcsc-lite-1_7_3.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %define ifddir %(pkg-config --variable=usbdropdir libpcsclite)
 Supplements:modalias(usb:v0C4Bp0100d*dc*dsc*dp*ic*isc*ip*)
@@ -56,11 +60,10 @@
 
 
 %prep
-%setup -q -n %{name}-%{version}
+%setup -q
 cp -a %{S:1} README.SUSE
 %patch1
 %patch2
-%patch3 -p1
 
 %build
 ACLOCAL=aclocal -I m4 autoreconf -f -i

++ pcsc-cyberjack_3.99.5final.SP02.tar.gz - 
pcsc-cyberjack_3.99.5final.SP03.tar.gz ++
 58599 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit pcp for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package pcp for openSUSE:Factory checked in 
at 2011-12-25 17:37:45

Comparing /work/SRC/openSUSE:Factory/pcp (Old)
 and  /work/SRC/openSUSE:Factory/.pcp.new (New)


Package is pcp, Maintainer is r...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/pcp/pcp.changes  2011-09-23 12:21:49.0 
+0200
+++ /work/SRC/openSUSE:Factory/.pcp.new/pcp.changes 2011-12-25 
17:37:47.0 +0100
@@ -1,0 +2,5 @@
+Thu Nov 10 20:39:01 CET 2011 - meiss...@suse.de
+
+- wildcard a bit to make it package on ppc
+
+---



Other differences:
--
++ pcp.spec ++
--- /var/tmp/diff_new_pack.0ztToa/_old  2011-12-25 17:37:48.0 +0100
+++ /var/tmp/diff_new_pack.0ztToa/_new  2011-12-25 17:37:48.0 +0100
@@ -346,30 +346,30 @@
 
 %files -n perl-PCP-PMDA
 %defattr(-,root,root)
-%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi/PCP
-%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi/auto/PCP
-%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi/auto/PCP/PMDA
-/usr/lib/perl5/vendor_perl/*/*-linux-thread-multi/PCP/PMDA.pm
-/usr/lib/perl5/vendor_perl/*/*-linux-thread-multi/auto/PCP/PMDA/PMDA.so
+%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi*/PCP
+%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi*/auto/PCP
+%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi*/auto/PCP/PMDA
+/usr/lib/perl5/vendor_perl/*/*-linux-thread-multi*/PCP/PMDA.pm
+/usr/lib/perl5/vendor_perl/*/*-linux-thread-multi*/auto/PCP/PMDA/PMDA.so
 /usr/share/man/man3/PCP::PMDA.3pm.gz
 
 %files -n perl-PCP-MMV
 %defattr(-,root,root)
-%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi/PCP
-%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi/auto/PCP
-%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi/auto/PCP/MMV
-/usr/lib/perl5/vendor_perl/*/*-linux-thread-multi/PCP/MMV.pm
-/usr/lib/perl5/vendor_perl/*/*-linux-thread-multi/PCP/server.pl
-/usr/lib/perl5/vendor_perl/*/*-linux-thread-multi/auto/PCP/MMV/MMV.so
+%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi*/PCP
+%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi*/auto/PCP
+%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi*/auto/PCP/MMV
+/usr/lib/perl5/vendor_perl/*/*-linux-thread-multi*/PCP/MMV.pm
+/usr/lib/perl5/vendor_perl/*/*-linux-thread-multi*/PCP/server.pl
+/usr/lib/perl5/vendor_perl/*/*-linux-thread-multi*/auto/PCP/MMV/MMV.so
 /usr/share/man/man3/PCP::MMV.3pm.gz
 
 %files -n perl-PCP-LogImport
 %defattr(-,root,root)
-%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi/PCP
-%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi/auto/PCP
-%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi/auto/PCP/LogImport
-/usr/lib/perl5/vendor_perl/*/*-linux-thread-multi/PCP/LogImport.pm
-/usr/lib/perl5/vendor_perl/*/*-linux-thread-multi/auto/PCP/LogImport/LogImport.so
+%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi*/PCP
+%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi*/auto/PCP
+%dir /usr/lib/perl5/vendor_perl/*/*-linux-thread-multi*/auto/PCP/LogImport
+/usr/lib/perl5/vendor_perl/*/*-linux-thread-multi*/PCP/LogImport.pm
+/usr/lib/perl5/vendor_perl/*/*-linux-thread-multi*/auto/PCP/LogImport/LogImport.so
 /usr/share/man/man3/PCP::LogImport.3pm.gz
 
 %files -n perl-PCP-LogSummary

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-Bootloader for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package perl-Bootloader for openSUSE:Factory 
checked in at 2011-12-25 17:38:12

Comparing /work/SRC/openSUSE:Factory/perl-Bootloader (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Bootloader.new (New)


Package is perl-Bootloader, Maintainer is snw...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/perl-Bootloader/perl-Bootloader.changes  
2011-10-16 12:57:32.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-Bootloader.new/perl-Bootloader.changes 
2011-12-25 17:38:13.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 14 11:06:44 UTC 2011 - co...@suse.com
+
+- fix license to be in spdx.org format
+
+---



Other differences:
--
++ perl-Bootloader.spec ++
--- /var/tmp/diff_new_pack.D9zb6y/_old  2011-12-25 17:38:14.0 +0100
+++ /var/tmp/diff_new_pack.D9zb6y/_new  2011-12-25 17:38:14.0 +0100
@@ -15,19 +15,15 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   perl-Bootloader
 Version:0.5.22
 Release:0
 Requires:   perl-base = %{perl_version}
 Requires:   e2fsprogs
 Recommends: perl-gettext
-AutoReqProv:on
-Group:  System/Boot
-License:GNU General Public License (GPL)
 Summary:Library for Configuring Boot Loaders
+License:GPL-2.0+
+Group:  System/Boot
 Source: perl-Bootloader-%{version}.tar.bz2
 Source1:update-bootloader
 Source2:bootloader_entry
@@ -40,15 +36,6 @@
 %description
 Perl modules for configuring various boot loaders.
 
-
-
-Authors:
-
-Jiri Srain jsr...@suse.cz
-Joachim Plack jpl...@suse.de
-Alexander Osthof aost...@suse.de
-Josef Reidinger jreidin...@suse.cz
-
 %prep
 %setup -q
 rm -rf perl-Bootloader-testsuite

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-HTML-TableExtract for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package perl-HTML-TableExtract for 
openSUSE:Factory checked in at 2011-12-25 17:38:51

Comparing /work/SRC/openSUSE:Factory/perl-HTML-TableExtract (Old)
 and  /work/SRC/openSUSE:Factory/.perl-HTML-TableExtract.new (New)


Package is perl-HTML-TableExtract, Maintainer is sbra...@suse.com

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-HTML-TableExtract/perl-HTML-TableExtract.changes
2011-09-23 12:37:21.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-HTML-TableExtract.new/perl-HTML-TableExtract.changes
   2011-12-25 17:38:53.0 +0100
@@ -1,0 +2,8 @@
+Tue Dec 20 09:13:30 UTC 2011 - co...@suse.com
+
+- update to 2.11
+- added parsing context, override for eof() and parse() for
+  memory clear on new docs or post-eof()
+- fixed some long standing test warnings
+
+---

Old:

  HTML-TableExtract-2.10-HTML.patch
  HTML-TableExtract-2.10.tar.bz2

New:

  HTML-TableExtract-2.11.tar.gz



Other differences:
--
++ perl-HTML-TableExtract.spec ++
--- /var/tmp/diff_new_pack.FR3A6i/_old  2011-12-25 17:38:54.0 +0100
+++ /var/tmp/diff_new_pack.FR3A6i/_new  2011-12-25 17:38:54.0 +0100
@@ -16,24 +16,24 @@
 #
 
 
-
 Name:   perl-HTML-TableExtract
-Version:2.10
-Release:86
-License:GPL+ or Artistic
+Version:2.11
+Release:0
 %define cpan_name HTML-TableExtract
-Summary:For extracting the content contained in tables within an HTML 
document
-Url:http://search.cpan.org/dist/HTML-TableExtract/
+Summary:Perl module for extracting the content contained in tables 
within an HTM[cut]
+License:GPL-1.0+ or Artistic-1.0
 Group:  Development/Libraries/Perl
-#Source: 
http://www.cpan.org/authors/id/M/MS/MSISK/HTML-TableExtract-2.10.tar.gz
-Source: %{cpan_name}-%{version}.tar.bz2
-Patch0: %{cpan_name}-2.10-HTML.patch
+Url:http://search.cpan.org/dist/HTML-TableExtract/
+Source: 
http://www.cpan.org/authors/id/M/MS/MSISK/%{cpan_name}-%{version}.tar.gz
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
 BuildRequires:  perl(HTML::ElementTable) = 1.16
 BuildRequires:  perl(HTML::Parser)
+#BuildRequires: perl(HTML::Entities)
+#BuildRequires: perl(HTML::TableExtract)
+#BuildRequires: perl(testload)
 Requires:   perl(HTML::ElementTable) = 1.16
 Requires:   perl(HTML::Parser)
 %{perl_requires}
@@ -96,45 +96,9 @@
 HTML::Entities by default; this can be disabled by setting the _decode_
 parameter to 0.
 
-Extraction Modes
-The default mode of extraction for HTML::TableExtract is raw text or
-HTML. In this mode, embedded tables are completely decoupled from one
-another. In this case, HTML::TableExtract is a subclass of
-HTML::Parser:
-
-  use HTML::TableExtract;
-
-Alternativevly, tables can be extracted as HTML::ElementTable
-structures, which are in turn embedded in an HTML::Element tree
-representing the entire HTML document. Embedded tables are not
-decoupled from one another since this tree structure must be
-manitained. In this case, HTML::TableExtract is a subclass of
-HTML::TreeBuilder (itself a subclass of HTML:::Parser):
-
-  use HTML::TableExtract qw(tree);
-
-In either case, the basic interface for HTML::TableExtract and the
-resulting table objects remains the same -- all that changes is what
-you can do with the resulting data.
-
-HTML::TableExtract is a subclass of HTML::Parser, and as such inherits
-all of its basic methods such as 'parse()' and 'parse_file()'. During
-scans, 'start()', 'end()', and 'text()' are utilized. Feel free to
-override them, but if you do not eventually invoke them in the SUPER
-class with some content, results are not guaranteed.
-
-Advice
-The main point of this module was to provide a flexible method of
-extracting tabular information from HTML documents without relying to
-heavily on the document layout. For that reason, I suggest using
-_Headers_ whenever possible -- that way, you are anchoring your
-extraction on what the document is trying to communicate rather than
-some feature of the HTML comprising the document (other than the fact
-that the data is contained in a table).
-
 %prep
 %setup -q -n %{cpan_name}-%{version}
-%patch0 -p1
+find . -type f -print0 | xargs -0 chmod 644
 
 %build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
@@ -148,11 +112,8 @@
 %perl_process_packlist
 %perl_gen_filelist
 
-%clean
-%{__rm} -rf %{buildroot}
-
 %files -f %{name}.files

commit perl-Module-Signature for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package perl-Module-Signature for 
openSUSE:Factory checked in at 2011-12-25 17:38:59

Comparing /work/SRC/openSUSE:Factory/perl-Module-Signature (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Module-Signature.new (New)


Package is perl-Module-Signature, Maintainer is 

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-Module-Signature/perl-Module-Signature.changes  
2011-09-23 12:38:08.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-Module-Signature.new/perl-Module-Signature.changes
 2011-12-25 17:39:01.0 +0100
@@ -1,0 +2,24 @@
+Mon Dec 19 08:35:22 UTC 2011 - cfarr...@suse.com
+
+- license update: CC0-1.0 and (GPL-1.0+ or Artistic-1.0)
+  License purports to be CC zero, not CC-BY. Also, see the script/cpansign
+  and Module/Signature (line 88+) files for Perl licenses
+
+---
+Thu Dec 15 09:56:56 UTC 2011 - co...@suse.com
+
+- regenerate with cpanspec to fix requires/buildrequires
+
+---
+Wed Dec 14 12:14:47 UTC 2011 - co...@suse.com
+
+- update to 0.68
+ * Fix breakage introduced by 0.67 (Andreas König).
+ * Better handling of \r (Andreas König, Zefram)
+
+---
+Wed Dec 14 12:12:55 UTC 2011 - co...@suse.com
+
+- fix license to be in spdx.org format
+
+---

Old:

  Module-Signature-0.66.tar.gz

New:

  Module-Signature-0.68.tar.gz



Other differences:
--
++ perl-Module-Signature.spec ++
--- /var/tmp/diff_new_pack.cCIaPY/_old  2011-12-25 17:39:02.0 +0100
+++ /var/tmp/diff_new_pack.cCIaPY/_new  2011-12-25 17:39:02.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package perl-Module-Signature (Version 0.66)
+# spec file for package perl-Module-Signature
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,64 +15,65 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   perl-Module-Signature
+Version:0.68
+Release:0
 %define cpan_name Module-Signature
 Summary:Module signature file manipulation
-Version:0.66
-Release:2
-License:CC0 1.0 (creative commons 1.0)
+License:CC0-1.0 and (GPL-1.0+ or Artistic-1.0)
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Module-Signature/
-Source: 
http://www.cpan.org/modules/by-module/Module/Module-Signature-%{version}.tar.gz
+Source: 
http://www.cpan.org/authors/id/F/FL/FLORA/%{cpan_name}-%{version}.tar.gz
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-%{perl_requires}
-BuildRequires:  gpg
 BuildRequires:  perl
 BuildRequires:  perl-macros
-BuildRequires:  perl(Digest::SHA)
-BuildRequires:  perl(IO::Socket::INET)
-#
+BuildRequires:  perl(IPC::Run)
+# MANUAL BEGIN
+BuildRequires:  gpg
 Requires:   gpg
-Requires:   perl(Digest::SHA)
-Requires:   perl(IO::Socket::INET)
+# MANUAL END
+%{perl_requires}
 
 %description
-Module::Signature adds cryptographic authentications to CPAN distributions,
-via the special SIGNATURE file.
+*Module::Signature* adds cryptographic authentications to CPAN
+distributions, via the special _SIGNATURE_ file.
 
-Authors:
-
-Audrey Tang c...@audreyt.org
+If you are a module user, all you have to do is to remember to run
+'cpansign -v' (or just 'cpansign') before issuing 'perl Makefile.PL' or
+'perl Build.PL'; that will ensure the distribution has not been tampered
+with.
+
+Module authors can easily add the _SIGNATURE_ file to the distribution
+tarball; see the /NOTES manpage below for how to do it as part of 'make
+dist'.
+
+If you _really_ want to sign a distribution manually, simply add
+'SIGNATURE' to _MANIFEST_, then type 'cpansign -s' immediately before 'make
+dist'. Be sure to delete the _SIGNATURE_ file afterwards.
+
+Please also see the /NOTES manpage about _MANIFEST.SKIP_ issues, especially
+if you are using *Module::Build* or writing your own _MANIFEST.SKIP_.
 
 %prep
 %setup -q -n %{cpan_name}-%{version}
+find . -type f -print0 | xargs -0 chmod 644
 
 %build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
 %{__make} %{?_smp_mflags}
 
 %check
-#TEST_SIGNATURE=1 %{__make} test
 %{__make} test
 
 %install
 %perl_make_install
-# do not perl_process_packlist (noarch)
-# remove .packlist file
-%{__rm} -rf 

commit perl-Perl-Critic for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package perl-Perl-Critic for 
openSUSE:Factory checked in at 2011-12-25 17:39:29

Comparing /work/SRC/openSUSE:Factory/perl-Perl-Critic (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Perl-Critic.new (New)


Package is perl-Perl-Critic, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/perl-Perl-Critic/perl-Perl-Critic.changes
2011-11-07 14:28:39.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-Perl-Critic.new/perl-Perl-Critic.changes   
2011-12-25 17:39:31.0 +0100
@@ -1,0 +2,21 @@
+Mon Dec 19 15:03:28 UTC 2011 - co...@suse.de
+
+- update to 1.116
+Policy Changes:
+* BuiltInFunctions::ProhibitLvalueSubstr does not report violations
+  if the document contains an explicit 'use n.nnn;' where the
+  version is before 5.005.  RT #59112
+* Documentation::RequirePodSections no longer blows up on code
+  having POD but no =head1. This problem was introduced with RT
+  #59268. RT #67231
+* RegularExpressions::ProhibitUnusedCapture should more reliably
+  find things like s/(a)/${1}2/.  RT #67273.
+* ValuesAndExpressions::ProhibitMagicNumbers and
+  Module::RequireVersionVar now treat versions passed as the second
+  argument of a 'package' statement the same as versions declared as
+  'our $VERSION ...'.  RT #67159
+* Variables::RequireLexicalLoopIterators does not report violations
+  if the document contains an explicit 'use n.nnn;' where the
+  version is before 5.004.  RT #67760
+
+---

Old:

  Perl-Critic-1.115.tar.gz

New:

  Perl-Critic-1.116.tar.gz



Other differences:
--
++ perl-Perl-Critic.spec ++
--- /var/tmp/diff_new_pack.C125WN/_old  2011-12-25 17:39:34.0 +0100
+++ /var/tmp/diff_new_pack.C125WN/_new  2011-12-25 17:39:34.0 +0100
@@ -16,86 +16,53 @@
 #
 
 
-
 Name:   perl-Perl-Critic
-Version:1.115
-Release:1
-License:GPL+ or Artistic
+Version:1.116
+Release:0
 %define cpan_name Perl-Critic
 Summary:Critique Perl source code for best-practices.
-Url:http://search.cpan.org/dist/Perl-Critic/
+License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
-#Source: 
http://www.cpan.org/authors/id/E/EL/ELLIOTJS/Perl-Critic-%{version}.tar.gz
-Source: %{cpan_name}-%{version}.tar.gz
+Url:http://search.cpan.org/dist/Perl-Critic/
+Source: 
http://www.cpan.org/authors/id/E/EL/ELLIOTJS/%{cpan_name}-%{version}.tar.gz
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
-BuildRequires:  perl(Module::Build)
 BuildRequires:  perl-macros
-BuildRequires:  perl(base)
 BuildRequires:  perl(B::Keywords) = 1.05
-BuildRequires:  perl(Carp)
 BuildRequires:  perl(Config::Tiny) = 2
 BuildRequires:  perl(Email::Address) = 1.889
 BuildRequires:  perl(Exception::Class) = 1.23
 BuildRequires:  perl(Exporter) = 5.63
-BuildRequires:  perl(File::Basename)
-BuildRequires:  perl(File::Find)
-BuildRequires:  perl(File::HomeDir)
-BuildRequires:  perl(File::Path)
-BuildRequires:  perl(File::Spec)
-BuildRequires:  perl(File::Spec::Unix)
-BuildRequires:  perl(File::Temp)
-BuildRequires:  perl(File::Which)
-BuildRequires:  perl(Getopt::Long)
 BuildRequires:  perl(IO::String)
-BuildRequires:  perl(IPC::Open2) = 1
-BuildRequires:  perl(lib)
 BuildRequires:  perl(List::MoreUtils) = 0.19
-BuildRequires:  perl(List::Util)
-BuildRequires:  perl(overload)
-BuildRequires:  perl(Perl::Tidy)
-BuildRequires:  perl(Pod::Spell) = 1
+BuildRequires:  perl(Module::Build)
+BuildRequires:  perl(Module::Pluggable) = 3.1
 BuildRequires:  perl(PPI) = 1.215
 BuildRequires:  perl(PPI::Document) = 1.215
 BuildRequires:  perl(PPI::Document::File) = 1.215
 BuildRequires:  perl(PPI::Node) = 1.215
 BuildRequires:  perl(PPI::Token::Quote::Single) = 1.215
 BuildRequires:  perl(PPI::Token::Whitespace) = 1.215
-BuildRequires:  perl(PPIx::Regexp) = 0.01
+BuildRequires:  perl(PPIx::Regexp) = 0.019
 BuildRequires:  perl(PPIx::Utilities::Node) = 1.001
 BuildRequires:  perl(PPIx::Utilities::Statement) = 1.001
+BuildRequires:  perl(Perl::Tidy)
+BuildRequires:  perl(Pod::Spell) = 1
 BuildRequires:  perl(Readonly) = 1.03
-BuildRequires:  perl(Readonly::XS)
-BuildRequires:  perl(Scalar::Util)
-BuildRequires:  perl(strict)
 BuildRequires:  perl(String::Format) = 1.13
 BuildRequires:  perl(Task::Weaken)
+BuildRequires:  perl(Test::Builder) = 0.92
 BuildRequires:  perl(Test::Deep)
-BuildRequires:  perl(Text::ParseWords) = 3
 BuildRequires:  perl(version) = 0.77
-BuildRequires:  perl(warnings)
-Requires:   perl(base)
 Requires:   

commit pfstmo for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package pfstmo for openSUSE:Factory checked 
in at 2011-12-25 17:39:52

Comparing /work/SRC/openSUSE:Factory/pfstmo (Old)
 and  /work/SRC/openSUSE:Factory/.pfstmo.new (New)


Package is pfstmo, Maintainer is posta...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/pfstmo/pfstmo.changes2011-09-23 
12:39:40.0 +0200
+++ /work/SRC/openSUSE:Factory/.pfstmo.new/pfstmo.changes   2011-12-25 
17:40:05.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:31:43 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ pfstmo.spec ++
--- /var/tmp/diff_new_pack.sU4DNl/_old  2011-12-25 17:40:06.0 +0100
+++ /var/tmp/diff_new_pack.sU4DNl/_new  2011-12-25 17:40:06.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package pfstmo (Version 1.4.0)
+# spec file for package pfstmo
 #
-# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,20 +15,22 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
 %define vversion 1.4
 
 Name:   pfstmo
 Version:1.4.0
-Release:1
-License:GPL-2.0+
+Release:0
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Group:  Productivity/Multimedia/Other
-BuildRequires:  fftw3-devel gcc-c++ pfstools-devel pkgconfig
+BuildRequires:  fftw3-devel
+BuildRequires:  gcc-c++
+BuildRequires:  pfstools-devel
+BuildRequires:  pkgconfig
 Source: %{name}-%{vversion}.tar.bz2
 Patch:  %{name}-gcc.patch
 Url:http://www.mpii.mpg.de/resources/tmo/
 Summary:Tone Mapping Operators for High Dynamic Range Images
+License:GPL-2.0+
+Group:  Productivity/Multimedia/Other
 
 %description
 pfstmo package contains the implementation of state-of-the-art tone
@@ -47,7 +49,6 @@
 %patch
 
 %build
-%{?suse_update_config:%{suse_update_config}}
 #autoreconf -fi
 CFLAGS=$RPM_OPT_FLAGS \
 CXXFLAGS=$RPM_OPT_FLAGS \

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit pngtoico for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package pngtoico for openSUSE:Factory 
checked in at 2011-12-25 17:39:57

Comparing /work/SRC/openSUSE:Factory/pngtoico (Old)
 and  /work/SRC/openSUSE:Factory/.pngtoico.new (New)


Package is pngtoico, Maintainer is pgaj...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/pngtoico/pngtoico.changes2011-12-13 
11:49:17.0 +0100
+++ /work/SRC/openSUSE:Factory/.pngtoico.new/pngtoico.changes   2011-12-25 
17:40:06.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:31:44 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ pngtoico.spec ++
--- /var/tmp/diff_new_pack.KMHiDo/_old  2011-12-25 17:40:07.0 +0100
+++ /var/tmp/diff_new_pack.KMHiDo/_new  2011-12-25 17:40:07.0 +0100
@@ -15,7 +15,6 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
 Name:   pngtoico
 Version:1.0.1
 Release:0
@@ -36,7 +35,6 @@
 %prep
 %setup -q
 %patch0
-%{?suse_update_config:%{suse_update_config -f}}
 
 %build
 make CFLAGS=%{optflags}

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit prozgui for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package prozgui for openSUSE:Factory checked 
in at 2011-12-25 17:40:03

Comparing /work/SRC/openSUSE:Factory/prozgui (Old)
 and  /work/SRC/openSUSE:Factory/.prozgui.new (New)


Package is prozgui, Maintainer is pgaj...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/prozgui/prozgui.changes  2011-09-23 
12:42:00.0 +0200
+++ /work/SRC/openSUSE:Factory/.prozgui.new/prozgui.changes 2011-12-25 
17:40:10.0 +0100
@@ -1,0 +2,10 @@
+Wed Dec 21 10:31:44 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---
+Wed Nov 23 12:53:19 UTC 2011 - co...@suse.com
+
+- add libtool as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ prozgui.spec ++
--- /var/tmp/diff_new_pack.stTyY9/_old  2011-12-25 17:40:11.0 +0100
+++ /var/tmp/diff_new_pack.stTyY9/_new  2011-12-25 17:40:11.0 +0100
@@ -15,16 +15,16 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   prozgui
-BuildRequires:  fltk-devel gcc-c++ xorg-x11-devel
+BuildRequires:  fltk-devel
+BuildRequires:  gcc-c++
+BuildRequires:  libtool
+BuildRequires:  xorg-x11-devel
 Summary:GUI Advanced Linux Download Manager
-Version:2.0.5beta
-Release:396
-License:GPLv2+
+License:GPL-2.0+
 Group:  Productivity/Networking/Web/Utilities
+Version:2.0.5beta
+Release:0
 Url:http://prozilla.genesys.ro
 Source0:
http://prozilla.genesys.ro/downloads/prozgui/tarballs/prozgui-2.0.5beta.tar.bz2
 Source1:COPYING
@@ -39,7 +39,6 @@
 Patch8: prozgui-2.0.5beta-locale.diff
 Patch9: %{name}-%{version}_remove-redefinitions.patch
 Patch10:prozgui-fltk13.diff
-AutoReqProv:on
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -72,7 +71,6 @@
 %build
 export CFLAGS=$RPM_OPT_FLAGS 
 export CXXFLAGS=$RPM_OPT_FLAGS
-%{suse_update_config ./ libprozilla}
 gettextize -f --no-changelog
 gettextize -f --no-changelog libprozilla
 autoreconf -fi

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit pwgen for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package pwgen for openSUSE:Factory checked 
in at 2011-12-25 17:40:10

Comparing /work/SRC/openSUSE:Factory/pwgen (Old)
 and  /work/SRC/openSUSE:Factory/.pwgen.new (New)


Package is pwgen, Maintainer is hvo...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/pwgen/pwgen.changes  2011-09-23 
12:42:10.0 +0200
+++ /work/SRC/openSUSE:Factory/.pwgen.new/pwgen.changes 2011-12-25 
17:40:11.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:41:47 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ pwgen.spec ++
--- /var/tmp/diff_new_pack.eifiug/_old  2011-12-25 17:40:15.0 +0100
+++ /var/tmp/diff_new_pack.eifiug/_new  2011-12-25 17:40:15.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package pwgen (Version 2.06)
+# spec file for package pwgen
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,17 +15,14 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   pwgen
 Url:http://sourceforge.net/projects/pwgen/
-License:GPL-2.0+
-Group:  Productivity/Security
-AutoReqProv:on
+BuildRequires:  autoconf
 Version:2.06
-Release:89
+Release:0
 Summary:Password generator
+License:GPL-2.0+
+Group:  Productivity/Security
 Source: 
http://belnet.dl.sourceforge.net/sourceforge/pwgen/pwgen-%{version}.tar.bz2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Patch:  pwgen-2.06-fdleaks.patch

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit pybliographer for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package pybliographer for openSUSE:Factory 
checked in at 2011-12-25 17:40:14

Comparing /work/SRC/openSUSE:Factory/pybliographer (Old)
 and  /work/SRC/openSUSE:Factory/.pybliographer.new (New)


Package is pybliographer, Maintainer is jmate...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/pybliographer/pybliographer.changes  
2011-09-23 12:42:14.0 +0200
+++ /work/SRC/openSUSE:Factory/.pybliographer.new/pybliographer.changes 
2011-12-25 17:40:16.0 +0100
@@ -1,0 +2,10 @@
+Wed Dec 21 10:31:45 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---
+Sun Nov 27 06:45:56 UTC 2011 - co...@suse.com
+
+- add libtool as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ pybliographer.spec ++
--- /var/tmp/diff_new_pack.6qCEV0/_old  2011-12-25 17:40:19.0 +0100
+++ /var/tmp/diff_new_pack.6qCEV0/_new  2011-12-25 17:40:19.0 +0100
@@ -15,16 +15,19 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   pybliographer
-BuildRequires:  python-bibtex python-devel python-gnome-devel scrollkeeper 
translation-update-upstream update-desktop-files
+BuildRequires:  libtool
+BuildRequires:  python-bibtex
+BuildRequires:  python-devel
+BuildRequires:  python-gnome-devel
+BuildRequires:  scrollkeeper
+BuildRequires:  translation-update-upstream
+BuildRequires:  update-desktop-files
 Summary:A Tool for Bibliographic Databases
-License:GPLv2+
-Version:1.2.13
-Release:5
+License:GPL-2.0+
 Group:  Productivity/Publishing/Other
+Version:1.2.13
+Release:0
 Source: 
http://ftp1.sourceforge.net/sourceforge/pybliographer/pybliographer-%{version}.tar.gz
 Patch0: pybliographer-1.1.93-destdir.patch
 Patch1: pybliographer-1.2.1-check.patch
@@ -74,7 +77,6 @@
 %patch1 -p 1
 
 %build
-%{?suse_update_config:%{suse_update_config}}
 libtoolize --force
 autoreconf -f -i
 CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{_prefix} --libdir=%{_libdir} 
--disable-depchecks

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit qps for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package qps for openSUSE:Factory checked in 
at 2011-12-25 17:40:38

Comparing /work/SRC/openSUSE:Factory/qps (Old)
 and  /work/SRC/openSUSE:Factory/.qps.new (New)


Package is qps, Maintainer is lti...@novell.com

Changes:

--- /work/SRC/openSUSE:Factory/qps/qps.changes  2011-09-23 12:43:45.0 
+0200
+++ /work/SRC/openSUSE:Factory/.qps.new/qps.changes 2011-12-25 
17:40:41.0 +0100
@@ -1,0 +2,5 @@
+Thu Nov 24 17:46:28 UTC 2011 - lazy.k...@opensuse.org
+
+- Spec clean up.
+
+---



Other differences:
--
++ qps.spec ++
--- /var/tmp/diff_new_pack.BvGU0A/_old  2011-12-25 17:40:41.0 +0100
+++ /var/tmp/diff_new_pack.BvGU0A/_new  2011-12-25 17:40:41.0 +0100
@@ -39,12 +39,6 @@
 displays some general system information, and many details about current
 processes.
 
-
-
-Authors:
-
-fasth...@show.co.kr
-
 %prep
 %setup -q
 %patch0
@@ -54,20 +48,17 @@
 qmake \
 QMAKE_CFLAGS+=%{optflags} \
 QMAKE_CXXFLAGS+=%{optflags}
-%__make %{?_smp_mflags}
+make %{?_smp_mflags}
 
 %install
-%__install -Dm 755 %{name} %{buildroot}%{_bindir}/%{name}
-%__install -Dm 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
-%__install -Dm 644 %{name}.desktop \
+install -Dm 0755 %{name} %{buildroot}%{_bindir}/%{name}
+install -Dm 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
+install -Dm 0644 %{name}.desktop \
 %{buildroot}%{_datadir}/applications/%{name}.desktop
-%__install -Dm 644 icon/icon.xpm \
+install -Dm 0644 icon/icon.xpm \
 %{buildroot}%{_datadir}/pixmaps/%{name}.xpm
 %suse_update_desktop_file -r %{name} System Monitor
 
-%clean
-%{?buildroot:%__rm -rf %{buildroot}}
-
 %files
 %defattr(-,root,root,-)
 %doc CHANGES COPYING README_INSTALL

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit qm for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package qm for openSUSE:Factory checked in 
at 2011-12-25 17:40:30

Comparing /work/SRC/openSUSE:Factory/qm (Old)
 and  /work/SRC/openSUSE:Factory/.qm.new (New)


Package is qm, Maintainer is sch...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/qm/qm.changes2011-09-23 12:43:42.0 
+0200
+++ /work/SRC/openSUSE:Factory/.qm.new/qm.changes   2011-12-25 
17:40:36.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:31:45 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ qm.spec ++
--- /var/tmp/diff_new_pack.EJKxrF/_old  2011-12-25 17:40:38.0 +0100
+++ /var/tmp/diff_new_pack.EJKxrF/_new  2011-12-25 17:40:38.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package qm (Version 2.3)
+# spec file for package qm
 #
-# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,17 +15,13 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   qm
 BuildRequires:  python-devel
-License:GPL-2.0+
-Group:  Development/Tools/Building
-AutoReqProv:on
 Version:2.3
-Release:198
+Release:0
 Summary:QMTest--General Purpose Testing Solution
+License:GPL-2.0+
+Group:  Development/Tools/Building
 Url:http://www.codesourcery.com/qmtest/
 Source: qm-%{version}.tar.bz2
 Patch1: qm-firefox.patch
@@ -49,7 +45,6 @@
 %patch2
 
 %build
-%{suse_update_config -f}
 export CFLAGS=$RPM_OPT_FLAGS
 python setup.py build 
 

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit redland-bindings for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package redland-bindings for 
openSUSE:Factory checked in at 2011-12-25 17:40:52

Comparing /work/SRC/openSUSE:Factory/redland-bindings (Old)
 and  /work/SRC/openSUSE:Factory/.redland-bindings.new (New)


Package is redland-bindings, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/redland-bindings/redland-bindings.changes
2011-09-28 15:31:33.0 +0200
+++ /work/SRC/openSUSE:Factory/.redland-bindings.new/redland-bindings.changes   
2011-12-25 17:40:54.0 +0100
@@ -1,0 +2,13 @@
+Wed Dec 21 12:54:51 UTC 2011 - tittiatc...@gmail.com
+
+- Update to 1.0.14.1
+  * Synchronise with Redland 1.0.14 (release notes).
+  * Requires Redland 1.0.14, Rasqal 0.9.25 and Raptor 2.0.0 or 
+newer.
+  * SWIG 2.0.0 or newer is now recommended. Not tested with SWIG 1.x
+  * Perl unicode fixes
+  * PHP logging and error handling enhancements
+  * Python fixes to allow subclassing
+  * Fixed Issues: 473.
+
+---

Old:

  redland-bindings-1.0.13.1.tar.gz

New:

  redland-bindings-1.0.14.1.tar.gz



Other differences:
--
++ redland-bindings.spec ++
--- /var/tmp/diff_new_pack.N1tqzM/_old  2011-12-25 17:40:58.0 +0100
+++ /var/tmp/diff_new_pack.N1tqzM/_new  2011-12-25 17:40:58.0 +0100
@@ -1,5 +1,5 @@
 #
-# spec file for package redland
+# spec file for package redland-bindings
 #
 # Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
@@ -15,16 +15,17 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 %bcond_with perl
-%define redland_version 1.0.14
+%define redland_version 1.0.15
 
 Name:   redland-bindings
-Version:1.0.13.1
-Release:6
-License:LGPL-2.1+ ; Apache-2.0
+Version:1.0.14.1
+Release:0
 Summary:Bindings for the Redland Libraries (RDF)
-Url:http://www.librdf.org
+License:LGPL-2.1+ ; Apache-2.0
 Group:  System/Libraries
+Url:http://www.librdf.org
 Source0:http://download.librdf.org/source/%{name}-%{version}.tar.gz
 BuildRequires:  libredland-devel = %{redland_version}
 BuildRequires:  perl-base

++ redland-bindings-1.0.13.1.tar.gz - redland-bindings-1.0.14.1.tar.gz 
++
 16589 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit rng-tools for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package rng-tools for openSUSE:Factory 
checked in at 2011-12-25 17:41:02

Comparing /work/SRC/openSUSE:Factory/rng-tools (Old)
 and  /work/SRC/openSUSE:Factory/.rng-tools.new (New)


Package is rng-tools, Maintainer is r...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/rng-tools/rng-tools.changes  2011-09-23 
12:44:24.0 +0200
+++ /work/SRC/openSUSE:Factory/.rng-tools.new/rng-tools.changes 2011-12-25 
17:41:03.0 +0100
@@ -1,0 +2,10 @@
+Fri Dec 16 02:21:55 UTC 2011 - crrodrig...@opensuse.org
+
+- Support systemd. 
+
+---
+Thu Dec  1 15:58:15 UTC 2011 - co...@suse.com
+
+- add automake as buildrequire to avoid implicit dependency
+
+---

New:

  rng-tools.service



Other differences:
--
++ rng-tools.spec ++
--- /var/tmp/diff_new_pack.ptDXQz/_old  2011-12-25 17:41:04.0 +0100
+++ /var/tmp/diff_new_pack.ptDXQz/_new  2011-12-25 17:41:04.0 +0100
@@ -18,18 +18,20 @@
 
 
 Name:   rng-tools
+BuildRequires:  automake
 BuildRequires:  trousers-devel
-License:GPLv3+
+BuildRequires:  systemd
+License:GPL-3.0+
 Group:  System/Kernel
-AutoReqProv:on
 ExclusiveArch:  %ix86 ia64 x86_64
 Summary:Support daemon for hardware random device
 Version:2
-Release:152
+Release:0
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Url:http://sourceforge.net/projects/gkernel/
 Source: rng-tools_2-unofficial-mt.14.orig.tar.bz2 
 Source1:%name.init
+Source2:%{name}.service
 PreReq: %fillup_prereq
 Supplements:modalias(pci:v1022d746Bsv*sd*bc*sc*i*)
 Supplements:modalias(pci:v1022d7443sv*sd*bc*sc*i*)
@@ -69,6 +71,7 @@
 %if %suse_version  1130
 PreReq: sysvinit(syslog)
 %endif
+%{?systemd_requires}
 
 %description
 This  daemon  feeds data from a random number generator to the kernel's
@@ -99,16 +102,23 @@
 mkdir -p $RPM_BUILD_ROOT/etc/init.d
 install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/%name
 %{__ln_s} -f %{_sysconfdir}/init.d/%{name} %{buildroot}%{_sbindir}/rc%{name}
+install -D -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service
+
+%pre
+%service_add_pre %{name}.service
 
 %post
 %{fillup_and_insserv -n rng-tools rng-tools}
+%service_add_post %{name}.service
 
 %preun
 %stop_on_removal rng-tools
+%service_del_preun %{name}.service
 
 %postun
 %restart_on_update rng-tools
 %insserv_cleanup
+%service_del_postun %{name}.service
 
 %clean
 rm -rf $RPM_BUILD_ROOT
@@ -120,5 +130,6 @@
 %{_sbindir}/rc%{name}
 %{_mandir}/man?/*.*.gz
 %config /etc/init.d/%name
+%{_unitdir}/%{name}.service
 
 %changelog

++ rng-tools.service ++
[Unit]
Description=Start the rngd daemon
ConditionPathExists=/dev/hwrng

[Service]
CapabilityBoundingSet=CAP_SYS_ADMIN
ExecStart=/sbin/rngd --foreground --fill-watermark=90% --feed-interval=1 

[Install]
WantedBy=multi-user.target--
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit rpmlint for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package rpmlint for openSUSE:Factory checked 
in at 2011-12-25 17:41:08

Comparing /work/SRC/openSUSE:Factory/rpmlint (Old)
 and  /work/SRC/openSUSE:Factory/.rpmlint.new (New)


Package is rpmlint, Maintainer is dmuel...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/rpmlint/rpmlint.changes  2011-12-21 
10:03:47.0 +0100
+++ /work/SRC/openSUSE:Factory/.rpmlint.new/rpmlint.changes 2011-12-25 
17:41:10.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 11:01:43 CET 2011 - dmuel...@suse.de
+
+- unbreak config afer DesktopTranslationCheck was removed
+
+---



Other differences:
--
++ config ++
--- /var/tmp/diff_new_pack.ljdMSt/_old  2011-12-25 17:41:12.0 +0100
+++ /var/tmp/diff_new_pack.ljdMSt/_new  2011-12-25 17:41:12.0 +0100
@@ -21,7 +21,6 @@
 addCheck(CheckPkgConfig)
 addCheck(CheckCommonFiles)
 addCheck(CheckInitScripts)
-addCheck(DesktopTranslationCheck)
 addCheck(DuplicatesCheck)
 addCheck(LibraryPolicyCheck)
 addCheck(CheckIconSizes)

++ config.in ++
--- /var/tmp/diff_new_pack.ljdMSt/_old  2011-12-25 17:41:12.0 +0100
+++ /var/tmp/diff_new_pack.ljdMSt/_new  2011-12-25 17:41:12.0 +0100
@@ -19,7 +19,6 @@
 addCheck(CheckPkgConfig)
 addCheck(CheckCommonFiles)
 addCheck(CheckInitScripts)
-addCheck(DesktopTranslationCheck)
 addCheck(DuplicatesCheck)
 addCheck(LibraryPolicyCheck)
 addCheck(CheckIconSizes)


-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit rpmlint-mini for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package rpmlint-mini for openSUSE:Factory 
checked in at 2011-12-25 17:41:12

Comparing /work/SRC/openSUSE:Factory/rpmlint-mini (Old)
 and  /work/SRC/openSUSE:Factory/.rpmlint-mini.new (New)


Package is rpmlint-mini, Maintainer is dmuel...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/rpmlint-mini/rpmlint-mini.changes
2011-12-01 12:26:06.0 +0100
+++ /work/SRC/openSUSE:Factory/.rpmlint-mini.new/rpmlint-mini.changes   
2011-12-25 17:41:13.0 +0100
@@ -1,0 +2,10 @@
+Wed Dec 21 11:02:56 CET 2011 - dmuel...@suse.de
+
+- update desktop-file-validate to 0.19:
+   - add Unity to list of registered environments
+   - deal with various zz-application/zz-winassoc-XXX mime types
+   - mark all zz-application/* MIME types as aliases
+   - add support for updated Keywords key
+   - accept x-scheme-handler/* mime types
+
+---

Old:

  desktop-file-utils-0.17.tar.bz2
  static-desktop-file-validate.diff

New:

  desktop-file-utils-0.19.tar.bz2



Other differences:
--
++ rpmlint-mini.spec ++
--- /var/tmp/diff_new_pack.Wjmd8s/_old  2011-12-25 17:41:14.0 +0100
+++ /var/tmp/diff_new_pack.Wjmd8s/_new  2011-12-25 17:41:14.0 +0100
@@ -14,26 +14,30 @@
 
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
-
-# norootforbuild
 # icecream 0
 
 
 Name:   rpmlint-mini
-BuildRequires:  glib2-devel glib2-devel-static pkg-config python-xml 
rpm-python rpmlint
+BuildRequires:  glib2-devel
+BuildRequires:  glib2-devel-static
+BuildRequires:  pkg-config
 BuildRequires:  python-magic
+BuildRequires:  python-xml
+BuildRequires:  rpm-python
+BuildRequires:  rpmlint
 # need to fetch the file from there
 BuildRequires:  polkit-default-privs
-BuildRequires:  checkbashisms dash libtool
+BuildRequires:  checkbashisms
+BuildRequires:  dash
+BuildRequires:  libtool
 Summary:Rpm correctness checker
-Version:1.3
-Release:1
-Url:http://rpmlint.zarb.org/
 License:GPL-2.0+
 Group:  System/Packages
+Version:1.3
+Release:0
+Url:http://rpmlint.zarb.org/
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Source: desktop-file-utils-0.17.tar.bz2
-Patch10:static-desktop-file-validate.diff
+Source: desktop-file-utils-0.19.tar.bz2
 Source100:  rpmlint-deps.txt
 Source101:  rpmlint.wrapper
 Source102:  rpmlint-mini.config
@@ -51,14 +55,12 @@
 Gwenole Beauchesne gbeauche...@mandriva.com
 
 %prep
-%setup -q -n desktop-file-utils-0.17
-%patch10
+%setup -q -n desktop-file-utils-0.19
 
 %build
-autoreconf -fi
 %configure
 pushd src
-make desktop-file-validate V=1
+make desktop-file-validate V=1 
DESKTOP_FILE_UTILS_LIBS=%{_libdir}/libglib-2.0.a -lpthread -lrt
 popd
 
 %install

++ desktop-file-utils-0.17.tar.bz2 - desktop-file-utils-0.19.tar.bz2 ++
 36155 lines of diff (skipped)

++ rpmlint-mini.config ++
--- /var/tmp/diff_new_pack.Wjmd8s/_old  2011-12-25 17:41:14.0 +0100
+++ /var/tmp/diff_new_pack.Wjmd8s/_new  2011-12-25 17:41:14.0 +0100
@@ -1,5 +1,7 @@
 #!/usr/bin/python
 
+import os, glob, Pkg
+
 configs = [ '/opt/testing/share/rpmlint/config' ]
 if os.environ.get(RPMLINT_MINI_CONFIG, None):
 configs += os.environ.get(RPMLINT_MINI_CONFIG, '').split(' ')

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit setserial for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package setserial for openSUSE:Factory 
checked in at 2011-12-25 17:41:21

Comparing /work/SRC/openSUSE:Factory/setserial (Old)
 and  /work/SRC/openSUSE:Factory/.setserial.new (New)


Package is setserial, Maintainer is vci...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/setserial/setserial.changes  2011-09-23 
12:46:02.0 +0200
+++ /work/SRC/openSUSE:Factory/.setserial.new/setserial.changes 2011-12-25 
17:41:49.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:31:48 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ setserial.spec ++
--- /var/tmp/diff_new_pack.QGFxit/_old  2011-12-25 17:41:50.0 +0100
+++ /var/tmp/diff_new_pack.QGFxit/_new  2011-12-25 17:41:50.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package setserial (Version 2.17)
+# spec file for package setserial
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,20 +15,16 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   setserial
 Version:2.17
-Release:720
+Release:0
 Provides:   util:/sbin/setserial
 PreReq: %insserv_prereq
 Requires:   /sbin/isserial
-AutoReqProv:on
-Group:  Hardware/Other
-License:GPL-2.0+
 Url:http://setserial.sourceforge.net
 Summary:A utility for configuring serial ports
+License:GPL-2.0+
+Group:  Hardware/Other
 Source0:
ftp://tsx-11.mit.edu/pub/linux/sources/sbin/setserial-%{version}.tar.bz2
 Source1:setserial.init
 Patch0: %{name}-%{version}-autoconf.diff
@@ -50,7 +46,6 @@
 %patch3 -p1
 
 %build
-%suse_update_config
 CFLAGS=$RPM_OPT_FLAGS -Wall \
./configure \
--prefix=%{_prefix} \

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit socat for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package socat for openSUSE:Factory checked 
in at 2011-12-25 17:41:33

Comparing /work/SRC/openSUSE:Factory/socat (Old)
 and  /work/SRC/openSUSE:Factory/.socat.new (New)


Package is socat, Maintainer is meiss...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/socat/socat.changes  2011-12-08 
11:31:20.0 +0100
+++ /work/SRC/openSUSE:Factory/.socat.new/socat.changes 2011-12-25 
17:41:55.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:31:49 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ socat.spec ++
--- /var/tmp/diff_new_pack.hceht7/_old  2011-12-25 17:41:56.0 +0100
+++ /var/tmp/diff_new_pack.hceht7/_new  2011-12-25 17:41:56.0 +0100
@@ -16,17 +16,17 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   socat
-BuildRequires:  openssl-devel procps readline-devel tcpd-devel
+BuildRequires:  openssl-devel
+BuildRequires:  procps
+BuildRequires:  readline-devel
+BuildRequires:  tcpd-devel
 Version:1.7.2.0
-Release:6
-License:BSD-3-Clause ; GPL-2.0+
-Group:  Productivity/Networking/Other
+Release:0
 Url:http://www.dest-unreach.org/socat/
 Summary:Multipurpose relay for bidirectional data transfer
+License:BSD-3-Clause ; GPL-2.0+
+Group:  Productivity/Networking/Other
 # 1.7.2.0: md5 eb563dd00b9d39a49fb62a677fc941fe
 Source: 
http://www.dest-unreach.org/socat/download/%{name}-%{version}.tar.bz2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -43,7 +43,6 @@
 %setup
 
 %build
-%{?suse_update_config:%{suse_update_config -f}}
 export RPM_OPT_FLAGS=%{optflags} -fno-strict-aliasing
 %configure
 %{__make} all

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit slrn for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package slrn for openSUSE:Factory checked in 
at 2011-12-25 17:41:29

Comparing /work/SRC/openSUSE:Factory/slrn (Old)
 and  /work/SRC/openSUSE:Factory/.slrn.new (New)


Package is slrn, Maintainer is nadvor...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/slrn/slrn.changes2011-09-23 
12:46:26.0 +0200
+++ /work/SRC/openSUSE:Factory/.slrn.new/slrn.changes   2011-12-25 
17:41:52.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:43:49 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ slrn.spec ++
--- /var/tmp/diff_new_pack.mJPrlo/_old  2011-12-25 17:41:55.0 +0100
+++ /var/tmp/diff_new_pack.mJPrlo/_new  2011-12-25 17:41:55.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package slrn (Version 1.0pre18)
+# spec file for package slrn
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,17 +15,14 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 %define build_with_nss 0
 
 Name:   slrn
-License:GPL-2.0+
-Group:  Productivity/Networking/News/Clients
-AutoReqProv:on
 Version:1.0pre18
-Release:1
+Release:0
 Summary:News Reader
+License:GPL-2.0+
+Group:  Productivity/Networking/News/Clients
 Url:http://www.slrn.org
 Source: slrn-pre1.0.0~18.tar.bz2
 Source1:slrn.run
@@ -34,8 +31,10 @@
 Patch4: slrn-0.9.9p1-hardcode-inews-path.diff
 Patch5: slrn-0.9.9p1-do-not-strip-binaries.diff
 %if 0%{?build_with_nss}  0
-BuildRequires:  mozilla-nss-devel nss-compat-openssl-devel
+BuildRequires:  mozilla-nss-devel
+BuildRequires:  nss-compat-openssl-devel
 %endif
+BuildRequires:  autoconf
 BuildRequires:  slang-devel
 Requires(pre):  fileutils sh-utils coreutils
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit skanlite for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package skanlite for openSUSE:Factory 
checked in at 2011-12-25 17:41:26

Comparing /work/SRC/openSUSE:Factory/skanlite (Old)
 and  /work/SRC/openSUSE:Factory/.skanlite.new (New)


Package is skanlite, Maintainer is kde-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/skanlite/skanlite.changes2011-10-16 
12:59:20.0 +0200
+++ /work/SRC/openSUSE:Factory/.skanlite.new/skanlite.changes   2011-12-25 
17:41:50.0 +0100
@@ -1,0 +2,12 @@
+Mon Dec 19 22:53:44 UTC 2011 - asterios.dra...@gmail.com
+
+- Update to version 0.8:
+  * Save scanner options on exit and restore them on next start.
+  * Add option to disable automatic selection of scan area(s).
+- Spec file updates:
+  * Use libkde4-devel instead of libkdepimlibs4-devel (not needed) in
+BuildRequires:.
+  * Recommend instead of Suggest the doc and lang subpackages.
+  * Removed /sbin/ldconfig %post/%postun sections (not needed).
+
+---

Old:

  skanlite-0.7.tar.bz2

New:

  skanlite-0.8.tar.bz2



Other differences:
--
++ skanlite.spec ++
--- /var/tmp/diff_new_pack.iIdBf5/_old  2011-12-25 17:41:51.0 +0100
+++ /var/tmp/diff_new_pack.iIdBf5/_new  2011-12-25 17:41:51.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package skanlite (Version 0.7.kde4.5.0)
+# spec file for package skanlite
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,72 +16,64 @@
 #
 
 Name:   skanlite
-Version:0.7.kde4.5.0
-Release:1
+Version:0.8
+Release:0
+Summary:Image Scanner Application
 License:LGPL-2.1+
-Summary:Scanner Front-End
-%define rversion 0.7
-Url:http://kde-apps.org/content/show.php?content=109803
 Group:  Hardware/Scanner
-Source0:skanlite-%{rversion}.tar.bz2
-BuildRequires:  libkdepimlibs4-devel
+Url:http://kde-apps.org/content/show.php?content=109803
+Source0:
http://downloads.sourceforge.net/sanewidget/%{name}-%{version}.tar.bz2
+BuildRequires:  libkde4-devel
 BuildRequires:  libksane-devel
 BuildRequires:  oxygen-icon-theme
-Suggests:   %{name}-doc  = %{version}
-Suggests:   %{name}-lang = %{version}
+Recommends: %{name}-doc = %{version}
+Recommends: %{name}-lang = %{version}
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %kde4_runtime_requires
 
 %description
-Skanlite is a KDE front-end for the sane scanner library.
+Skanlite is an image scanner application for KDE 4.
 
 %package doc
-Summary:Documentation for %{name}
-Group:  Hardware/Scanner
+Summary:Documentation for skanlite
+Group:  Documentation/HTML
 Requires:   %{name} = %{version}
 
 %description doc
-This package provides the documentation for %{name}
+This package provides the documentation for skanlite.
 
 %lang_package
+
 %prep
-%setup -q -n %{name}-%{rversion}
+%setup -q
 
 %build
-  %cmake_kde4 -d build
-  %make_jobs
+%cmake_kde4 -d build
+%make_jobs
 
 %install
-  cd build
-  %make_install
-  cd ..
-  %find_lang %{name}
-  for i in {16,22,32,48,64}; do
+cd build
+%kde4_makeinstall
+cd ..
+
+for i in {16,22,32,48,64}; do
  mkdir -p %{buildroot}%{_kde4_iconsdir}/hicolor/$ix$i/apps
- cp %{_kde4_iconsdir}/oxygen/$ix$i/devices/scanner.png 
%{buildroot}%{_kde4_iconsdir}/hicolor/$ix$i/apps/;
-  done
-  %suse_update_desktop_file skanlite Graphics Scanning
-  %kde_post_install
+   cp -a %{_kde4_iconsdir}/oxygen/$ix$i/devices/scanner.png 
%{buildroot}%{_kde4_iconsdir}/hicolor/$ix$i/apps/
+done
 
-%post   -p /sbin/ldconfig
-%postun -p /sbin/ldconfig
+%find_lang %{name}
 
-%clean
-rm -rf %{buildroot}
+%kde_post_install
 
 %files
-%defattr(-,root,root)
-%doc COPYING
+%defattr(-,root,root,-)
+%doc src/COPYING src/TODO
 %{_kde4_applicationsdir}/skanlite.desktop
 %{_kde4_bindir}/skanlite
 %{_kde4_iconsdir}/hicolor/*/apps/scanner.*
 
-%files lang -f %{name}.lang
-%defattr(-,root,root)
-%exclude %{_kde4_htmldir}/
-
 %files doc
-%defattr(-,root,root)
+%defattr(-,root,root,-)
 %doc %lang(en)%{_kde4_htmldir}/en/skanlite/
 %doc %lang(de)%{_kde4_htmldir}/de/skanlite/
 %doc %lang(sv)%{_kde4_htmldir}/sv/skanlite/
@@ -93,4 +85,8 @@
 %doc %lang(et)%{_kde4_htmldir}/et/skanlite/
 %doc %lang(uk)%{_kde4_htmldir}/uk/skanlite/
 
+%files lang -f %{name}.lang
+%defattr(-,root,root,-)
+%exclude %{_kde4_htmldir}/
+
 %changelog

++ skanlite-0.7.tar.bz2 - skanlite-0.8.tar.bz2 

commit star for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package star for openSUSE:Factory checked in 
at 2011-12-25 17:41:47

Comparing /work/SRC/openSUSE:Factory/star (Old)
 and  /work/SRC/openSUSE:Factory/.star.new (New)


Package is star, Maintainer is pu...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/star/star.changes2011-10-02 
11:15:54.0 +0200
+++ /work/SRC/openSUSE:Factory/.star.new/star.changes   2011-12-25 
17:42:10.0 +0100
@@ -1,0 +2,10 @@
+Wed Dec 21 13:40:32 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---
+Wed Dec 21 10:31:49 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ star.spec ++
--- /var/tmp/diff_new_pack.U5A97X/_old  2011-12-25 17:42:14.0 +0100
+++ /var/tmp/diff_new_pack.U5A97X/_new  2011-12-25 17:42:14.0 +0100
@@ -15,17 +15,15 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   star
-BuildRequires:  e2fsprogs-devel libacl-devel libselinux-devel
-License:SUN Common Development and Distribution License 1.0
-Group:  Productivity/Archiving/Backup
-AutoReqProv:on
+BuildRequires:  autoconf
+BuildRequires:  e2fsprogs-devel
+BuildRequires:  libacl-devel
+BuildRequires:  libselinux-devel
 Provides:   rmt
 Version:1.5final
-Release:45
+Release:0
 %define upver 1.5
 Source: ftp://ftp.berlios.de/pub/star/alpha/star-%{upver}.tar.bz2
 Source1:README-FIRST
@@ -41,6 +39,8 @@
 Url:http://cdrecord.berlios.de/old/private/star.html
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:POSIX.1-2001-Compliant Tar Implementation
+License:SUN Common Development and Distribution License 1.0
+Group:  Productivity/Archiving/Backup
 
 %description
 Star is a tar like archiver. TAR stands for Tape ARchiver. Star is the
@@ -101,7 +101,6 @@
 ln -s i586-linux-gcc.rul RULES/ppc64-linux-gcc.rul
 ln -s armv4l-linux-gcc.rul RULES/armv5tel-linux-gcc.rul
 ln -s armv4l-linux-gcc.rul RULES/armv7l-linux-gcc.rul
-%{?suse_update_config:%{suse_update_config -f conf}}
 cd conf
 autoconf
 %define star_cflags $RPM_OPT_FLAGS -g -W -Wall -Wpointer-arith 
-Wformat-security

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit strongswan for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package strongswan for openSUSE:Factory 
checked in at 2011-12-25 17:41:51

Comparing /work/SRC/openSUSE:Factory/strongswan (Old)
 and  /work/SRC/openSUSE:Factory/.strongswan.new (New)


Package is strongswan, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/strongswan/strongswan.changes2011-09-23 
12:47:00.0 +0200
+++ /work/SRC/openSUSE:Factory/.strongswan.new/strongswan.changes   
2011-12-25 17:42:14.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:31:49 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ strongswan.spec ++
--- /var/tmp/diff_new_pack.aYPkkN/_old  2011-12-25 17:42:15.0 +0100
+++ /var/tmp/diff_new_pack.aYPkkN/_new  2011-12-25 17:42:15.0 +0100
@@ -15,12 +15,9 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   strongswan
 Version:4.5.3
-Release:3
+Release:0
 %define upstream_version   %{version}
 %define strongswan_docdir  %{_docdir}/%{name}
 %define strongswan_libdir  %{_libdir}/ipsec
@@ -30,14 +27,13 @@
 %definewith_gcrypt 0%{suse_version} = 1110
 %definewith_nm 0%{suse_version} = 1110
 %definewith_tests  0
+Summary:OpenSource IPsec-based VPN Solution
 License:GPL-2.0+
 Group:  Productivity/Networking/Security
-Summary:OpenSource IPsec-based VPN Solution
 Url:http://www.strongswan.org/
 Requires:   strongswan-ikev1 = %{version}
 Requires:   strongswan-ikev2 = %{version}
 Requires:   strongswan-ipsec = %{version}
-AutoReqProv:on
 Source0:
http://download.strongswan.org/strongswan-%{upstream_version}.tar.bz2
 Source1:
http://download.strongswan.org/strongswan-%{upstream_version}.tar.bz2.sig
 Source2:%{name}.init.in
@@ -46,11 +42,16 @@
 Patch1: %{name}_modprobe_syslog.patch
 Patch2: %{name}-%{version}-fmt-warnings.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  bison flex gmp-devel gperf pkg-config
+BuildRequires:  bison
+BuildRequires:  curl-devel
+BuildRequires:  flex
+BuildRequires:  gmp-devel
+BuildRequires:  gperf
 BuildRequires:  libcap-devel
 BuildRequires:  libopenssl-devel
 BuildRequires:  openldap2-devel
-BuildRequires:  curl-devel pam-devel
+BuildRequires:  pam-devel
+BuildRequires:  pkg-config
 %if %with_mysql
 BuildRequires:  libmysqlclient-devel
 %endif
@@ -63,7 +64,8 @@
 %if %with_nm
 BuildRequires:  NetworkManager-devel
 %endif
-BuildRequires:  iptables libnl = 1.1
+BuildRequires:  iptables
+BuildRequires:  libnl = 1.1
 
 %description
 StrongSwan is an OpenSource IPsec-based VPN Solution for Linux
@@ -103,9 +105,7 @@
 and others
 
 %package doc
-License:GPL-2.0+
 Summary:OpenSource IPsec-based VPN Solution
-Group:  Productivity/Networking/Security
 
 %description doc
 StrongSwan is an OpenSource IPsec-based VPN Solution for Linux
@@ -120,9 +120,7 @@
 and others
 
 %package libs0
-License:GPL-2.0+
 Summary:OpenSource IPsec-based VPN Solution
-Group:  Productivity/Networking/Security
 Conflicts:  strongswan  %{version}
 
 %description libs0
@@ -131,9 +129,7 @@
 This package provides the strongswan library and plugins.
 
 %package ikev1
-License:GPL-2.0+
 Summary:OpenSource IPsec-based VPN Solution
-Group:  Productivity/Networking/Security
 Requires:   iproute2
 Requires:   strongswan-libs0 = %{version}
 Requires:   strongswan-ipsec = %{version}
@@ -147,9 +143,7 @@
 This package provides the pluto IKEv1 daemon.
 
 %package ikev2
-License:GPL-2.0+
 Summary:OpenSource IPsec-based VPN Solution
-Group:  Productivity/Networking/Security
 Requires:   iproute2
 Requires:   strongswan-libs0 = %{version}
 Requires:   strongswan-daemon-starter = %{version}
@@ -162,9 +156,7 @@
 This package provides the charon IKEv2 daemon.
 
 %package ipsec
-License:GPL-2.0+
 Summary:OpenSource IPsec-based VPN Solution
-Group:  Productivity/Networking/Security
 PreReq: grep %insserv_prereq %fillup_prereq
 Requires:   strongswan-libs0 = %{version}
 Requires:   strongswan-daemon = %{version}
@@ -183,9 +175,7 @@
 %if %with_mysql
 
 %package mysql
-License:GPL-2.0+
 Summary:OpenSource IPsec-based VPN Solution
-Group:  Productivity/Networking/Security
 Requires:   strongswan-libs0 = %{version}
 
 %description mysql
@@ -198,9 +188,7 

commit syslog-ng for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package syslog-ng for openSUSE:Factory 
checked in at 2011-12-25 17:41:56

Comparing /work/SRC/openSUSE:Factory/syslog-ng (Old)
 and  /work/SRC/openSUSE:Factory/.syslog-ng.new (New)


Package is syslog-ng, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/syslog-ng/syslog-ng.changes  2011-10-25 
17:12:51.0 +0200
+++ /work/SRC/openSUSE:Factory/.syslog-ng.new/syslog-ng.changes 2011-12-25 
17:42:15.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 21:01:45 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ syslog-ng.spec ++
--- /var/tmp/diff_new_pack.AvCHsp/_old  2011-12-25 17:42:16.0 +0100
+++ /var/tmp/diff_new_pack.AvCHsp/_new  2011-12-25 17:42:16.0 +0100
@@ -15,19 +15,16 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   syslog-ng
 %define with_sql%suse_version  1130
 %define with_systemd%suse_version  1130
 %define with_syslogservice  %suse_version  1140
 %define with_json   %suse_version  1130
 Version:3.3.1
-Release:6
+Release:0
+Summary:The new-generation syslog-daemon
 License:GPL-2.0
 Group:  System/Daemons
-Summary:The new-generation syslog-daemon
 Url:http://www.balabit.com/products/syslog_ng/
 %if 0%{?with_syslogservice}
 Requires(pre):  %insserv_prereq %fillup_prereq syslog-service
@@ -43,8 +40,13 @@
 Patch0: syslog-ng-%{version}-less-static.diff
 Patch1: syslog-ng-%{version}-filters.diff
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  bison flex gcc-c++ glib2-devel pkgconfig
-BuildRequires:  python tcpd-devel
+BuildRequires:  bison
+BuildRequires:  flex
+BuildRequires:  gcc-c++
+BuildRequires:  glib2-devel
+BuildRequires:  pkgconfig
+BuildRequires:  python
+BuildRequires:  tcpd-devel
 %if %suse_version  1140  
 BuildRequires:  libcap-devel
 %endif
@@ -76,7 +78,8 @@
 %if 0%{?with_json}
 BuildRequires:  json-glib-devel
 %endif
-BuildRequires:  libevtlog-devel pcre-devel
+BuildRequires:  libevtlog-devel
+BuildRequires:  pcre-devel
 BuildRequires:  libopenssl-devel
 # only while preparing dist from git
 # BuildRequires:   git
@@ -102,8 +105,6 @@
 %if 0%{?with_sql}
 
 %package sql
-License:GPL-2.0
-Group:  System/Daemons
 Summary:SQL support using DBI
 Requires:   %{name} = %{version}
 
@@ -122,8 +123,6 @@
 %if 0%{?with_json}
 
 %package json
-License:GPL-2.0
-Group:  System/Daemons
 Summary:JSON output support
 Requires:   %{name} = %{version}
 
@@ -168,7 +167,6 @@
 #
 # - update configure scripts  tools:
 #
-%{?suse_update_config:%{suse_update_config -f}}
 #aclocal --force
 #libtoolize -f
 #automake --foreign --add-missing --copy --force-missing

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit tclplug for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package tclplug for openSUSE:Factory checked 
in at 2011-12-25 17:42:02

Comparing /work/SRC/openSUSE:Factory/tclplug (Old)
 and  /work/SRC/openSUSE:Factory/.tclplug.new (New)


Package is tclplug, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/tclplug/tclplug.changes  2011-09-23 
12:47:29.0 +0200
+++ /work/SRC/openSUSE:Factory/.tclplug.new/tclplug.changes 2011-12-25 
17:42:23.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:45:23 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ tclplug.spec ++
--- /var/tmp/diff_new_pack.peQAes/_old  2011-12-25 17:42:24.0 +0100
+++ /var/tmp/diff_new_pack.peQAes/_new  2011-12-25 17:42:24.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package tclplug (Version 3.1.0)
+# spec file for package tclplug
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,18 +15,16 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   tclplug
-BuildRequires:  tk-devel xorg-x11-devel
-License:BSD-3-Clause
-Group:  Development/Libraries/Tcl
+BuildRequires:  autoconf
+BuildRequires:  tk-devel
+BuildRequires:  xorg-x11-devel
 Requires:   web_browser tcl tk
-AutoReqProv:on
 Summary:Tcl/Tk Plug-In for Netscape Navigator
+License:BSD-3-Clause
+Group:  Development/Libraries/Tcl
 Version:3.1.0
-Release:52
+Release:0
 Source: tclplugin-3.1.0-20060613-tar.bz2
 Source2:baselibs.conf
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build


-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit tkimg for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package tkimg for openSUSE:Factory checked 
in at 2011-12-25 17:42:16

Comparing /work/SRC/openSUSE:Factory/tkimg (Old)
 and  /work/SRC/openSUSE:Factory/.tkimg.new (New)


Package is tkimg, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/tkimg/tkimg.changes  2011-09-23 
12:48:18.0 +0200
+++ /work/SRC/openSUSE:Factory/.tkimg.new/tkimg.changes 2011-12-25 
17:42:29.0 +0100
@@ -1,0 +2,5 @@
+Tue Dec 20 20:29:37 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ tkimg.spec ++
--- /var/tmp/diff_new_pack.poI2so/_old  2011-12-25 17:42:32.0 +0100
+++ /var/tmp/diff_new_pack.poI2so/_new  2011-12-25 17:42:32.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package tkimg (Version 1.3)
+# spec file for package tkimg
 #
-# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,17 +15,18 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   tkimg
-BuildRequires:  libpng-devel libtiff-devel tk-devel xorg-x11-devel
+BuildRequires:  autoconf
+BuildRequires:  libpng-devel
+BuildRequires:  libtiff-devel
+BuildRequires:  tk-devel
+BuildRequires:  xorg-x11-devel
 Url:http://sourceforge.net/projects/tkimg
 Summary:More Image Formats for Tk
-Version:1.3
-Release:214
 License:BSD-3-Clause
 Group:  Development/Libraries/Tcl
+Version:1.3
+Release:0
 Source0:%{name}%{version}.tar.bz2
 Patch0: %name.patch
 Patch1: %name-syslibs.patch

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit tdom for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package tdom for openSUSE:Factory checked in 
at 2011-12-25 17:42:06

Comparing /work/SRC/openSUSE:Factory/tdom (Old)
 and  /work/SRC/openSUSE:Factory/.tdom.new (New)


Package is tdom, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/tdom/tdom.changes2011-09-23 
12:47:31.0 +0200
+++ /work/SRC/openSUSE:Factory/.tdom.new/tdom.changes   2011-12-25 
17:42:27.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:45:36 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ tdom.spec ++
--- /var/tmp/diff_new_pack.V7m8FS/_old  2011-12-25 17:42:28.0 +0100
+++ /var/tmp/diff_new_pack.V7m8FS/_new  2011-12-25 17:42:28.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package tdom (Version 0.8.2)
+# spec file for package tdom
 #
-# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,19 +15,20 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
-
 Name:   tdom
 %if 0%{!?tclscriptdir:1}
 %define tclscriptdir %_libdir
 %endif
 Summary:A XML/DOM/XPath/XSLT Implementation for Tcl
-Version:0.8.2
-Release:78
 License:MPL-1.1
 Group:  Development/Libraries/Tcl
+Version:0.8.2
+Release:0
 Url:http://www.tdom.org
-BuildRequires:  libexpat-devel tcl-devel tcllib
+BuildRequires:  autoconf
+BuildRequires:  libexpat-devel
+BuildRequires:  tcl-devel
+BuildRequires:  tcllib
 Source0:tDOM-%{version}.tar.bz2
 Patch0: tdom.patch
 Patch1: tdom-expat.patch

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit tetrinet-server for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package tetrinet-server for openSUSE:Factory 
checked in at 2011-12-25 17:42:11

Comparing /work/SRC/openSUSE:Factory/tetrinet-server (Old)
 and  /work/SRC/openSUSE:Factory/.tetrinet-server.new (New)


Package is tetrinet-server, Maintainer is nadvor...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/tetrinet-server/tetrinet-server.changes  
2011-09-23 12:47:43.0 +0200
+++ /work/SRC/openSUSE:Factory/.tetrinet-server.new/tetrinet-server.changes 
2011-12-25 17:42:28.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:31:50 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ tetrinet-server.spec ++
--- /var/tmp/diff_new_pack.Rz58sZ/_old  2011-12-25 17:42:28.0 +0100
+++ /var/tmp/diff_new_pack.Rz58sZ/_new  2011-12-25 17:42:28.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package tetrinet-server (Version 1.13.16)
+# spec file for package tetrinet-server
 #
-# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,20 +15,17 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   tetrinet-server
 BuildRequires:  libadns-devel
 %define realname   tetrinetx
 %define qirc_version   1.40c
 Version:1.13.16
-Release:319
-AutoReqProv:on
-Group:  Amusements/Games/Logic
-License:GPL-2.0+
+Release:0
 Url:http://tetrinetx.sourceforge.net/
 Summary:The GNU TetriNET server
+License:GPL-2.0+
+Group:  Amusements/Games/Logic
 Source: %{realname}-%{version}+qirc-%{qirc_version}.tar.bz2
 Source1:tetrinet-server
 Patch2: %{realname}.diff
@@ -50,7 +47,6 @@
 %patch2
 
 %build
-%{?suse_update_config:%{suse_update_config -f}}
 export CFLAGS=$RPM_OPT_FLAGS
 cd src
 sed -e 's@\(^#define [[:alnum:]_]* 
*\)\(game\.\)@\1%{_datadir}/%{realname}/\2@' \

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit tktable for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package tktable for openSUSE:Factory checked 
in at 2011-12-25 17:42:23

Comparing /work/SRC/openSUSE:Factory/tktable (Old)
 and  /work/SRC/openSUSE:Factory/.tktable.new (New)


Package is tktable, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/tktable/tktable.changes  2011-09-23 
12:48:19.0 +0200
+++ /work/SRC/openSUSE:Factory/.tktable.new/tktable.changes 2011-12-25 
17:42:34.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:47:31 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ tktable.spec ++
--- /var/tmp/diff_new_pack.2X6Lhp/_old  2011-12-25 17:42:35.0 +0100
+++ /var/tmp/diff_new_pack.2X6Lhp/_new  2011-12-25 17:42:35.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package tktable (Version 2.9)
+# spec file for package tktable
 #
-# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,17 +15,16 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   tktable
-BuildRequires:  tk-devel xorg-x11-devel
+BuildRequires:  autoconf
+BuildRequires:  tk-devel
+BuildRequires:  xorg-x11-devel
 Version:2.9
-Release:176
+Release:0
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:A Table/Matrix Widget Extension to Tcl/Tk
-Group:  Development/Libraries/Tcl
 License:BSD-3-Clause
+Group:  Development/Libraries/Tcl
 Source: Tktable%{version}.tar.bz2
 Patch0: tktable.patch
 Patch1: tktable-warnings.patch

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit uudeview for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package uudeview for openSUSE:Factory 
checked in at 2011-12-25 17:42:27

Comparing /work/SRC/openSUSE:Factory/uudeview (Old)
 and  /work/SRC/openSUSE:Factory/.uudeview.new (New)


Package is uudeview, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/uudeview/uudeview.changes2011-09-23 
12:49:39.0 +0200
+++ /work/SRC/openSUSE:Factory/.uudeview.new/uudeview.changes   2011-12-25 
17:42:35.0 +0100
@@ -1,0 +2,10 @@
+Wed Dec 21 10:51:28 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---
+Tue Dec 20 20:30:02 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ uudeview.spec ++
--- /var/tmp/diff_new_pack.2TWmqv/_old  2011-12-25 17:42:39.0 +0100
+++ /var/tmp/diff_new_pack.2TWmqv/_new  2011-12-25 17:42:39.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package uudeview (Version 0.5.20)
+# spec file for package uudeview
 #
-# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,19 +15,20 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   uudeview
-BuildRequires:  mininews postfix tk-devel xorg-x11-devel
+BuildRequires:  autoconf
+BuildRequires:  mininews
+BuildRequires:  postfix
+BuildRequires:  tk-devel
+BuildRequires:  xorg-x11-devel
 Url:http://www.fpx.de/fp/Software/UUDeview
-License:GPL-2.0+
-Group:  Productivity/Networking/News/Utilities
 Provides:   sharutils:/usr/bin/uudeview
-AutoReqProv:on
 Version:0.5.20
-Release:235
+Release:0
 Summary:The Nice and Friendly Decoder
+License:GPL-2.0+
+Group:  Productivity/Networking/News/Utilities
 Source: %{name}-%{version}.tar.bz2
 Patch0: %{name}.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -38,18 +39,11 @@
 ultimate goal is to fully replace the standard, but dumb uudecode and
 uuencode utilities.
 
-
-
-Authors:
-
-Frank Pilhofer f...@fpx.de
-
 %prep
 %setup -q 
 %patch0
 
 %build
-%suse_update_config
 autoconf
 CFLAGS=$RPM_OPT_FLAGS -DUSE_NON_CONST \
 ./configure --prefix=%_prefix \

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit wipe for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package wipe for openSUSE:Factory checked in 
at 2011-12-25 17:42:35

Comparing /work/SRC/openSUSE:Factory/wipe (Old)
 and  /work/SRC/openSUSE:Factory/.wipe.new (New)


Package is wipe, Maintainer is nadvor...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/wipe/wipe.changes2011-12-21 
10:04:13.0 +0100
+++ /work/SRC/openSUSE:Factory/.wipe.new/wipe.changes   2011-12-25 
17:42:41.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:52:09 UTC 2011 - co...@suse.com
+
+- add automake as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ wipe.spec ++
--- /var/tmp/diff_new_pack.CrupT7/_old  2011-12-25 17:42:44.0 +0100
+++ /var/tmp/diff_new_pack.CrupT7/_new  2011-12-25 17:42:44.0 +0100
@@ -15,7 +15,6 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
 Name:   wipe
 Version:2.3.1
 Release:0
@@ -33,6 +32,7 @@
 # PATCH-FIX-OPENSUSE wipe-2.2.0-include.diff -- 
 Patch2: %{name}-2.2.0-include.diff
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildRequires:  automake
 
 %description
 Wipe is a tool that attempts to effectively degauses the surface of
@@ -40,12 +40,6 @@
 that was stored on it. This tool is designed to make sure secure
 data that is erased from a hard drive is unrecoverable.
 
-
-
-Authors:
-
-Berke Durak bedret...@chez.com
-
 %prep
 %setup -q
 %patch0


-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit wm-icons for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package wm-icons for openSUSE:Factory 
checked in at 2011-12-25 17:42:39

Comparing /work/SRC/openSUSE:Factory/wm-icons (Old)
 and  /work/SRC/openSUSE:Factory/.wm-icons.new (New)


Package is wm-icons, Maintainer is klw...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/wm-icons/wm-icons.changes2011-09-23 
12:50:42.0 +0200
+++ /work/SRC/openSUSE:Factory/.wm-icons.new/wm-icons.changes   2011-12-25 
17:42:44.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:31:53 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ wm-icons.spec ++
--- /var/tmp/diff_new_pack.1BATvm/_old  2011-12-25 17:42:48.0 +0100
+++ /var/tmp/diff_new_pack.1BATvm/_new  2011-12-25 17:42:48.0 +0100
@@ -15,16 +15,12 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   wm-icons
-License:GPL-2.0+
-Group:  System/X11/Icons
-AutoReqProv:on
 Version:0.4.0
-Release:4
+Release:0
 Summary:Window Manager Icons, themable icon distribution
+License:GPL-2.0+
+Group:  System/X11/Icons
 Url:http://wm-icons.sourceforge.net/
 Source0:
http://download.sourceforge.net/wm-icons/wm-icons-%{version}.tar.bz2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -47,7 +43,6 @@
 find . -type d | xargs chmod 755
 
 %build
-%{?suse_update_config:%{suse_update_config -f}}
 %if %suse_version  1010
 %define prefix /usr
 %else

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit webalizer for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package webalizer for openSUSE:Factory 
checked in at 2011-12-25 17:42:32

Comparing /work/SRC/openSUSE:Factory/webalizer (Old)
 and  /work/SRC/openSUSE:Factory/.webalizer.new (New)


Package is webalizer, Maintainer is vci...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/webalizer/webalizer.changes  2011-09-23 
12:50:15.0 +0200
+++ /work/SRC/openSUSE:Factory/.webalizer.new/webalizer.changes 2011-12-25 
17:42:40.0 +0100
@@ -1,0 +2,10 @@
+Wed Dec 21 13:51:33 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---
+Wed Dec 21 10:31:52 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ webalizer.spec ++
--- /var/tmp/diff_new_pack.a1MEX9/_old  2011-12-25 17:42:41.0 +0100
+++ /var/tmp/diff_new_pack.a1MEX9/_new  2011-12-25 17:42:41.0 +0100
@@ -21,10 +21,10 @@
 
 Name:   webalizer
 Summary:A Web Server Log File Analysis Program
-Version:2.23
-Release:5
 License:GPL-2.0+
 Group:  Productivity/Networking/Web/Utilities
+Version:2.23
+Release:0
 Url:http://www.mrunix.net/webalizer/
 Source0:%{name}-%{version}-%{editlvl}-src.tar.bz2
 Source1:flags.tar.bz2
@@ -43,6 +43,7 @@
 Patch6: %{name}-2.23-04-Makefile.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  apache2-devel
+BuildRequires:  autoconf
 BuildRequires:  db-devel
 BuildRequires:  gd-devel
 BuildRequires:  libGeoIP-devel
@@ -73,7 +74,6 @@
 %package flags
 Summary:Flags of the World
 License:CC-BY-SA-3.0
-Group:  Productivity/Networking/Web/Utilities
 Url:http://flags.blogpotato.de/
 Requires:   %{name}
 
@@ -95,7 +95,6 @@
 %{__cp} -a %{S:2} .
 
 %build
-%{suse_update_config -f}
 autoconf
 CFLAGS=%{optflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 ./configure \
   --prefix=%{_prefix} \

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit x3270 for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package x3270 for openSUSE:Factory checked 
in at 2011-12-25 17:42:43

Comparing /work/SRC/openSUSE:Factory/x3270 (Old)
 and  /work/SRC/openSUSE:Factory/.x3270.new (New)


Package is x3270, Maintainer is jjo...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/x3270/x3270.changes  2011-12-21 
10:04:18.0 +0100
+++ /work/SRC/openSUSE:Factory/.x3270.new/x3270.changes 2011-12-25 
17:42:48.0 +0100
@@ -1,0 +2,5 @@
+Wed Dec 21 10:52:31 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---



Other differences:
--
++ x3270.spec ++
--- /var/tmp/diff_new_pack.fp6orV/_old  2011-12-25 17:42:50.0 +0100
+++ /var/tmp/diff_new_pack.fp6orV/_new  2011-12-25 17:42:50.0 +0100
@@ -17,6 +17,7 @@
 
 
 Name:   x3270
+BuildRequires:  autoconf
 BuildRequires:  ncurses-devel
 BuildRequires:  xorg-x11
 BuildRequires:  xorg-x11-devel

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit xclass for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package xclass for openSUSE:Factory checked 
in at 2011-12-25 17:42:49

Comparing /work/SRC/openSUSE:Factory/xclass (Old)
 and  /work/SRC/openSUSE:Factory/.xclass.new (New)


Package is xclass, Maintainer is nadvor...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/xclass/xclass.changes2011-09-23 
12:51:02.0 +0200
+++ /work/SRC/openSUSE:Factory/.xclass.new/xclass.changes   2011-12-25 
17:42:51.0 +0100
@@ -1,0 +2,10 @@
+Wed Dec 21 13:43:58 UTC 2011 - co...@suse.com
+
+- add autoconf as buildrequire to avoid implicit dependency
+
+---
+Wed Dec 21 10:31:53 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ xclass.spec ++
--- /var/tmp/diff_new_pack.SQknV4/_old  2011-12-25 17:43:00.0 +0100
+++ /var/tmp/diff_new_pack.SQknV4/_new  2011-12-25 17:43:00.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package xclass (Version 0.9.2)
+# spec file for package xclass
 #
-# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,17 +15,16 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   xclass
-BuildRequires:  gcc-c++ xorg-x11-devel
-License:GPL-2.0+ ; LGPL-2.1+
-Group:  System/Libraries
-AutoReqProv:on
+BuildRequires:  autoconf
+BuildRequires:  gcc-c++
+BuildRequires:  xorg-x11-devel
 Version:0.9.2
-Release:160
+Release:0
 Summary:Library for Uniform Presentation of fvwm95 Programs
+License:GPL-2.0+ ; LGPL-2.1+
+Group:  System/Libraries
 Url:http://xclass.sourceforge.net/
 Source: %{name}-%{version}.tar.bz2
 Patch0: %{name}-%{version}-configs.patch
@@ -38,27 +37,14 @@
 This package contains a library for uniform presentation of fvwm95
 programs.
 
-
-
-Authors:
-
-Hector Peraza per...@mitac11.uia.ac.be
-
 %package devel
-License:LGPL-2.1+
 Summary:Library for Uniform Presentation of fvwm95 Programs - 
development files
-Group:  System/Libraries
+License:LGPL-2.1+
 Requires:   %{name} = %{version}
 
 %description devel
 This package contains development files for xclass library.
 
-
-
-Authors:
-
-Hector Peraza per...@mitac11.uia.ac.be
-
 %prep
 %setup -q
 %patch0 -p1
@@ -67,7 +53,6 @@
 %patch3
 
 %build
-%{?suse_update_config:%{suse_update_config -f}}
 autoconf
 CXXFLAGS=$RPM_OPT_FLAGS \
 ./configure --prefix=%{_prefix} \

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit xalan-c for openSUSE:Factory

2011-12-25 Thread h_root
Hello community,

here is the log from the commit of package xalan-c for openSUSE:Factory checked 
in at 2011-12-25 17:42:46

Comparing /work/SRC/openSUSE:Factory/xalan-c (Old)
 and  /work/SRC/openSUSE:Factory/.xalan-c.new (New)


Package is xalan-c, Maintainer is prus...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/xalan-c/xalan-c.changes  2011-09-23 
12:50:56.0 +0200
+++ /work/SRC/openSUSE:Factory/.xalan-c.new/xalan-c.changes 2011-12-25 
17:42:50.0 +0100
@@ -1,0 +2,11 @@
+Thu Dec 22 00:35:51 UTC 2011 - jeng...@medozas.de
+
+- Remove redundant/unwanted tags/section (cf. specfile guidelines)
+- Use System/Libraries for shlibs
+
+---
+Wed Dec 21 10:31:53 UTC 2011 - co...@suse.com
+
+- remove call to suse_update_config (very old work around)
+
+---



Other differences:
--
++ xalan-c.spec ++
--- /var/tmp/diff_new_pack.abcMPq/_old  2011-12-25 17:42:51.0 +0100
+++ /var/tmp/diff_new_pack.abcMPq/_new  2011-12-25 17:42:51.0 +0100
@@ -15,19 +15,19 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 
 Name:   xalan-c
-BuildRequires:  Xerces-c-devel gcc-c++ libicu-devel
-License:Apache-2.0
-Group:  Productivity/Publishing/XML
-AutoReqProv:on
+BuildRequires:  Xerces-c-devel
+BuildRequires:  gcc-c++
+BuildRequires:  libicu-devel
 Version:1.10.0
-Release:14
+Release:0
 %define tarver  1_10_0
 Summary:An XSLT Transformation Engine in C++
-Url:http://xml.apache.org/xalan-c/
+License:Apache-2.0
+Group:  Productivity/Publishing/XML
+URL:http://xml.apache.org/xalan-c/
 Source: Xalan-C_%{tarver}-src.tar.bz2
 Patch:  xalan-c-svn-20090415.patch
 Patch1: %{name}-%{version}-lib64.patch
@@ -48,17 +48,10 @@
 Recommendations for XSL Transformations (XSLT) and the XML Path
 Language (XPath).
 
-
-
-Authors:
-
-Apache Project xalan-...@xml.apache.org
-
 %package -n libxalan-c110
-License:Apache-2.0
 # Requires:   Xalan-c = %{version}
-Group:  Development/Libraries/C and C++
 Summary:An XSLT Transformation Engine in C++
+Group:  System/Libraries
 Provides:   libXalan-c110 = 1.10.0
 Obsoletes:  libXalan-c110 = 1.10.0
 
@@ -69,21 +62,14 @@
 Recommendations for XSL Transformations (XSLT) and the XML Path
 Language (XPath).
 
-
-
-Authors:
-
-Apache Project xalan-...@xml.apache.org
-
 %package -n libxalan-c-devel
-License:Apache-2.0
 Requires:   libxalan-c110 = %{version}
 Provides:   Xalan-c-devel = 1.9
 Obsoletes:  Xalan-c-devel = 1.9
 Provides:   libXalan-c-devel = 1.10.0
 Obsoletes:  libXalan-c-devel = 1.10.0
-Group:  Development/Libraries/C and C++
 Summary:An XSLT Transformation Engine in C++ - Development Files
+Group:  Development/Libraries/C and C++
 
 %description -n libxalan-c-devel
 Xalan is an XSL processor for transforming XML documents into HTML,
@@ -94,12 +80,6 @@
 
 This package contains files needed for development with Xalanc
 
-
-
-Authors:
-
-Apache Project xalan-...@xml.apache.org
-
 %prep
 %setup -q -n xml-xalan
 %patch -p1
@@ -115,7 +95,6 @@
 # So we disable it here, if you want to retest, just delete this comment and 
the line below.
 export SUSE_ASNEEDED=0
 DIRS=$(find -type d)
-%{?suse_update_config:%{suse_update_config -f $DIRS}}
 [ -f configure.in ]  autoreconf -f -i  # libtoolize --copy --force
 export XERCESCROOT=%{_prefix}
 export XALANCROOT=$RPM_BUILD_DIR/xml-xalan/c
@@ -153,9 +132,6 @@
 rm -f $RPM_BUILD_ROOT%{_libdir}/libicu*
 popd
 
-%clean
-rm -rf $RPM_BUILD_ROOT
-
 %post   -n libxalan-c110 -p /sbin/ldconfig
 
 %postun -n libxalan-c110 -p /sbin/ldconfig

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



  1   2   >